!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_29651) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_29650) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_29655) = coupl(nGC_24558) + coupl(nGC_29651)
    coupl(nGC_29654) = coupl(nGC_24557) + coupl(nGC_29650)
    coupl(nGC_29658) = coupl(nGC_24514) + coupl(nGC_59)*dZH_QED2/2d0 + coupl(  &
                       nGC_59)*dZWMinus_QED2/2d0
    coupl(nGC_31225) = coupl(nGC_143)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_31224) = coupl(nGC_143)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_24236) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_520) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(   &
                       nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_520)**2d0 + 8d0&
                       *coupl(nGC_520)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
    coupl(nGC_24233) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl(  &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_149) - coupl(nGC_130)*&
                       coupl(nGC_232)*coupl(nGC_666) + 8d0*coupl(nGC_148)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_29729) = coupl(nGC_24531) + coupl(nGC_90)*dZAZ_QED2 + coupl(     &
                       nGC_95)*dZZ_QED2
    coupl(nGC_24231) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl(  &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127)*&
                       coupl(nGC_129)*coupl(nGC_140) + 8d0*coupl(nGC_139)*coupl&
                       (nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_29895) = coupl(nGC_19)*dZsR_QCD2
    coupl(nGC_29894) = coupl(nGC_19)*dZsR_QED2
    coupl(nGC_29897) = coupl(nGC_19)*dZsL_QCD2
    coupl(nGC_28957) = coupl(nGC_24538) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_62)*dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/  &
                       2d0
    coupl(nGC_28956) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_24157) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_24156) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
    coupl(nGC_24155) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_24154) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_83)**2d0)/(16d0*pi**2d0)
    coupl(nGC_24153) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_24159) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0)/(16d0*pi**&
                       2d0)
    coupl(nGC_24158) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                       nGC_85))/(8d0*pi**2d0)
    coupl(nGC_30105) = coupl(nGC_146)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_30107) = coupl(nGC_24490) + coupl(nGC_30105)
    coupl(nGC_30106) = -coupl(nGC_24490) - coupl(nGC_30105)
    coupl(nGC_24308) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_31292) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_29155) = coupl(nGC_24441) + coupl(nGC_46)*dZH_QED2
    coupl(nGC_29150) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_29151) = coupl(nGC_24538) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_62)*dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/  &
                       2d0
    coupl(nGC_31294) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_31295) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_24203) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_149)**2d0*coupl(nGC_2) + &
                       coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_666) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24202) = (coupl(nGC_1368)*coupl(nGC_146)*coupl(nGC_4) + coupl(   &
                       nGC_147)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(    &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24201) = coupl(nGC_4)*(coupl(nGC_1368)*coupl(nGC_146) + coupl(   &
                       nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_30177) = coupl(nGC_24525) + coupl(nGC_85)*dZZ_QED2/2d0 + coupl(  &
                       nGC_85)*dZeMinusL_QED2
    coupl(nGC_30179) = coupl(nGC_29160) + coupl(nGC_30177)
    coupl(nGC_29385) = coupl(nGC_19)*dZdR_QCD2
    coupl(nGC_29384) = coupl(nGC_19)*dZdR_QED2
    coupl(nGC_29387) = coupl(nGC_19)*dZdL_QCD2
    coupl(nGC_29386) = coupl(nGC_19)*dZdL_QED2
    coupl(nGC_24259) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24404) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_30923) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
    coupl(nGC_24403) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
    coupl(nGC_24402) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*    &
                       coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**  &
                       2d0*Nc)
    coupl(nGC_30251) = coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(nGC_124)*dZtL_QCD2/&
                       2d0 + coupl(nGC_24469)
    coupl(nGC_30250) = coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(nGC_142)*dZtR_QCD2/&
                       2d0 + coupl(nGC_24471)
    coupl(nGC_30253) = coupl(nGC_124)*dZbR_QED2/2d0 + coupl(nGC_124)*dZtL_QED2/&
                       2d0 + coupl(nGC_24470)
    coupl(nGC_30252) = coupl(nGC_142)*dZbL_QED2/2d0 + coupl(nGC_142)*dZtR_QED2/&
                       2d0 + coupl(nGC_24472)
    coupl(nGC_31829) = coupl(nGC_24456) + coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(  &
                       nGC_66)*dZZ_QED2/2d0
    coupl(nGC_29858) = coupl(nGC_24530) + coupl(nGC_96)*dZH_QED2 + coupl(nGC_96&
                       )*dZZ_QED2
    coupl(nGC_24270) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24276) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_131)**2d0*    &
                       coupl(nGC_132) - coupl(nGC_132)**3d0 + 8d0*coupl(nGC_132&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24277) = coupl(nGC_132)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24274) = coupl(nGC_128)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24275) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_132)**3d0 -   &
                       coupl(nGC_132)*coupl(nGC_232)**2d0 + 8d0*coupl(nGC_132)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24278) = coupl(nGC_135)*(-coupl(nGC_134)**2d0 - coupl(nGC_135)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_24279) = coupl(nGC_135)*(-coupl(nGC_135)**2d0 - coupl(nGC_1440)**&
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_24499) = coupl(nGC_8724)*dyt_QED3
    coupl(nGC_24474) = coupl(nGC_8693)*dydo_QED3
    coupl(nGC_24475) = coupl(nGC_8695)*dys_QED1_QCD2
    coupl(nGC_24476) = coupl(nGC_8695)*dys_QED3
    coupl(nGC_24477) = coupl(nGC_8697)*dyb_QED1_QCD2
    coupl(nGC_24478) = coupl(nGC_8697)*dyb_QED3
    coupl(nGC_24479) = coupl(nGC_8699)*dydo_QED1_QCD2
    coupl(nGC_28854) = coupl(nGC_24454) + coupl(nGC_6)*dZA_QED2/2d0 + coupl(   &
                       nGC_65)*dZZA_QED2/2d0
    coupl(nGC_29107) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_29105) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
    coupl(nGC_24356) = coupl(nGC_19)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_149  &
                       )**2d0 + coupl(nGC_150)*coupl(nGC_666) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
    coupl(nGC_24290) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_24291) = coupl(nGC_147)*(-coupl(nGC_1368)**2d0 - coupl(nGC_147)**&
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_24294) = coupl(nGC_149)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24297) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_28756) = coupl(nGC_24445) + coupl(nGC_70)*dZH_QED2/2d0
    coupl(nGC_28759) = coupl(nGC_24440) + coupl(nGC_GPGMGPGM)
    coupl(nGC_24261) = (-coupl(nGC_1368)**2d0*coupl(nGC_146) + 8d0*coupl(      &
                       nGC_1368)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_1368)*coupl(&
                       nGC_80)*coupl(nGC_85) - coupl(nGC_146)*coupl(nGC_147)** &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_24260) = (-coupl(nGC_1368)*coupl(nGC_146)**2d0 - coupl(nGC_1368)*&
                       coupl(nGC_147)**2d0 + 8d0*coupl(nGC_146)*coupl(nGC_4)** &
                       2d0 + 8d0*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_85))/( &
                       32d0*pi**2d0)
    coupl(nGC_29585) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/ &
                       2d0
    coupl(nGC_29584) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/ &
                       2d0
    coupl(nGC_24504) = coupl(nGC_8730)*dyt_QED1_QCD2
    coupl(nGC_24505) = coupl(nGC_8730)*dyt_QED3
    coupl(nGC_29613) = coupl(nGC_24538) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_62)*dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/  &
                       2d0
    coupl(nGC_28921) = coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(nGC_130)*dZuL_QCD2/&
                       2d0 + coupl(nGC_24463)
    coupl(nGC_29409) = coupl(nGC_138)*dZH_QED2/2d0 + coupl(nGC_24492)
    coupl(nGC_29406) = coupl(nGC_138)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_24269) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*    &
                       coupl(nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(nGC_126&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24501) = coupl(nGC_8726)*dyup_QED3
    coupl(nGC_29030) = coupl(nGC_24538) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_62)*dZeMinusL_QED2/2d0 + coupl(nGC_62)*       &
                       dZnu_eL_QED2/2d0
    coupl(nGC_24180) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_24182) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*   &
                       coupl(nGC_520) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_24191) = (coupl(nGC_134)*coupl(nGC_1440)*coupl(nGC_4) + coupl(   &
                       nGC_135)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(    &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24190) = coupl(nGC_4)*(coupl(nGC_134)*coupl(nGC_1440) + coupl(   &
                       nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_24195) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
    coupl(nGC_24194) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
    coupl(nGC_24198) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*   &
                       coupl(nGC_206) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_24185) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)* &
                       coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)**  &
                       2d0 + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(   &
                       nGC_1)*coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(     &
                       nGC_148)**2d0 - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) - Nc&
                       *coupl(nGC_127)**2d0*coupl(nGC_2) - Nc*coupl(nGC_130)** &
                       2d0*coupl(nGC_2) - Nc*coupl(nGC_139)**2d0*coupl(nGC_2   &
                       ) - Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - Nc*coupl(     &
                       nGC_148)**2d0*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl( &
                       nGC_4) + coupl(nGC_136)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_145)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
    coupl(nGC_33313) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_33316) = coupl(nGC_24549) + coupl(nGC_33313)
    coupl(nGC_30299) = coupl(nGC_24541) + coupl(nGC_82)*dZZ_QED2/2d0 + coupl(  &
                       nGC_82)*dZdL_QED2
    coupl(nGC_35036) = -coupl(nGC_35032)
    coupl(nGC_24189) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*   &
                       coupl(nGC_232) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_30295) = coupl(nGC_82)*dZdL_QCD2
    coupl(nGC_29324) = coupl(nGC_24454) + coupl(nGC_6)*dZWMinus_QED2/2d0
    coupl(nGC_24289) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_28773) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_24443) + coupl( &
                       nGC_68)*dZA_QED2/2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0
    coupl(nGC_24327) = (coupl(nGC_1368)*coupl(nGC_146)*coupl(nGC_80) + coupl(  &
                       nGC_147)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) +  &
                       4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85 &
                       )**3d0)/(32d0*pi**2d0)
    coupl(nGC_24535) = coupl(nGC_8834)*dZee_QED2
    coupl(nGC_24534) = coupl(nGC_8830)*dZee_QED2 + coupl(nGC_8831)*dsw_QED2 +  &
                       coupl(nGC_8832)*dcw_QED2
    coupl(nGC_24537) = coupl(nGC_8838)*dZgs_QCD2
    coupl(nGC_24536) = coupl(nGC_8836)*dZee_QED2
    coupl(nGC_24533) = coupl(nGC_8826)*dZee_QED2 + coupl(nGC_8827)*dsw_QED2 +  &
                       coupl(nGC_8828)*dcw_QED2
    coupl(nGC_24532) = coupl(nGC_8821)*dsw_QED2 + coupl(nGC_8822)*dZee_QED2 +  &
                       coupl(nGC_8823)*dcw_QED2 + coupl(nGC_8824)*dvev_QED1
    coupl(nGC_24434) = coupl(nGC_8609)*dZee_QED2 + coupl(nGC_8610)*dcw_QED2
    coupl(nGC_24435) = coupl(nGC_8612)*dZee_QED2
    coupl(nGC_24437) = coupl(nGC_8618)*dZee_QED2 + coupl(nGC_8619)*dcw_QED2
    coupl(nGC_24539) = coupl(nGC_8843)*dZee_QED2 + coupl(nGC_8844)*dsw_QED2 +  &
                       coupl(nGC_8845)*dcw_QED2
    coupl(nGC_24432) = coupl(nGC_8602)*dZee_QED2 + coupl(nGC_8603)*dsw_QED2 +  &
                       coupl(nGC_8604)*dcw_QED2
    coupl(nGC_24433) = coupl(nGC_8606)*dZee_QED2 + coupl(nGC_8607)*dcw_QED2
    coupl(nGC_30266) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
    coupl(nGC_36489) = -coupl(nGC_24185)
    coupl(nGC_30592) = coupl(nGC_24565) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_29943) = coupl(nGC_24562) + coupl(nGC_29939)
    coupl(nGC_30268) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_24536)
    coupl(nGC_30269) = coupl(nGC_30266) + coupl(nGC_30268)
    coupl(nGC_29660) = coupl(nGC_96)*dZZA_QED2/2d0
    coupl(nGC_24329) = (coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**2d0&
                       *coupl(nGC_83) + coupl(nGC_150)*coupl(nGC_666)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24401) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*    &
                       coupl(nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
    coupl(nGC_30922) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
    coupl(nGC_24382) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0 + &
                       10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 + 20d0* &
                       Nc*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*coupl(  &
                       nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_142)** &
                       2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_128)**2d0 + &
                       10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_141)**2d0 + 20d0* &
                       Nc*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_139)*coupl(  &
                       nGC_141) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_139)** &
                       2d0 + 10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_132)**2d0 + &
                       10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_149)**2d0 + 20d0* &
                       Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148)*coupl(  &
                       nGC_149) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_148)** &
                       2d0 + 10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_141)**2d0 + &
                       10d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0* &
                       Nc*coupl(nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(&
                       nGC_133)**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136  &
                       )**2d0*coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 +  &
                       10d0*coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl&
                       (nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(    &
                       nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
    coupl(nGC_24380) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127 &
                       )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(     &
                       nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*    &
                       coupl(nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*coupl&
                       (nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*coupl(   &
                       nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*coupl(     &
                       nGC_90)**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**2d0)
    coupl(nGC_24221) = coupl(nGC_148)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24220) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl(  &
                       nGC_130)*coupl(nGC_131)*coupl(nGC_150) - coupl(nGC_130)*&
                       coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24223) = coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
    coupl(nGC_24222) = coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
    coupl(nGC_24225) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_520) - Nc*   &
                       coupl(nGC_127)*coupl(nGC_129) + Nc*coupl(nGC_130)*coupl(&
                       nGC_232) + Nc*coupl(nGC_139)*coupl(nGC_206) - Nc*coupl( &
                       nGC_142)*coupl(nGC_144) - Nc*coupl(nGC_148)*coupl(      &
                       nGC_150) + coupl(nGC_133)*coupl(nGC_1440) + coupl(      &
                       nGC_136)*coupl(nGC_418) + coupl(nGC_1368)*coupl(nGC_145 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_24224) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
    coupl(nGC_24227) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_125)*coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_126)*&
                       coupl(nGC_142)*coupl(nGC_143))/(32d0*pi**2d0)
    coupl(nGC_24226) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_126) - Nc*   &
                       coupl(nGC_127)*coupl(nGC_128) + Nc*coupl(nGC_130)*coupl(&
                       nGC_132) + Nc*coupl(nGC_139)*coupl(nGC_141) - Nc*coupl( &
                       nGC_142)*coupl(nGC_143) - Nc*coupl(nGC_148)*coupl(      &
                       nGC_149) + coupl(nGC_133)*coupl(nGC_135) + coupl(nGC_136&
                       )*coupl(nGC_138) + coupl(nGC_145)*coupl(nGC_147))/(24d0*&
                       pi**2d0)
    coupl(nGC_30468) = coupl(nGC_128)*dZH_QED2/2d0 + coupl(nGC_24503)
    coupl(nGC_24544) = coupl(nGC_8863)*dZee_QED2 + coupl(nGC_8864)*dsw_QED2 +  &
                       coupl(nGC_8865)*dcw_QED2
    coupl(nGC_28787) = coupl(nGC_24527) + coupl(nGC_54)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_54)*dZZ_QED2/2d0 + coupl(nGC_75)*dZAZ_QED2/2d0
    coupl(nGC_29714) = coupl(nGC_24512) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                       nGC_3)*dZWMinus_QED2 + coupl(nGC_64)*dZZA_QED2/2d0
    coupl(nGC_29715) = -coupl(nGC_29714)
    coupl(nGC_24368) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_135)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(      &
                       nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_1904)*coupl(nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_3 &
                       )*coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                       nGC_69))/(48d0*pi**2d0)
    coupl(nGC_24409) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0  &
                        - coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(   &
                       nGC_141)**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)**  &
                       2d0)/(16d0*pi**2d0)
    coupl(nGC_28769) = coupl(nGC_24439) + coupl(nGC_HHGG)
    coupl(nGC_28763) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_24452) + coupl(nGC_76&
                       )*dZZA_QED2
    coupl(nGC_28766) = coupl(nGC_24538) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_62)*dZnu_tauL_QED2/2d0 + coupl(nGC_62)*       &
                       dZtauMinusL_QED2/2d0
    coupl(nGC_32750) = 2d0*coupl(nGC_24)*dZH_QED2 + coupl(nGC_24438) + coupl(  &
                       nGC_HHHH)
    coupl(nGC_24319) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24318) = (coupl(nGC_137)*coupl(nGC_418)*coupl(nGC_80) + coupl(   &
                       nGC_138)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) +  &
                       4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85 &
                       )**3d0)/(32d0*pi**2d0)
    coupl(nGC_24315) = (coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_134)*    &
                       coupl(nGC_1440)*coupl(nGC_85) + coupl(nGC_135)**2d0*    &
                       coupl(nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) +   &
                       4d0*coupl(nGC_80)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24314) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_130)** &
                       2d0*coupl(nGC_83) + coupl(nGC_131)*coupl(nGC_232)*coupl(&
                       nGC_82) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
    coupl(nGC_29145) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_24452)
    coupl(nGC_24316) = (coupl(nGC_134)*coupl(nGC_1440)*coupl(nGC_80) + coupl(  &
                       nGC_135)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) +  &
                       4d0*coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85 &
                       )**3d0)/(32d0*pi**2d0)
    coupl(nGC_24323) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)** &
                       2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_206)*coupl(&
                       nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24310) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_24312) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_29287) = coupl(nGC_24517) + coupl(nGC_57)*dZZ_QED2 + coupl(nGC_76&
                       )*dZAZ_QED2
    coupl(nGC_28972) = coupl(nGC_83)*dZcL_QCD2
    coupl(nGC_29366) = coupl(nGC_147)*dZH_QED2/2d0 + coupl(nGC_24493)
    coupl(nGC_29049) = coupl(nGC_149)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_30008) = coupl(nGC_24475) + coupl(nGC_30006)
    coupl(nGC_30005) = coupl(nGC_140)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_30007) = -coupl(nGC_24475) - coupl(nGC_30006)
    coupl(nGC_29918) = coupl(nGC_24539) + coupl(nGC_79)*dZZ_QED2/2d0 + coupl(  &
                       nGC_79)*dZtR_QED2
    coupl(nGC_29919) = coupl(nGC_28966) + coupl(nGC_29918)
    coupl(nGC_24162) = -Nc*cima*coupl(nGC_3348)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_29912) = coupl(nGC_83)*dZtL_QCD2
    coupl(nGC_24161) = cima*sq2**2d0*(Nc*coupl(nGC_3348)**2d0 - 6d0*coupl(     &
                       nGC_19)**2d0)/(96d0*pi**2d0)
    coupl(nGC_24167) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                       nGC_85))/(8d0*pi**2d0)
    coupl(nGC_24164) = cima*sq2**2d0*(-Nc*coupl(nGC_3348)**2d0 + 6d0*coupl(    &
                       nGC_19)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_29445) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_31561) = coupl(nGC_24477) + coupl(nGC_31559)
    coupl(nGC_32364) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_32363) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_30917) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_28990) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2&
                       /2d0 + coupl(nGC_24434) + coupl(nGC_68)*dZAZ_QED2/2d0
    coupl(nGC_30712) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
    coupl(nGC_30713) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
    coupl(nGC_30714) = coupl(nGC_30268) + coupl(nGC_30713)
    coupl(nGC_30715) = coupl(nGC_30268) + coupl(nGC_30712)
    coupl(nGC_24217) = coupl(nGC_139)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24264) = (-coupl(nGC_130)*coupl(nGC_148)*coupl(nGC_232) - coupl( &
                       nGC_149)**2d0*coupl(nGC_666) - coupl(nGC_150)**2d0*coupl&
                       (nGC_666) + 8d0*coupl(nGC_150)*coupl(nGC_2)**2d0 + 8d0* &
                       coupl(nGC_150)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
    coupl(nGC_24266) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(      &
                       nGC_135)**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA* &
                       coupl(nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(    &
                       nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi** &
                       2d0)
    coupl(nGC_24508) = coupl(nGC_8738)*dZee_QED2 + coupl(nGC_8739)*dsw_QED2
    coupl(nGC_24509) = coupl(nGC_8741)*dsw_QED2 + coupl(nGC_8742)*dZee_QED2 +  &
                       coupl(nGC_8743)*dvev_QED1
    coupl(nGC_24263) = coupl(nGC_19)**2d0*coupl(nGC_666)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24262) = (-coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148) - coupl( &
                       nGC_149)**2d0*coupl(nGC_150) - coupl(nGC_150)*coupl(    &
                       nGC_666)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_666) +  &
                       8d0*coupl(nGC_666)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
    coupl(nGC_28922) = coupl(nGC_148)*dZdL_QED2/2d0 + coupl(nGC_148)*dZuR_QED2/&
                       2d0 + coupl(nGC_24462)
    coupl(nGC_28923) = coupl(nGC_130)*dZdR_QED2/2d0 + coupl(nGC_130)*dZuL_QED2/&
                       2d0 + coupl(nGC_24464)
    coupl(nGC_28920) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*dZuR_QCD2/&
                       2d0 + coupl(nGC_24461)
    coupl(nGC_24507) = coupl(nGC_8734)*dZee_QED2 + coupl(nGC_8735)*dsw_QED2 +  &
                       coupl(nGC_8736)*dcw_QED2
    coupl(nGC_24500) = coupl(nGC_8726)*dyup_QED1_QCD2
    coupl(nGC_24268) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -   &
                       coupl(nGC_126)*coupl(nGC_520)**2d0 + 8d0*coupl(nGC_126)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24460) = coupl(nGC_8685)*dZgs_QCD2
    coupl(nGC_24326) = (coupl(nGC_1368)*coupl(nGC_146)*coupl(nGC_85) + coupl(  &
                       nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_147)**2d0*coupl(&
                       nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*    &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24288) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl( &
                       nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 + 8d0&
                       *coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_143)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_24320) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24321) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24283) = coupl(nGC_138)*(-coupl(nGC_138)**2d0 + 8d0*coupl(nGC_4  &
                       )**2d0 - coupl(nGC_418)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_24282) = coupl(nGC_138)*(-coupl(nGC_137)**2d0 - coupl(nGC_138)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
    coupl(nGC_24281) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC*  &
                       coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141 &
                       ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_24280) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC* &
                       coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141 &
                       ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi** &
                       2d0)
    coupl(nGC_24328) = (coupl(nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_149)**2d0&
                       *coupl(nGC_79) + coupl(nGC_150)*coupl(nGC_666)*coupl(   &
                       nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*    &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
    coupl(nGC_24286) = coupl(nGC_141)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24285) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)* &
                       coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_140)**2d0*    &
                       coupl(nGC_141) - coupl(nGC_141)**3d0 + 8d0*coupl(nGC_141&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24284) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)* &
                       coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_141)**3d0 -   &
                       coupl(nGC_141)*coupl(nGC_206)**2d0 + 8d0*coupl(nGC_141)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24542) = coupl(nGC_8855)*dZee_QED2 + coupl(nGC_8856)*dsw_QED2 +  &
                       coupl(nGC_8857)*dcw_QED2
    coupl(nGC_24212) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(  &
                       nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124)*&
                       coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24543) = coupl(nGC_8859)*dZee_QED2 + coupl(nGC_8860)*dsw_QED2 +  &
                       coupl(nGC_8861)*dcw_QED2
    coupl(nGC_24214) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(     &
                       nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_129)*&
                       coupl(nGC_139)*coupl(nGC_140))/(32d0*pi**2d0)
    coupl(nGC_24307) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)** &
                       2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_520)*coupl(&
                       nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24218) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_132)*coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_148)*&
                       coupl(nGC_232)*coupl(nGC_666))/(32d0*pi**2d0)
    coupl(nGC_29410) = coupl(nGC_29406) + coupl(nGC_29409)
    coupl(nGC_24133) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_24132) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_82)**2d0)/(16d0*pi**2d0)
    coupl(nGC_24137) = cima*(Nc*coupl(nGC_124)**2d0 + Nc*coupl(nGC_127)**2d0 + &
                       Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_139)**2d0 + Nc*   &
                       coupl(nGC_142)**2d0 + Nc*coupl(nGC_148)**2d0 + coupl(   &
                       nGC_133)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_145)**  &
                       2d0)/(48d0*pi**2d0)
    coupl(nGC_29554) = coupl(nGC_22)*dZH_QED2 + coupl(nGC_24439) + coupl(      &
                       nGC_HHGG)
    coupl(nGC_29006) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_24442) + coupl( &
                       nGC_72)*dZA_QED2/2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0
    coupl(nGC_31025) = coupl(nGC_144)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_31026) = coupl(nGC_144)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_28994) = coupl(nGC_24521) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                       nGC_64)*dZWMinus_QED2 + coupl(nGC_64)*dZZ_QED2/2d0
    coupl(nGC_29254) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_29253) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
    coupl(nGC_30754) = coupl(nGC_24488) + coupl(nGC_30751)
    coupl(nGC_28937) = coupl(nGC_24538) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_62)*dZmuMinusL_QED2/2d0 + coupl(nGC_62)*      &
                       dZnu_muL_QED2/2d0
    coupl(nGC_24473) = coupl(nGC_8693)*dydo_QED1_QCD2
    coupl(nGC_24424) = (-Nc*cima*coupl(nGC_1978)*coupl(nGC_1986) - Nc*cima*    &
                       coupl(nGC_1978)*coupl(nGC_20) + Nc*cima*coupl(nGC_3348  &
                       )**4d0*sq2**4d0 + Nc*coupl(nGC_1978)*coupl(nGC_3348)**  &
                       2d0*sq2**2d0 + Nc*coupl(nGC_1986)*coupl(nGC_3348)**2d0* &
                       sq2**2d0 + Nc*coupl(nGC_20)*coupl(nGC_3348)**2d0*sq2**  &
                       2d0 - cima*coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc&
                       )
    coupl(nGC_24448) = coupl(nGC_8651)*dlam_QED4 + coupl(nGC_8652)*dvev_QED1
    coupl(nGC_32317) = coupl(nGC_141)*dZH_QED2/2d0 + coupl(nGC_24482)
    coupl(nGC_32314) = coupl(nGC_141)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_32315) = coupl(nGC_141)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_28809) = coupl(nGC_136)*dZmuMinusR_QED2/2d0 + coupl(nGC_136)*    &
                       dZnu_muL_QED2/2d0 + coupl(nGC_24486)
    coupl(nGC_24429) = (6d0*Nc*cima*coupl(nGC_1986)*coupl(nGC_20) - Nc*cima*   &
                       coupl(nGC_3348)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_1986)* &
                       coupl(nGC_3348)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                       4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_24428) = (3d0*Nc*cima*coupl(nGC_1986)**2d0 + 3d0*Nc*cima*coupl(  &
                       nGC_20)**2d0 - Nc*cima*coupl(nGC_3348)**4d0*sq2**4d0 -  &
                       6d0*Nc*coupl(nGC_20)*coupl(nGC_3348)**2d0*sq2**2d0 + 9d0&
                       *cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_24427) = (6d0*Nc*cima*coupl(nGC_1986)*coupl(nGC_20) - Nc*cima*   &
                       coupl(nGC_3348)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_1986)* &
                       coupl(nGC_3348)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_20)*   &
                       coupl(nGC_3348)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                       4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_24426) = (cima*coupl(nGC_1986)**2d0 + 2d0*cima*coupl(nGC_1986)*  &
                       coupl(nGC_20) + cima*coupl(nGC_20)**2d0 - cima*coupl(   &
                       nGC_3348)**4d0*sq2**4d0 - 2d0*coupl(nGC_1986)*coupl(    &
                       nGC_3348)**2d0*sq2**2d0 - 2d0*coupl(nGC_20)*coupl(      &
                       nGC_3348)**2d0*sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_30583) = coupl(nGC_132)*dZH_QED2/2d0 + coupl(nGC_24480)
    coupl(nGC_28806) = coupl(nGC_24507) + coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(  &
                       nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZ_QED2/2d0
    coupl(nGC_24423) = (3d0*Nc*cima*coupl(nGC_1986)**2d0 + 3d0*Nc*cima*coupl(  &
                       nGC_20)**2d0 - Nc*cima*coupl(nGC_3348)**4d0*sq2**4d0 -  &
                       3d0*Nc*coupl(nGC_1986)*coupl(nGC_3348)**2d0*sq2**2d0 -  &
                       3d0*Nc*coupl(nGC_20)*coupl(nGC_3348)**2d0*sq2**2d0 + 9d0&
                       *cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_30584) = coupl(nGC_30577) + coupl(nGC_30583)
    coupl(nGC_32318) = coupl(nGC_32314) + coupl(nGC_32317)
    coupl(nGC_28802) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_24528) + coupl(&
                       nGC_99)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZ_QED2/2d0
    coupl(nGC_29770) = coupl(nGC_24544) + coupl(nGC_80)*dZZ_QED2/2d0 + coupl(  &
                       nGC_80)*dZmuMinusR_QED2
    coupl(nGC_29771) = coupl(nGC_29160) + coupl(nGC_29770)
    coupl(nGC_29772) = coupl(nGC_29160) + coupl(nGC_29769)
    coupl(nGC_24529) = coupl(nGC_8809)*dZee_QED2 + coupl(nGC_8810)*dsw_QED2 +  &
                       coupl(nGC_8811)*dcw_QED2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
