!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_31802) = coupl(nGC_24522) + 2d0*coupl(nGC_48)*dZWMinus_QED2
    coupl(nGC_24207) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_125) + Nc*  &
                       coupl(nGC_127)*coupl(nGC_692) - Nc*coupl(nGC_130)*coupl(&
                       nGC_131) - Nc*coupl(nGC_139)*coupl(nGC_140) + Nc*coupl( &
                       nGC_1398)*coupl(nGC_142) + Nc*coupl(nGC_148)*coupl(     &
                       nGC_666) - coupl(nGC_133)*coupl(nGC_134) - coupl(nGC_136&
                       )*coupl(nGC_137) - coupl(nGC_145)*coupl(nGC_146))/(24d0*&
                       pi**2d0)
    coupl(nGC_24355) = coupl(nGC_19)*sq2*(-coupl(nGC_148)**2d0 - coupl(nGC_149 &
                       )**2d0 - coupl(nGC_150)*coupl(nGC_666) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_24354) = coupl(nGC_19)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_149 &
                       )**2d0 - coupl(nGC_150)*coupl(nGC_666) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
    coupl(nGC_24396) = cima*(10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0 + &
                       40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(nGC_520&
                       ) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_520)**2d0 +   &
                       10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**2d0 + 40d0* &
                       Nc*coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(nGC_692) +  &
                       10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_692)**2d0 + 10d0* &
                       Nc*coupl(nGC_131)**2d0*coupl(nGC_132)**2d0 + 40d0*Nc*   &
                       coupl(nGC_131)*coupl(nGC_132)**2d0*coupl(nGC_232) + 10d0&
                       *Nc*coupl(nGC_132)**2d0*coupl(nGC_232)**2d0 + 10d0*Nc*  &
                       coupl(nGC_1398)**2d0*coupl(nGC_143)**2d0 + 40d0*Nc*coupl&
                       (nGC_1398)*coupl(nGC_143)**2d0*coupl(nGC_144) + 10d0*Nc*&
                       coupl(nGC_140)**2d0*coupl(nGC_141)**2d0 + 40d0*Nc*coupl(&
                       nGC_140)*coupl(nGC_141)**2d0*coupl(nGC_206) + 10d0*Nc*  &
                       coupl(nGC_141)**2d0*coupl(nGC_206)**2d0 + 10d0*Nc*coupl(&
                       nGC_143)**2d0*coupl(nGC_144)**2d0 + 10d0*Nc*coupl(      &
                       nGC_149)**2d0*coupl(nGC_150)**2d0 + 40d0*Nc*coupl(      &
                       nGC_149)**2d0*coupl(nGC_150)*coupl(nGC_666) + 10d0*Nc*  &
                       coupl(nGC_149)**2d0*coupl(nGC_666)**2d0 + 10d0*coupl(   &
                       nGC_134)**2d0*coupl(nGC_135)**2d0 + 40d0*coupl(nGC_134)*&
                       coupl(nGC_135)**2d0*coupl(nGC_1440) + 10d0*coupl(nGC_135&
                       )**2d0*coupl(nGC_1440)**2d0 + 10d0*coupl(nGC_1368)**2d0*&
                       coupl(nGC_147)**2d0 + 40d0*coupl(nGC_1368)*coupl(nGC_146&
                       )*coupl(nGC_147)**2d0 + 10d0*coupl(nGC_137)**2d0*coupl( &
                       nGC_138)**2d0 + 40d0*coupl(nGC_137)*coupl(nGC_138)**2d0*&
                       coupl(nGC_418) + 10d0*coupl(nGC_138)**2d0*coupl(nGC_418 &
                       )**2d0 + 10d0*coupl(nGC_146)**2d0*coupl(nGC_147)**2d0 + &
                       6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(48d0* &
                       pi**2d0)
    coupl(nGC_24357) = coupl(nGC_19)*sq2*(coupl(nGC_148)**2d0 + coupl(nGC_149  &
                       )**2d0 + coupl(nGC_150)*coupl(nGC_666) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24393) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0 + &
                       coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(      &
                       nGC_139)**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)**  &
                       2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_24392) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0  &
                        - coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(   &
                       nGC_139)**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)**  &
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_24254) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_127)* &
                       coupl(nGC_139)*coupl(nGC_692) - coupl(nGC_140)**2d0*    &
                       coupl(nGC_206) + 8d0*coupl(nGC_140)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_141)**2d0*coupl(nGC_206))/(32d0*pi**&
                       2d0)
    coupl(nGC_24255) = coupl(nGC_140)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24256) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl( &
                       nGC_1398)**2d0*coupl(nGC_144) + 8d0*coupl(nGC_1398)*    &
                       coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1398)*coupl(nGC_79)*  &
                       coupl(nGC_83) - coupl(nGC_143)**2d0*coupl(nGC_144))/(   &
                       32d0*pi**2d0)
    coupl(nGC_24257) = coupl(nGC_1398)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24398) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(      &
                       nGC_128)**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc*  &
                       coupl(nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 + 20d0&
                       *Nc*coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 +    &
                       20d0*coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 +   &
                       6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(16d0* &
                       pi**2d0)
    coupl(nGC_24252) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_206) - coupl(nGC_127)* &
                       coupl(nGC_129)*coupl(nGC_139) - coupl(nGC_140)*coupl(   &
                       nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_206)**2d0 + 8d0&
                       *coupl(nGC_206)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
    coupl(nGC_24253) = coupl(nGC_19)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24359) = sq2**3d0*(-Nc*cima*coupl(nGC_3348)**3d0 + 12d0*coupl(   &
                       nGC_19)**3d0)/(192d0*pi**2d0)
    coupl(nGC_24498) = coupl(nGC_8724)*dyt_QED1_QCD2
    coupl(nGC_28974) = coupl(nGC_24540) + coupl(nGC_83)*dZZ_QED2/2d0 + coupl(  &
                       nGC_83)*dZcL_QED2
    coupl(nGC_28793) = coupl(nGC_14)*dZH_QED2/2d0 + coupl(nGC_14)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl(nGC_24526) +  &
                       coupl(nGC_69)*dZAZ_QED2/2d0
    coupl(nGC_28976) = coupl(nGC_28966) + coupl(nGC_28974)
    coupl(nGC_30477) = coupl(nGC_24453) + coupl(nGC_5)*dZA_QED2/2d0 + coupl(   &
                       nGC_66)*dZZA_QED2/2d0
    coupl(nGC_24491) = coupl(nGC_8714)*dye_QED3
    coupl(nGC_24496) = coupl(nGC_8722)*dyc_QED1_QCD2
    coupl(nGC_24497) = coupl(nGC_8722)*dyc_QED3
    coupl(nGC_24494) = coupl(nGC_8720)*dyup_QED1_QCD2
    coupl(nGC_24495) = coupl(nGC_8720)*dyup_QED3
    coupl(nGC_29685) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_24523) + coupl( &
                       nGC_90)*dZA_QED2/2d0 + coupl(nGC_90)*dZZ_QED2/2d0 +     &
                       coupl(nGC_95)*dZZA_QED2/2d0
    coupl(nGC_30267) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
    coupl(nGC_28777) = coupl(nGC_129)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_28776) = coupl(nGC_129)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_29671) = coupl(nGC_24456) + coupl(nGC_66)*dZWMinus_QED2/2d0
    coupl(nGC_24459) = coupl(nGC_8683)*dZgs_QCD2
    coupl(nGC_29179) = coupl(nGC_24453) + coupl(nGC_5)*dZWMinus_QED2/2d0
    coupl(nGC_29352) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_24537)
    coupl(nGC_31558) = coupl(nGC_125)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_29354) = coupl(nGC_29349) + coupl(nGC_29352)
    coupl(nGC_29198) = coupl(nGC_24483) + coupl(nGC_29192)
    coupl(nGC_29050) = coupl(nGC_149)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_29054) = coupl(nGC_149)*dZH_QED2/2d0 + coupl(nGC_24501)
    coupl(nGC_30389) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_24509) + coupl(nGC_99)*   &
                       dZZA_QED2/2d0
    coupl(nGC_29056) = coupl(nGC_24500) + coupl(nGC_29050)
    coupl(nGC_24389) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_135)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_14)* &
                       coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(nGC_147)* &
                       coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*  &
                       coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_260)*coupl(nGC_69) + 6d0*coupl(  &
                       nGC_14)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)* &
                       coupl(nGC_64)*coupl(nGC_69))/(48d0*pi**2d0)
    coupl(nGC_29196) = coupl(nGC_126)*dZH_QED2/2d0 + coupl(nGC_24484)
    coupl(nGC_29197) = coupl(nGC_29191) + coupl(nGC_29196)
    coupl(nGC_31985) = -coupl(nGC_30020)
    coupl(nGC_30010) = coupl(nGC_24476) + coupl(nGC_30005)
    coupl(nGC_30156) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_30155) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_24179) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0*&
                       coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_692&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24178) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2) + &
                       coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_692) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24174) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
    coupl(nGC_29457) = coupl(nGC_86)*dZZA_QED2/2d0
    coupl(nGC_24176) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc*&
                       cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD* &
                       coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl&
                       (nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(    &
                       nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1&
                       )*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110 &
                       )*coupl(nGC_1904) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99 &
                       ) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_4) + 2d0* &
                       coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_99))/(16d0*pi**2d0)
    coupl(nGC_24171) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
    coupl(nGC_24170) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
    coupl(nGC_24173) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                       nGC_85))/(8d0*pi**2d0)
    coupl(nGC_30159) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_31724) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_31725) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_29225) = coupl(nGC_133)*dZeMinusR_QED2/2d0 + coupl(nGC_133)*     &
                       dZnu_eL_QED2/2d0 + coupl(nGC_24485)
    coupl(nGC_24317) = (coupl(nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_137)*    &
                       coupl(nGC_418)*coupl(nGC_85) + coupl(nGC_138)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24358) = sq2**3d0*(Nc*cima*coupl(nGC_3348)**3d0 - 12d0*coupl(    &
                       nGC_19)**3d0)/(192d0*pi**2d0)
    coupl(nGC_24311) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**2d0&
                       *coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_692)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24519) = coupl(nGC_8773)*dsw_QED2 + coupl(nGC_8774)*dZee_QED2 +  &
                       coupl(nGC_8775)*dvev_QED1
    coupl(nGC_24518) = coupl(nGC_8769)*dZee_QED2 + coupl(nGC_8770)*dsw_QED2 +  &
                       coupl(nGC_8771)*dcw_QED2
    coupl(nGC_24516) = coupl(nGC_8762)*dZee_QED2 + coupl(nGC_8763)*dsw_QED2
    coupl(nGC_24515) = coupl(nGC_8759)*dZee_QED2 + coupl(nGC_8760)*dsw_QED2
    coupl(nGC_24511) = coupl(nGC_8748)*dZee_QED2 + coupl(nGC_8749)*dsw_QED2
    coupl(nGC_24510) = coupl(nGC_8745)*dZee_QED2 + coupl(nGC_8746)*dsw_QED2
    coupl(nGC_28834) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0
    coupl(nGC_24457) = coupl(nGC_8677)*dZee_QED2 + coupl(nGC_8678)*dsw_QED2 +  &
                       coupl(nGC_8679)*dcw_QED2
    coupl(nGC_24455) = coupl(nGC_8671)*dZee_QED2
    coupl(nGC_24450) = coupl(nGC_8657)*dsw_QED2 + coupl(nGC_8658)*dZee_QED2 +  &
                       coupl(nGC_8659)*dvev_QED1
    coupl(nGC_28833) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
    coupl(nGC_37893) = -coupl(nGC_24359)
    coupl(nGC_37891) = -coupl(nGC_24358)
    coupl(nGC_29640) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_29641) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_24334) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                       nGC_3348) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    coupl(nGC_24333) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_125)*coupl(nGC_520) - coupl(nGC_126)**2d0 - coupl(  &
                       nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24332) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_124)**2d0 + coupl(nGC_125)*coupl(nGC_520) + coupl(  &
                       nGC_126)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
    coupl(nGC_24331) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(       &
                       nGC_3348) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_24330) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_125)*coupl(nGC_520) + coupl(nGC_126)**2d0 + coupl(  &
                       nGC_142)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_24339) = -coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(nGC_128&
                       )**2d0 - coupl(nGC_129)*coupl(nGC_692) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24338) = -coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(nGC_129&
                       )*coupl(nGC_692) - coupl(nGC_139)**2d0 - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
    coupl(nGC_24165) = cima*coupl(nGC_3348)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_29612) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_29635) = coupl(nGC_24542) + coupl(nGC_78)*dZZ_QED2/2d0 + coupl(  &
                       nGC_78)*dZbR_QED2
    coupl(nGC_29634) = coupl(nGC_82)*dZbL_QCD2
    coupl(nGC_29637) = coupl(nGC_29257) + coupl(nGC_29635)
    coupl(nGC_29636) = coupl(nGC_24541) + coupl(nGC_82)*dZZ_QED2/2d0 + coupl(  &
                       nGC_82)*dZbL_QED2
    coupl(nGC_29631) = coupl(nGC_78)*dZbR_QCD2
    coupl(nGC_24206) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(nGC_124&
                       )**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*coupl(    &
                       nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + Nc*    &
                       coupl(nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130)** &
                       2d0*coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(nGC_78 &
                       ) - Nc*coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*coupl(    &
                       nGC_142)**2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**2d0*   &
                       coupl(nGC_82) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79) +  &
                       Nc*coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_133)** &
                       2d0*coupl(nGC_80) - coupl(nGC_133)**2d0*coupl(nGC_86) + &
                       coupl(nGC_136)**2d0*coupl(nGC_80) - coupl(nGC_136)**2d0*&
                       coupl(nGC_86) + coupl(nGC_145)**2d0*coupl(nGC_80) -     &
                       coupl(nGC_145)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
    coupl(nGC_24205) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0* &
                       Nc*cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(  &
                       nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*    &
                       coupl(nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_130)**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130 &
                       )*coupl(nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(     &
                       nGC_132)*coupl(nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127 &
                       )**2d0*coupl(nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl(&
                       nGC_128)*coupl(nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)**2d0&
                       *coupl(nGC_141) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*coupl( &
                       nGC_143) + 2d0*Nc*cMT*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_142) + 2d0*Nc*cMT*coupl(nGC_142)**2d0*coupl(  &
                       nGC_143) + 2d0*Nc*cMU*coupl(nGC_130)**2d0*coupl(nGC_149 &
                       ) + 2d0*Nc*cMU*coupl(nGC_130)*coupl(nGC_132)*coupl(     &
                       nGC_148) + 2d0*Nc*cMU*coupl(nGC_148)**2d0*coupl(nGC_149 &
                       ) + 2d0*cME*coupl(nGC_133)**2d0*coupl(nGC_135) + 2d0*cMM&
                       *coupl(nGC_136)**2d0*coupl(nGC_138) + 2d0*cMTA*coupl(   &
                       nGC_145)**2d0*coupl(nGC_147) + 2d0*cima*coupl(nGC_107)* &
                       coupl(nGC_47) + 4d0*cima*coupl(nGC_110)*coupl(nGC_69) + &
                       cima*coupl(nGC_123)*coupl(nGC_95) + 4d0*cima*coupl(     &
                       nGC_14)*coupl(nGC_99))/(16d0*pi**2d0)
    coupl(nGC_24204) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0*&
                       coupl(nGC_2) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_666&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24208) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc*  &
                       coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl(&
                       nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl( &
                       nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(      &
                       nGC_149) - coupl(nGC_133)*coupl(nGC_135) - coupl(nGC_136&
                       )*coupl(nGC_138) - coupl(nGC_145)*coupl(nGC_147))/(24d0*&
                       pi**2d0)
    coupl(nGC_29885) = coupl(nGC_24520) + coupl(nGC_8)*dZA_QED2 + coupl(nGC_8)*&
                       dZWMinus_QED2
    coupl(nGC_24147) = cima*(Nc*coupl(nGC_125)*coupl(nGC_520) + Nc*coupl(      &
                       nGC_129)*coupl(nGC_692) + Nc*coupl(nGC_131)*coupl(      &
                       nGC_232) + Nc*coupl(nGC_1398)*coupl(nGC_144) + Nc*coupl(&
                       nGC_140)*coupl(nGC_206) + Nc*coupl(nGC_150)*coupl(      &
                       nGC_666) + coupl(nGC_134)*coupl(nGC_1440) + coupl(      &
                       nGC_1368)*coupl(nGC_146) + coupl(nGC_137)*coupl(nGC_418 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_24292) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl( &
                       nGC_149)**3d0 + 8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_149)*coupl(nGC_666)**2d0 + 8d0*coupl(nGC_149)*&
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_29461) = coupl(nGC_24525) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                       nGC_85)*dZZ_QED2/2d0
    coupl(nGC_24142) = cima*(Nc*coupl(nGC_126)**2d0 + Nc*coupl(nGC_128)**2d0 + &
                       Nc*coupl(nGC_132)**2d0 + Nc*coupl(nGC_141)**2d0 + Nc*   &
                       coupl(nGC_143)**2d0 + Nc*coupl(nGC_149)**2d0 + coupl(   &
                       nGC_135)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_147)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_24143) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_141&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_149)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_135)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_138  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_147)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_47) - cMZ**2d0*coupl(nGC_96) + 2d0*  &
                       cima*coupl(nGC_107)**2d0 + cima*coupl(nGC_123)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_29542) = 3d0*coupl(nGC_18)*dZg_QCD2/2d0 + coupl(nGC_24458)
    coupl(nGC_29017) = -coupl(nGC_29013)
    coupl(nGC_29016) = coupl(nGC_24563) + coupl(nGC_MZ)*dZZ_QED2
    coupl(nGC_24148) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_520) -  &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_692) - 4d0&
                       *Nc*cMD**2d0*cima*coupl(nGC_131)*coupl(nGC_232) - 4d0*Nc&
                       *cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_206) - 4d0*Nc*  &
                       cMT**2d0*cima*coupl(nGC_1398)*coupl(nGC_144) - 4d0*Nc*  &
                       cMU**2d0*cima*coupl(nGC_150)*coupl(nGC_666) - 4d0*cME** &
                       2d0*cima*coupl(nGC_134)*coupl(nGC_1440) - 4d0*cMM**2d0* &
                       cima*coupl(nGC_137)*coupl(nGC_418) - 4d0*cMTA**2d0*cima*&
                       coupl(nGC_1368)*coupl(nGC_146) - 2d0*cMW**2d0*coupl(    &
                       nGC_47) - cMZ**2d0*coupl(nGC_96))/(16d0*pi**2d0)
    coupl(nGC_29469) = coupl(nGC_24543) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                       nGC_86)*dZnu_eL_QED2
    coupl(nGC_29012) = coupl(nGC_106)*dZH_QED2/2d0 + coupl(nGC_24450)
    coupl(nGC_30753) = -coupl(nGC_24488) - coupl(nGC_30751)
    coupl(nGC_24337) = -coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128 &
                       )**2d0 + coupl(nGC_129)*coupl(nGC_692) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_24293) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl( &
                       nGC_149)**3d0 - coupl(nGC_149)*coupl(nGC_150)**2d0 + 8d0&
                       *coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_149)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_24129) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(     &
                       nGC_82))/(8d0*pi**2d0)
    coupl(nGC_29942) = coupl(nGC_24561) + coupl(nGC_29938)
    coupl(nGC_29085) = coupl(nGC_21)*dZg_QCD2 + coupl(nGC_24459)
    coupl(nGC_29121) = coupl(nGC_24457) + coupl(nGC_65)*dZWMinus_QED2/2d0
    coupl(nGC_24232) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_131)*coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_132)*&
                       coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
    coupl(nGC_29898) = coupl(nGC_29352) + coupl(nGC_29895)
    coupl(nGC_24230) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(     &
                       nGC_128)*coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_139)*&
                       coupl(nGC_206)*coupl(nGC_692))/(32d0*pi**2d0)
    coupl(nGC_31560) = -coupl(nGC_24477) - coupl(nGC_31559)
    coupl(nGC_29263) = coupl(nGC_82)*dZsL_QCD2
    coupl(nGC_29260) = coupl(nGC_78)*dZsR_QCD2
    coupl(nGC_31563) = coupl(nGC_24478) + coupl(nGC_31558)
    coupl(nGC_29264) = coupl(nGC_24542) + coupl(nGC_78)*dZZ_QED2/2d0 + coupl(  &
                       nGC_78)*dZsR_QED2
    coupl(nGC_29265) = coupl(nGC_24541) + coupl(nGC_82)*dZZ_QED2/2d0 + coupl(  &
                       nGC_82)*dZsL_QED2
    coupl(nGC_28884) = coupl(nGC_77)*dZAZ_QED2
    coupl(nGC_28887) = coupl(nGC_24534) + coupl(nGC_56)*dZWMinus_QED2 + coupl( &
                       nGC_56)*dZZ_QED2
    coupl(nGC_28881) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_24508) + coupl( &
                       nGC_69)*dZA_QED2/2d0 + coupl(nGC_69)*dZH_QED2/2d0 +     &
                       coupl(nGC_69)*dZWMinus_QED2/2d0
    coupl(nGC_29062) = coupl(nGC_123)*dZH_QED2/2d0 + coupl(nGC_123)*dZZ_QED2 + &
                       coupl(nGC_24532)
    coupl(nGC_28888) = coupl(nGC_24533) + coupl(nGC_55)*dZWMinus_QED2 + coupl( &
                       nGC_55)*dZZ_QED2
    coupl(nGC_28866) = coupl(nGC_24517) + coupl(nGC_57)*dZWMinus_QED2
    coupl(nGC_30065) = coupl(nGC_24543) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                       nGC_86)*dZnu_muL_QED2
    coupl(nGC_36567) = -coupl(nGC_24206)
    coupl(nGC_30069) = coupl(nGC_24530) + coupl(nGC_96)*dZZ_QED2
    coupl(nGC_24177) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc*&
                       cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD* &
                       coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl&
                       (nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(    &
                       nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1&
                       )*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110 &
                       )*coupl(nGC_1904) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99 &
                       ) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_784) + 2d0&
                       *coupl(nGC_64)*coupl(nGC_784)*coupl(nGC_99))/(16d0*pi** &
                       2d0)
    coupl(nGC_24436) = coupl(nGC_8614)*dZee_QED2 + coupl(nGC_8615)*dsw_QED2 +  &
                       coupl(nGC_8616)*dcw_QED2
    coupl(nGC_24240) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_140) - coupl( &
                       nGC_128)**2d0*coupl(nGC_129) - coupl(nGC_129)*coupl(    &
                       nGC_692)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_692) +  &
                       8d0*coupl(nGC_692)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
    coupl(nGC_28980) = coupl(nGC_24518) + coupl(nGC_76)*dZWMinus_QED2
    coupl(nGC_24152) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
    coupl(nGC_24410) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0 + &
                       coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(      &
                       nGC_141)**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)**  &
                       2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24417) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 +  &
                       coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_30162) = coupl(nGC_24560) + coupl(nGC_30156)
    coupl(nGC_24418) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_78)**2d0 - &
                       coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83  &
                       )**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_24419) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl(&
                       nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**2d0)
    coupl(nGC_24168) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_29845) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/&
                       2d0
    coupl(nGC_30366) = coupl(nGC_19)*dZtR_QED2
    coupl(nGC_30369) = coupl(nGC_29352) + coupl(nGC_30365)
    coupl(nGC_30368) = coupl(nGC_29352) + coupl(nGC_30367)
    coupl(nGC_24273) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl( &
                       nGC_128)**3d0 - coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0&
                       *coupl(nGC_128)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_128)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_36360) = -coupl(nGC_24208)
    coupl(nGC_33058) = coupl(nGC_24566) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_24248) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_131) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_666) - coupl(nGC_131)**2d0*    &
                       coupl(nGC_232) + 8d0*coupl(nGC_131)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_132)**2d0*coupl(nGC_232))/(32d0*pi**&
                       2d0)
    coupl(nGC_24246) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_232) - coupl(nGC_130)* &
                       coupl(nGC_148)*coupl(nGC_150) - coupl(nGC_131)*coupl(   &
                       nGC_132)**2d0 - coupl(nGC_131)*coupl(nGC_232)**2d0 + 8d0&
                       *coupl(nGC_232)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
    coupl(nGC_24245) = (-coupl(nGC_134)*coupl(nGC_135)**2d0 - coupl(nGC_134)*  &
                       coupl(nGC_1440)**2d0 + 8d0*coupl(nGC_1440)*coupl(nGC_4  &
                       )**2d0 + 8d0*coupl(nGC_1440)*coupl(nGC_80)*coupl(nGC_85 &
                       ))/(32d0*pi**2d0)
    coupl(nGC_24244) = (-coupl(nGC_134)**2d0*coupl(nGC_1440) + 8d0*coupl(      &
                       nGC_134)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_134)*coupl(  &
                       nGC_80)*coupl(nGC_85) - coupl(nGC_135)**2d0*coupl(      &
                       nGC_1440))/(32d0*pi**2d0)
    coupl(nGC_24242) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_206) - coupl( &
                       nGC_128)**2d0*coupl(nGC_692) - coupl(nGC_129)**2d0*coupl&
                       (nGC_692) + 8d0*coupl(nGC_129)*coupl(nGC_2)**2d0 + 8d0* &
                       coupl(nGC_129)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
    coupl(nGC_24241) = coupl(nGC_19)**2d0*coupl(nGC_692)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_29844) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/&
                       2d0
    coupl(nGC_28907) = coupl(nGC_24495) + coupl(nGC_28904)
    coupl(nGC_24489) = coupl(nGC_8710)*dym_QED3
    coupl(nGC_28863) = coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2&
                       /2d0 + coupl(nGC_24433) + coupl(nGC_72)*dZAZ_QED2/2d0
    coupl(nGC_29917) = coupl(nGC_24540) + coupl(nGC_83)*dZZ_QED2/2d0 + coupl(  &
                       nGC_83)*dZtL_QED2
    coupl(nGC_28908) = -coupl(nGC_24494) - coupl(nGC_28905)
    coupl(nGC_28909) = coupl(nGC_24494) + coupl(nGC_28905)
    coupl(nGC_29507) = -coupl(nGC_24474) - coupl(nGC_29503)
    coupl(nGC_29506) = coupl(nGC_24473) + coupl(nGC_29504)
    coupl(nGC_29505) = -coupl(nGC_24473) - coupl(nGC_29504)
    coupl(nGC_24348) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_139&
                       )**2d0 + coupl(nGC_140)*coupl(nGC_206) + coupl(nGC_141  &
                       )**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24349) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_3348&
                       ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    coupl(nGC_24346) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(       &
                       nGC_3348) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
    coupl(nGC_24347) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_127&
                       )**2d0 + coupl(nGC_140)*coupl(nGC_206) + coupl(nGC_141  &
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0&
                       )/(64d0*pi**2d0)
    coupl(nGC_24344) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_127)**2d0 - coupl(nGC_140)*coupl(nGC_206) - coupl(  &
                       nGC_141)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_24345) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_139)**2d0 - coupl(nGC_140)*coupl(nGC_206) - coupl(  &
                       nGC_141)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
    coupl(nGC_29508) = coupl(nGC_24474) + coupl(nGC_29503)
    coupl(nGC_29055) = coupl(nGC_29049) + coupl(nGC_29054)
    coupl(nGC_32369) = coupl(nGC_24551) + coupl(nGC_32363)
    coupl(nGC_28998) = coupl(nGC_24510) + coupl(nGC_61)*dZWMinus_QED2/2d0
    coupl(nGC_29059) = coupl(nGC_24516) + coupl(nGC_49)*dZWMinus_QED2
    coupl(nGC_28995) = -coupl(nGC_28994)
    coupl(nGC_24272) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl( &
                       nGC_128)**3d0 + 8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_128)*coupl(nGC_692)**2d0 + 8d0*coupl(nGC_128)*&
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_24210) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_126)*coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_1398 &
                       )*coupl(nGC_142)*coupl(nGC_520))/(32d0*pi**2d0)
    coupl(nGC_24271) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0*Nc*&
                       cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC*coupl&
                       (nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(nGC_128 &
                       )*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl(nGC_128&
                       )*coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132)*coupl( &
                       nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_78)* &
                       coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_82  &
                       )**2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)**2d0 + &
                       2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(nGC_82) - &
                       2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 - 2d0*Nc*  &
                       cMT*coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0*Nc*cMT*coupl&
                       (nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMT*coupl&
                       (nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*coupl(nGC_149 &
                       )*coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl( &
                       nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl(nGC_149)*coupl(&
                       nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_80)**2d0&
                        + 2d0*cME*coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_85) - &
                       2d0*cME*coupl(nGC_135)*coupl(nGC_85)**2d0 - 2d0*cMM*    &
                       coupl(nGC_138)*coupl(nGC_80)**2d0 + 2d0*cMM*coupl(      &
                       nGC_138)*coupl(nGC_80)*coupl(nGC_85) - 2d0*cMM*coupl(   &
                       nGC_138)*coupl(nGC_85)**2d0 - 2d0*cMTA*coupl(nGC_147)*  &
                       coupl(nGC_80)**2d0 + 2d0*cMTA*coupl(nGC_147)*coupl(     &
                       nGC_80)*coupl(nGC_85) - 2d0*cMTA*coupl(nGC_147)*coupl(  &
                       nGC_85)**2d0 + cima*coupl(nGC_107)*coupl(nGC_56) + coupl&
                       (nGC_107)*coupl(nGC_502)**2d0 + coupl(nGC_107)*coupl(   &
                       nGC_64)**2d0)/(8d0*pi**2d0)
    coupl(nGC_29920) = coupl(nGC_28966) + coupl(nGC_29917)
    coupl(nGC_31300) = coupl(nGC_24555) + coupl(nGC_31294)
    coupl(nGC_31301) = coupl(nGC_24556) + coupl(nGC_31295)
    coupl(nGC_29593) = coupl(nGC_24457) + coupl(nGC_6)*dZAZ_QED2/2d0 + coupl(  &
                       nGC_65)*dZZ_QED2/2d0
    coupl(nGC_29164) = coupl(nGC_24544) + coupl(nGC_80)*dZZ_QED2/2d0 + coupl(  &
                       nGC_80)*dZtauMinusR_QED2
    coupl(nGC_29166) = coupl(nGC_29160) + coupl(nGC_29163)
    coupl(nGC_30302) = coupl(nGC_29257) + coupl(nGC_30299)
    coupl(nGC_29353) = coupl(nGC_29347) + coupl(nGC_29352)
    coupl(nGC_24197) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*   &
                       coupl(nGC_206) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_62)**2d0*coupl(nGC_784))/(32d0*pi**2d0)
    coupl(nGC_24216) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl(  &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127)*&
                       coupl(nGC_206)*coupl(nGC_692) + 8d0*coupl(nGC_139)*coupl&
                       (nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_24351) = coupl(nGC_19)*sq2*(-coupl(nGC_1398)*coupl(nGC_144) -    &
                       coupl(nGC_142)**2d0 - coupl(nGC_143)**2d0 - 4d0*coupl(  &
                       nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_24350) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_1398&
                       )*coupl(nGC_144) - coupl(nGC_143)**2d0 - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
    coupl(nGC_24353) = coupl(nGC_19)*sq2*(coupl(nGC_1398)*coupl(nGC_144) +     &
                       coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0 + 4d0*coupl(  &
                       nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24352) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_1398 &
                       )*coupl(nGC_144) + coupl(nGC_143)**2d0 + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
    coupl(nGC_29106) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_24535)
    coupl(nGC_24383) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 -  &
                       4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 - 4d0&
                       *Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc&
                       *cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*  &
                       cima*coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*   &
                       cima*coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 + 3d0*cima* &
                       coupl(nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(nGC_133)**  &
                       2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*  &
                       coupl(nGC_62)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(&
                       nGC_62)**2d0 + 6d0*cima*coupl(nGC_1798)*coupl(nGC_47) + &
                       3d0*cima*coupl(nGC_56)*coupl(nGC_95) + 6d0*cima*coupl(  &
                       nGC_77)*coupl(nGC_90) + 6d0*coupl(nGC_10)*coupl(nGC_2046&
                       )*coupl(nGC_3) + 6d0*coupl(nGC_2046)*coupl(nGC_64)*coupl&
                       (nGC_90) + 6d0*coupl(nGC_3)*coupl(nGC_778)*coupl(nGC_90 &
                       ) + 6d0*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_784) + 6d0*&
                       coupl(nGC_47)*coupl(nGC_502)*coupl(nGC_63) + 6d0*coupl( &
                       nGC_64)*coupl(nGC_778)*coupl(nGC_95))/(48d0*pi**2d0)
    coupl(nGC_29109) = coupl(nGC_29105) + coupl(nGC_29106)
    coupl(nGC_29108) = coupl(nGC_29106) + coupl(nGC_29107)
    coupl(nGC_24295) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl(&
                       nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_4)*coupl(nGC_64)*&
                       coupl(nGC_784) - coupl(nGC_502)*coupl(nGC_63)*coupl(    &
                       nGC_64) + 3d0*coupl(nGC_62)**2d0*coupl(nGC_85) - 3d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
    coupl(nGC_24296) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(   &
                       nGC_1)*coupl(nGC_784) + coupl(nGC_2)*coupl(nGC_3) +     &
                       coupl(nGC_502)*coupl(nGC_82) + coupl(nGC_64)*coupl(     &
                       nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
    coupl(nGC_29025) = coupl(nGC_24515) + coupl(nGC_47)*dZWMinus_QED2
    coupl(nGC_29020) = coupl(nGC_122)*dZH_QED2/2d0 + coupl(nGC_24447)
    coupl(nGC_24199) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_1398)*coupl(nGC_144)*    &
                       coupl(nGC_2) + coupl(nGC_143)**2d0*coupl(nGC_2) + 4d0*  &
                       coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 &
                        + 2d0*coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24267) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc*&
                       cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*coupl&
                       (nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(nGC_141 &
                       )*coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143)*coupl( &
                       nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_62)**&
                       2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**2d0 - 2d0*  &
                       cMM*coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0*cMTA*coupl( &
                       nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl(nGC_107)*  &
                       coupl(nGC_1798) + cima*coupl(nGC_123)*coupl(nGC_56) +   &
                       2d0*coupl(nGC_107)*coupl(nGC_4)*coupl(nGC_784) + 2d0*   &
                       coupl(nGC_107)*coupl(nGC_502)*coupl(nGC_63) + 2d0*coupl(&
                       nGC_123)*coupl(nGC_64)*coupl(nGC_778))/(16d0*pi**2d0)
    coupl(nGC_29255) = coupl(nGC_29106) + coupl(nGC_29254)
    coupl(nGC_31006) = coupl(nGC_24539) + coupl(nGC_79)*dZZ_QED2/2d0 + coupl(  &
                       nGC_79)*dZuR_QED2
    coupl(nGC_24184) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC* &
                       coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*coupl&
                       (nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*coupl(    &
                       nGC_1)*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*coupl(nGC_1&
                       )*coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*coupl(nGC_1)*   &
                       coupl(nGC_141)*coupl(nGC_78) - Nc*cMS*coupl(nGC_1)*coupl&
                       (nGC_141)*coupl(nGC_82) - Nc*cMT*coupl(nGC_143)*coupl(  &
                       nGC_2)*coupl(nGC_79) - Nc*cMT*coupl(nGC_143)*coupl(nGC_2&
                       )*coupl(nGC_83) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*   &
                       coupl(nGC_79) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*coupl&
                       (nGC_83) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_80 &
                       ) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_85) - cMM*&
                       coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_80) - cMM*coupl(  &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_85) - cMTA*coupl(nGC_147&
                       )*coupl(nGC_4)*coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl&
                       (nGC_4)*coupl(nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77&
                       ) + coupl(nGC_107)*coupl(nGC_3)*coupl(nGC_64) + coupl(  &
                       nGC_107)*coupl(nGC_502)*coupl(nGC_784))/(8d0*pi**2d0)
    coupl(nGC_24186) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl( &
                       nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_3)*coupl(nGC_4)*  &
                       coupl(nGC_784) - coupl(nGC_3)*coupl(nGC_502)*coupl(     &
                       nGC_63) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0*pi &
                       **2d0)
    coupl(nGC_24187) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc* &
                       cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(   &
                       nGC_2)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)**  &
                       2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*cMM&
                       *coupl(nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                       nGC_147)*coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl( &
                       nGC_9) + coupl(nGC_107)*coupl(nGC_3)**2d0 + coupl(      &
                       nGC_107)*coupl(nGC_784)**2d0)/(8d0*pi**2d0)
    coupl(nGC_24188) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*   &
                       coupl(nGC_232) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_62)**2d0*coupl(nGC_784))/(32d0*pi**2d0)
    coupl(nGC_24388) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*coupl&
                       (nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83)**3d0  &
                        - 2d0*cima*coupl(nGC_3)*coupl(nGC_64)**3d0 + cima*coupl&
                       (nGC_4)*coupl(nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(   &
                       nGC_85)**3d0 - 2d0*cima*coupl(nGC_502)**3d0*coupl(      &
                       nGC_784) + cima*coupl(nGC_56)*coupl(nGC_77) + coupl(    &
                       nGC_3)*coupl(nGC_56)*coupl(nGC_64) + coupl(nGC_502)**2d0&
                       *coupl(nGC_77) + coupl(nGC_502)*coupl(nGC_56)*coupl(    &
                       nGC_784) + coupl(nGC_64)**2d0*coupl(nGC_77))/(8d0*pi**  &
                       2d0)
    coupl(nGC_31008) = coupl(nGC_28966) + coupl(nGC_31006)
    coupl(nGC_31731) = coupl(nGC_24554) + coupl(nGC_31725)
    coupl(nGC_31730) = coupl(nGC_24553) + coupl(nGC_31724)
    coupl(nGC_28999) = -coupl(nGC_28998)
    coupl(nGC_24322) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)** &
                       2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_206)*coupl(&
                       nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*coupl(&
                       nGC_502)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*   &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24287) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl( &
                       nGC_1398)**2d0*coupl(nGC_143) - coupl(nGC_143)**3d0 +   &
                       8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_143&
                       )*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_36796) = -coupl(nGC_24295)
    coupl(nGC_29033) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_24460)
    coupl(nGC_29237) = coupl(nGC_135)*dZH_QED2/2d0 + coupl(nGC_24491)
    coupl(nGC_29238) = coupl(nGC_29236) + coupl(nGC_29237)
    coupl(nGC_28781) = coupl(nGC_24497) + coupl(nGC_28776)
    coupl(nGC_24145) = cima*(coupl(nGC_502)**2d0 + coupl(nGC_64)**2d0)/(48d0*pi&
                       **2d0)
    coupl(nGC_24181) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*   &
                       coupl(nGC_520) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_62)**2d0*coupl(nGC_784))/(32d0*pi**2d0)
    coupl(nGC_31030) = coupl(nGC_24499) + coupl(nGC_31025)
    coupl(nGC_24193) = (coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_418) + coupl(    &
                       nGC_138)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(    &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_24192) = coupl(nGC_4)*(coupl(nGC_137)*coupl(nGC_418) + coupl(    &
                       nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_34693) = 2d0*coupl(nGC_21)*dZg_QCD2 + coupl(nGC_24459)
    coupl(nGC_24309) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*    &
                       coupl(nGC_692)*coupl(nGC_79) + coupl(nGC_139)**2d0*coupl&
                       (nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
    coupl(nGC_34695) = 2d0*coupl(nGC_34693)
    coupl(nGC_34694) = -coupl(nGC_34693)
    coupl(nGC_28832) = coupl(nGC_24455) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_28835) = coupl(nGC_28832) + coupl(nGC_28834)
    coupl(nGC_29530) = coupl(nGC_24432) + coupl(nGC_93)*dZH_QED2
    coupl(nGC_29746) = coupl(nGC_24529) + coupl(nGC_77)*dZA_QED2/2d0 + coupl(  &
                       nGC_77)*dZWMinus_QED2 + coupl(nGC_77)*dZZ_QED2/2d0
    coupl(nGC_24336) = -coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129 &
                       )*coupl(nGC_692) + coupl(nGC_139)**2d0 + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
    coupl(nGC_24135) = cima*(coupl(nGC_2046)*coupl(nGC_3) + coupl(nGC_4)*coupl(&
                       nGC_784) + coupl(nGC_502)*coupl(nGC_63) + coupl(nGC_64)*&
                       coupl(nGC_778))/(48d0*pi**2d0)
    coupl(nGC_24134) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_2046)*coupl&
                       (nGC_3) - coupl(nGC_4)*coupl(nGC_784) - coupl(nGC_502)* &
                       coupl(nGC_63) - 3d0*coupl(nGC_62)**2d0 - coupl(nGC_64)* &
                       coupl(nGC_778))/(48d0*pi**2d0)
    coupl(nGC_24136) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima*&
                       coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)**2d0&
                        + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0*   &
                       cima*coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_62 &
                       )**2d0 + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**2d0*   &
                       cima*coupl(nGC_62)**2d0 + cMTA**2d0*cima*coupl(nGC_62)**&
                       2d0 + cMW**2d0*cima*coupl(nGC_2046)*coupl(nGC_3) + cMW**&
                       2d0*cima*coupl(nGC_4)*coupl(nGC_784) + cMW**2d0*cima*   &
                       coupl(nGC_502)*coupl(nGC_63) + cMW**2d0*cima*coupl(     &
                       nGC_64)*coupl(nGC_778) - 2d0*cMW**2d0*coupl(nGC_1798) + &
                       cMZ**2d0*cima*coupl(nGC_502)*coupl(nGC_63) + cMZ**2d0*  &
                       cima*coupl(nGC_64)*coupl(nGC_778) - cMZ**2d0*coupl(     &
                       nGC_56))/(16d0*pi**2d0)
    coupl(nGC_24139) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)** &
                       2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl(&
                       nGC_784)**2d0)/(48d0*pi**2d0)
    coupl(nGC_30270) = coupl(nGC_30267) + coupl(nGC_30268)
    coupl(nGC_29868) = coupl(nGC_29352) + coupl(nGC_29862)
    coupl(nGC_28836) = coupl(nGC_28832) + coupl(nGC_28833)
    coupl(nGC_31803) = -2d0*coupl(nGC_31802)
    coupl(nGC_24399) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_520)*coupl(nGC_78&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_125)*coupl(nGC_520)*    &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_125 &
                       )*coupl(nGC_520)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_129)*coupl(nGC_692)*coupl(nGC_79)**2d0 + 10d0*Nc*   &
                       cima*coupl(nGC_129)*coupl(nGC_692)*coupl(nGC_79)*coupl( &
                       nGC_83) - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_692)*    &
                       coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl(  &
                       nGC_232)*coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_131&
                       )*coupl(nGC_232)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*  &
                       cima*coupl(nGC_131)*coupl(nGC_232)*coupl(nGC_82)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_1398)*coupl(nGC_144)*coupl(nGC_79 &
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_1398)*coupl(nGC_144)*   &
                       coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_1398&
                       )*coupl(nGC_144)*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_140)*coupl(nGC_206)*coupl(nGC_78)**2d0 + 10d0*Nc*   &
                       cima*coupl(nGC_140)*coupl(nGC_206)*coupl(nGC_78)*coupl( &
                       nGC_82) - 8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_206)*    &
                       coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_150)*coupl(  &
                       nGC_666)*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_150&
                       )*coupl(nGC_666)*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*  &
                       cima*coupl(nGC_150)*coupl(nGC_666)*coupl(nGC_83)**2d0 - &
                       8d0*cima*coupl(nGC_134)*coupl(nGC_1440)*coupl(nGC_80)** &
                       2d0 + 10d0*cima*coupl(nGC_134)*coupl(nGC_1440)*coupl(   &
                       nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_134)*coupl(  &
                       nGC_1440)*coupl(nGC_85)**2d0 - 8d0*cima*coupl(nGC_1368)*&
                       coupl(nGC_146)*coupl(nGC_80)**2d0 + 10d0*cima*coupl(    &
                       nGC_1368)*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_85) -  &
                       8d0*cima*coupl(nGC_1368)*coupl(nGC_146)*coupl(nGC_85)** &
                       2d0 - 8d0*cima*coupl(nGC_137)*coupl(nGC_418)*coupl(     &
                       nGC_80)**2d0 + 10d0*cima*coupl(nGC_137)*coupl(nGC_418)* &
                       coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_137)*  &
                       coupl(nGC_418)*coupl(nGC_85)**2d0 + 3d0*cima*coupl(     &
                       nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_47)*coupl(nGC_502 &
                       )**2d0 + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi &
                       **2d0)
    coupl(nGC_28906) = -coupl(nGC_24495) - coupl(nGC_28904)
    coupl(nGC_37410) = -coupl(nGC_24226)
    coupl(nGC_31029) = -coupl(nGC_24499) - coupl(nGC_31025)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
