!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_31028) = coupl(nGC_24498) + coupl(nGC_31026)
    coupl(nGC_31027) = -coupl(nGC_24498) - coupl(nGC_31026)
    coupl(nGC_29809) = coupl(nGC_29352) + coupl(nGC_29806)
    coupl(nGC_28813) = coupl(nGC_24507) + coupl(nGC_54)*dZZA_QED2/2d0 + coupl( &
                       nGC_75)*dZA_QED2/2d0 + coupl(nGC_75)*dZWMinus_QED2/2d0
    coupl(nGC_29955) = coupl(nGC_107)*dZH_QED2/2d0 + coupl(nGC_107)*           &
                       dZWMinus_QED2 + coupl(nGC_24519)
    coupl(nGC_28825) = coupl(nGC_15)*dZH_QED2/2d0 + coupl(nGC_24437)
    coupl(nGC_24200) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_1398)*    &
                       coupl(nGC_144)*coupl(nGC_2) + coupl(nGC_143)**2d0*coupl(&
                       nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(&
                       nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_28820) = coupl(nGC_101)*dZH_QED2/2d0 + coupl(nGC_24448) + coupl( &
                       nGC_GGH)
    coupl(nGC_24209) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB*&
                       coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl( &
                       nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133&
                       )*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl&
                       (nGC_62)*coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62&
                       )*coupl(nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl&
                       (nGC_85) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86&
                       ) + cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) -   &
                       cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA* &
                       coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*  &
                       coupl(nGC_110)*coupl(nGC_260) + 2d0*cima*coupl(nGC_55)* &
                       coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_4)*coupl(  &
                       nGC_64) + 2d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_99  &
                       ))/(16d0*pi**2d0)
    coupl(nGC_29886) = -coupl(nGC_29884)/2d0 + coupl(nGC_29885)
    coupl(nGC_29638) = coupl(nGC_29257) + coupl(nGC_29636)
    coupl(nGC_24144) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79  &
                       )**2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(nGC_83&
                       )**2d0 - coupl(nGC_502)**2d0 - coupl(nGC_64)**2d0 - 3d0*&
                       coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 - 3d0*coupl(&
                       nGC_86)**2d0)/(48d0*pi**2d0)
    coupl(nGC_24324) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_1398)*   &
                       coupl(nGC_144)*coupl(nGC_79) + coupl(nGC_143)**2d0*coupl&
                       (nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
    coupl(nGC_24146) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima*&
                       coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)**2d0&
                        + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0*   &
                       cima*coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_82 &
                       )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMS** &
                       2d0*cima*coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*coupl(   &
                       nGC_79)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_83)**2d0 + Nc*&
                       cMU**2d0*cima*coupl(nGC_79)**2d0 + Nc*cMU**2d0*cima*    &
                       coupl(nGC_83)**2d0 + cME**2d0*cima*coupl(nGC_80)**2d0 + &
                       cME**2d0*cima*coupl(nGC_85)**2d0 + cMM**2d0*cima*coupl( &
                       nGC_80)**2d0 + cMM**2d0*cima*coupl(nGC_85)**2d0 + cMTA**&
                       2d0*cima*coupl(nGC_80)**2d0 + cMTA**2d0*cima*coupl(     &
                       nGC_85)**2d0 + cMW**2d0*cima*coupl(nGC_502)**2d0 + cMW**&
                       2d0*cima*coupl(nGC_64)**2d0 - cMW**2d0*coupl(nGC_56))/( &
                       8d0*pi**2d0)
    coupl(nGC_32316) = coupl(nGC_24481) + coupl(nGC_32315)
    coupl(nGC_24140) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_784)**2d0)/(48d0*pi &
                       **2d0)
    coupl(nGC_24141) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(nGC_3&
                       )**2d0 + cMW**2d0*cima*coupl(nGC_784)**2d0 - cMW**2d0*  &
                       coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_24325) = (coupl(nGC_1398)*coupl(nGC_144)*coupl(nGC_83) + coupl(  &
                       nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**2d0*coupl(&
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_29792) = coupl(nGC_24515) + coupl(nGC_47)*dZH_QED2 + coupl(nGC_47&
                       )*dZWMinus_QED2
    coupl(nGC_29659) = -coupl(nGC_29658)
    coupl(nGC_24149) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_79 &
                       ) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(nGC_3)*   &
                       coupl(nGC_64) - 3d0*coupl(nGC_4)*coupl(nGC_80) - 3d0*   &
                       coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_502)*coupl(      &
                       nGC_784))/(48d0*pi**2d0)
    coupl(nGC_29256) = coupl(nGC_29106) + coupl(nGC_29253)
    coupl(nGC_28890) = coupl(nGC_28884) + coupl(nGC_28887)
    coupl(nGC_28894) = coupl(nGC_24455) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                       nGC_85)*dZZA_QED2/2d0
    coupl(nGC_28899) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_24518) + coupl( &
                       nGC_57)*dZZA_QED2/2d0 + coupl(nGC_76)*dZA_QED2/2d0 +    &
                       coupl(nGC_76)*dZZ_QED2/2d0
    coupl(nGC_29810) = coupl(nGC_29352) + coupl(nGC_29808)
    coupl(nGC_31227) = coupl(nGC_143)*dZH_QED2/2d0 + coupl(nGC_24505)
    coupl(nGC_31226) = coupl(nGC_24504) + coupl(nGC_31225)
    coupl(nGC_36646) = -coupl(nGC_24207)
    coupl(nGC_24234) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc*&
                       cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_520) + 2d0* &
                       Nc*cMB*coupl(nGC_126)*coupl(nGC_520)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*coupl(  &
                       nGC_128)*coupl(nGC_129)*coupl(nGC_692) + 2d0*Nc*cMC*    &
                       coupl(nGC_128)*coupl(nGC_692)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_131)**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl(nGC_131 &
                       )*coupl(nGC_132)*coupl(nGC_232) + 2d0*Nc*cMD*coupl(     &
                       nGC_132)*coupl(nGC_232)**2d0 + 2d0*Nc*cMS*coupl(nGC_140 &
                       )**2d0*coupl(nGC_141) + 8d0*Nc*cMS*coupl(nGC_140)*coupl(&
                       nGC_141)*coupl(nGC_206) + 2d0*Nc*cMS*coupl(nGC_141)*    &
                       coupl(nGC_206)**2d0 + 2d0*Nc*cMT*coupl(nGC_1398)**2d0*  &
                       coupl(nGC_143) + 8d0*Nc*cMT*coupl(nGC_1398)*coupl(      &
                       nGC_143)*coupl(nGC_144) + 2d0*Nc*cMT*coupl(nGC_143)*    &
                       coupl(nGC_144)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl(  &
                       nGC_150)**2d0 + 8d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_150 &
                       )*coupl(nGC_666) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(     &
                       nGC_666)**2d0 + 2d0*cME*coupl(nGC_134)**2d0*coupl(      &
                       nGC_135) + 8d0*cME*coupl(nGC_134)*coupl(nGC_135)*coupl( &
                       nGC_1440) + 2d0*cME*coupl(nGC_135)*coupl(nGC_1440)**2d0 &
                        + 2d0*cMM*coupl(nGC_137)**2d0*coupl(nGC_138) + 8d0*cMM*&
                       coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_418) + 2d0*cMM* &
                       coupl(nGC_138)*coupl(nGC_418)**2d0 + 2d0*cMTA*coupl(    &
                       nGC_1368)**2d0*coupl(nGC_147) + 8d0*cMTA*coupl(nGC_1368 &
                       )*coupl(nGC_146)*coupl(nGC_147) + 2d0*cMTA*coupl(nGC_146&
                       )**2d0*coupl(nGC_147) + 2d0*cima*coupl(nGC_107)*coupl(  &
                       nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi** &
                       2d0)
    coupl(nGC_24235) = (-Nc*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_78) + Nc*  &
                       coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_82) + Nc*coupl( &
                       nGC_126)*coupl(nGC_520)*coupl(nGC_78) - Nc*coupl(nGC_126&
                       )*coupl(nGC_520)*coupl(nGC_82) - Nc*coupl(nGC_128)*coupl&
                       (nGC_129)*coupl(nGC_79) + Nc*coupl(nGC_128)*coupl(      &
                       nGC_129)*coupl(nGC_83) + Nc*coupl(nGC_128)*coupl(nGC_692&
                       )*coupl(nGC_79) - Nc*coupl(nGC_128)*coupl(nGC_692)*coupl&
                       (nGC_83) - Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_78&
                       ) + Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_82) + Nc*&
                       coupl(nGC_132)*coupl(nGC_232)*coupl(nGC_78) - Nc*coupl( &
                       nGC_132)*coupl(nGC_232)*coupl(nGC_82) + Nc*coupl(       &
                       nGC_1398)*coupl(nGC_143)*coupl(nGC_79) - Nc*coupl(      &
                       nGC_1398)*coupl(nGC_143)*coupl(nGC_83) - Nc*coupl(      &
                       nGC_140)*coupl(nGC_141)*coupl(nGC_78) + Nc*coupl(nGC_140&
                       )*coupl(nGC_141)*coupl(nGC_82) + Nc*coupl(nGC_141)*coupl&
                       (nGC_206)*coupl(nGC_78) - Nc*coupl(nGC_141)*coupl(      &
                       nGC_206)*coupl(nGC_82) - Nc*coupl(nGC_143)*coupl(nGC_144&
                       )*coupl(nGC_79) + Nc*coupl(nGC_143)*coupl(nGC_144)*coupl&
                       (nGC_83) - Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_79&
                       ) + Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_83) + Nc*&
                       coupl(nGC_149)*coupl(nGC_666)*coupl(nGC_79) - Nc*coupl( &
                       nGC_149)*coupl(nGC_666)*coupl(nGC_83) - coupl(nGC_134)* &
                       coupl(nGC_135)*coupl(nGC_80) + coupl(nGC_134)*coupl(    &
                       nGC_135)*coupl(nGC_85) + coupl(nGC_135)*coupl(nGC_1440)*&
                       coupl(nGC_80) - coupl(nGC_135)*coupl(nGC_1440)*coupl(   &
                       nGC_85) + coupl(nGC_1368)*coupl(nGC_147)*coupl(nGC_80   &
                       ) - coupl(nGC_1368)*coupl(nGC_147)*coupl(nGC_85) - coupl&
                       (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + coupl(nGC_137)*&
                       coupl(nGC_138)*coupl(nGC_85) + coupl(nGC_138)*coupl(    &
                       nGC_418)*coupl(nGC_80) - coupl(nGC_138)*coupl(nGC_418)* &
                       coupl(nGC_85) - coupl(nGC_146)*coupl(nGC_147)*coupl(    &
                       nGC_80) + coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_85))/(&
                       24d0*pi**2d0)
    coupl(nGC_29899) = coupl(nGC_29352) + coupl(nGC_29897)
    coupl(nGC_36725) = -coupl(nGC_24186)
    coupl(nGC_29086) = 2d0*coupl(nGC_29085)
    coupl(nGC_29448) = coupl(nGC_29106) + coupl(nGC_29446)
    coupl(nGC_24238) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)* &
                       coupl(nGC_1398)*coupl(nGC_142) - coupl(nGC_125)**2d0*   &
                       coupl(nGC_520) + 8d0*coupl(nGC_125)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_520))/(32d0*pi**&
                       2d0)
    coupl(nGC_28870) = -coupl(nGC_24489) - coupl(nGC_28869)
    coupl(nGC_24151) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB** &
                       2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima* &
                       coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(    &
                       nGC_2)*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*   &
                       coupl(nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(    &
                       nGC_82) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + &
                       Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMT**  &
                       2d0*cima*coupl(nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*cima* &
                       coupl(nGC_2)*coupl(nGC_83) + Nc*cMU**2d0*cima*coupl(    &
                       nGC_2)*coupl(nGC_79) + Nc*cMU**2d0*cima*coupl(nGC_2)*   &
                       coupl(nGC_83) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_80 &
                       ) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_85) + cMM**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_80) + cMM**2d0*cima*coupl(  &
                       nGC_4)*coupl(nGC_85) + cMTA**2d0*cima*coupl(nGC_4)*coupl&
                       (nGC_80) + cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_85) +  &
                       cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_64) + cMW**2d0*cima&
                       *coupl(nGC_502)*coupl(nGC_784) - cMW**2d0*coupl(nGC_77  &
                       ))/(8d0*pi**2d0)
    coupl(nGC_24150) = cima*(coupl(nGC_3)*coupl(nGC_64) + coupl(nGC_502)*coupl(&
                       nGC_784))/(48d0*pi**2d0)
    coupl(nGC_24364) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 -   &
                       2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc* &
                       cima*coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima&
                       *coupl(nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima*   &
                       coupl(nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl( &
                       nGC_135)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_138&
                       )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_147)**2d0*&
                       coupl(nGC_4)**2d0 + cima*coupl(nGC_47)*coupl(nGC_9) +   &
                       coupl(nGC_3)**2d0*coupl(nGC_47) + coupl(nGC_47)*coupl(  &
                       nGC_784)**2d0)/(8d0*pi**2d0)
    coupl(nGC_31562) = -coupl(nGC_24478) - coupl(nGC_31558)
    coupl(nGC_30300) = coupl(nGC_24542) + coupl(nGC_78)*dZZ_QED2/2d0 + coupl(  &
                       nGC_78)*dZdR_QED2
    coupl(nGC_29266) = coupl(nGC_29257) + coupl(nGC_29264)
    coupl(nGC_30925) = coupl(nGC_30268) + coupl(nGC_30922)
    coupl(nGC_24406) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +   &
                       9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(     &
                       nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 + 3d0*cima*coupl(nGC_260)**2d0 - 4d0*cima*coupl(    &
                       nGC_4)*coupl(nGC_64)**2d0*coupl(nGC_784) - 4d0*cima*    &
                       coupl(nGC_502)*coupl(nGC_63)*coupl(nGC_64)**2d0 + 3d0*  &
                       cima*coupl(nGC_55)**2d0 - 3d0*cima*coupl(nGC_62)**2d0*  &
                       coupl(nGC_85)**2d0 + 9d0*cima*coupl(nGC_62)**2d0*coupl( &
                       nGC_85)*coupl(nGC_86) - 3d0*cima*coupl(nGC_62)**2d0*    &
                       coupl(nGC_86)**2d0 + 3d0*coupl(nGC_260)*coupl(nGC_4)*   &
                       coupl(nGC_64) + 3d0*coupl(nGC_260)*coupl(nGC_64)*coupl( &
                       nGC_784) + 3d0*coupl(nGC_502)*coupl(nGC_55)*coupl(nGC_64&
                       ) + 3d0*coupl(nGC_55)*coupl(nGC_63)*coupl(nGC_64))/(24d0&
                       *pi**2d0)
    coupl(nGC_28889) = -coupl(nGC_28884)/2d0 + coupl(nGC_28888)
    coupl(nGC_30009) = -coupl(nGC_24476) - coupl(nGC_30005)
    coupl(nGC_24229) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB*&
                       coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl( &
                       nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133&
                       )*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl&
                       (nGC_62)*coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62&
                       )*coupl(nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl&
                       (nGC_85) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86&
                       ) + cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) -   &
                       cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA* &
                       coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*  &
                       coupl(nGC_110)*coupl(nGC_260) + 2d0*cima*coupl(nGC_55)* &
                       coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(  &
                       nGC_502) + 2d0*coupl(nGC_502)*coupl(nGC_64)*coupl(nGC_99&
                       ))/(16d0*pi**2d0)
    coupl(nGC_24228) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(  &
                       nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124)*&
                       coupl(nGC_1398)*coupl(nGC_520) + 8d0*coupl(nGC_142)*    &
                       coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_24381) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_125)*coupl( &
                       nGC_520) + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_1398)* &
                       coupl(nGC_144) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_125)* &
                       coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*coupl(nGC_124)* &
                       coupl(nGC_1398)*coupl(nGC_142)*coupl(nGC_520) + 10d0*Nc*&
                       coupl(nGC_125)*coupl(nGC_142)**2d0*coupl(nGC_520) + 10d0&
                       *Nc*coupl(nGC_127)**2d0*coupl(nGC_129)*coupl(nGC_692) + &
                       10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_140)*coupl(nGC_206&
                       ) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_139 &
                       )*coupl(nGC_140) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_139 &
                       )*coupl(nGC_206)*coupl(nGC_692) + 10d0*Nc*coupl(nGC_129 &
                       )*coupl(nGC_139)**2d0*coupl(nGC_692) + 10d0*Nc*coupl(   &
                       nGC_130)**2d0*coupl(nGC_131)*coupl(nGC_232) + 10d0*Nc*  &
                       coupl(nGC_130)**2d0*coupl(nGC_150)*coupl(nGC_666) + 10d0&
                       *Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148)*coupl( &
                       nGC_150) + 10d0*Nc*coupl(nGC_130)*coupl(nGC_148)*coupl( &
                       nGC_232)*coupl(nGC_666) + 10d0*Nc*coupl(nGC_131)*coupl( &
                       nGC_148)**2d0*coupl(nGC_232) + 10d0*Nc*coupl(nGC_139)** &
                       2d0*coupl(nGC_140)*coupl(nGC_206) + 10d0*Nc*coupl(      &
                       nGC_1398)*coupl(nGC_142)**2d0*coupl(nGC_144) + 10d0*Nc* &
                       coupl(nGC_148)**2d0*coupl(nGC_150)*coupl(nGC_666) + 12d0&
                       *coupl(nGC_13)*coupl(nGC_16) + 10d0*coupl(nGC_133)**2d0*&
                       coupl(nGC_134)*coupl(nGC_1440) + 10d0*coupl(nGC_136)**  &
                       2d0*coupl(nGC_137)*coupl(nGC_418) + 10d0*coupl(nGC_1368 &
                       )*coupl(nGC_145)**2d0*coupl(nGC_146) + 6d0*coupl(nGC_47 &
                       )**2d0 + 12d0*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(  &
                       nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
    coupl(nGC_24386) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 +  &
                       5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(    &
                       nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83  &
                       )**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*    &
                       coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(  &
                       nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(   &
                       nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(   &
                       nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0*&
                       coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*   &
                       coupl(nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_139)**2d0*   &
                       coupl(nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_139 &
                       )**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_142)**&
                       2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_142)**2d0&
                       *coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_142&
                       )**2d0*coupl(nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_148)**&
                       2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_148)**2d0&
                       *coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_148&
                       )**2d0*coupl(nGC_82)**2d0 - 4d0*cima*coupl(nGC_133)**2d0&
                       *coupl(nGC_80)**2d0 + 5d0*cima*coupl(nGC_133)**2d0*coupl&
                       (nGC_80)*coupl(nGC_86) - 4d0*cima*coupl(nGC_133)**2d0*  &
                       coupl(nGC_86)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(&
                       nGC_80)**2d0 + 5d0*cima*coupl(nGC_136)**2d0*coupl(nGC_80&
                       )*coupl(nGC_86) - 4d0*cima*coupl(nGC_136)**2d0*coupl(   &
                       nGC_86)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_80&
                       )**2d0 + 5d0*cima*coupl(nGC_145)**2d0*coupl(nGC_80)*    &
                       coupl(nGC_86) - 4d0*cima*coupl(nGC_145)**2d0*coupl(     &
                       nGC_86)**2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_56) +   &
                       3d0*coupl(nGC_47)*coupl(nGC_502)**2d0 + 3d0*coupl(nGC_47&
                       )*coupl(nGC_64)**2d0)/(24d0*pi**2d0)
    coupl(nGC_24387) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_125)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_125)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_692)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62 &
                       )*coupl(nGC_692)*coupl(nGC_82) - 4d0*Nc*cima*coupl(     &
                       nGC_127)*coupl(nGC_62)*coupl(nGC_692)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_1398)*coupl(nGC_142)*coupl(nGC_62 &
                       )*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_1398)*coupl(    &
                       nGC_142)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_1398)*coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_666)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_62 &
                       )*coupl(nGC_666)*coupl(nGC_82) - 4d0*Nc*cima*coupl(     &
                       nGC_148)*coupl(nGC_62)*coupl(nGC_666)*coupl(nGC_83) +   &
                       6d0*cima*coupl(nGC_13)*coupl(nGC_55) + 5d0*cima*coupl(  &
                       nGC_133)*coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_80) -   &
                       4d0*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*   &
                       coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*coupl(nGC_134)* &
                       coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_136)*  &
                       coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_85&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62 &
                       )*coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*coupl(nGC_146 &
                       )*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*&
                       coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_260)*coupl(nGC_68) + 6d0*coupl(  &
                       nGC_13)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)* &
                       coupl(nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
    coupl(nGC_24425) = (cima*coupl(nGC_1978)**2d0 - cima*coupl(nGC_3348)**4d0* &
                       sq2**4d0 - 2d0*coupl(nGC_1978)*coupl(nGC_3348)**2d0*sq2 &
                       **2d0)/(32d0*pi**2d0)
    coupl(nGC_30582) = coupl(nGC_24479) + coupl(nGC_30578)
    coupl(nGC_24422) = cima*sq2**4d0*(-Nc*coupl(nGC_3348)**4d0 - 15d0*coupl(   &
                       nGC_19)**4d0)/(192d0*pi**2d0)
    coupl(nGC_28782) = -coupl(nGC_24496) - coupl(nGC_28777)
    coupl(nGC_28783) = coupl(nGC_24496) + coupl(nGC_28777)
    coupl(nGC_28780) = -coupl(nGC_24497) - coupl(nGC_28776)
    coupl(nGC_30469) = coupl(nGC_30465) + coupl(nGC_30468)
    coupl(nGC_29867) = coupl(nGC_29352) + coupl(nGC_29866)
    coupl(nGC_24302) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(   &
                       nGC_1)*coupl(nGC_4) + coupl(nGC_2)*coupl(nGC_2046) +    &
                       coupl(nGC_63)*coupl(nGC_82) + coupl(nGC_778)*coupl(     &
                       nGC_83) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
    coupl(nGC_24303) = coupl(nGC_62)*(-coupl(nGC_2046)*coupl(nGC_4) - coupl(   &
                       nGC_63)*coupl(nGC_86) - coupl(nGC_778)*coupl(nGC_85) +  &
                       2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_24300) = coupl(nGC_62)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(      &
                       nGC_502)*coupl(nGC_86) - coupl(nGC_64)*coupl(nGC_85) +  &
                       2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_24301) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(   &
                       nGC_1)*coupl(nGC_2046) - coupl(nGC_2)*coupl(nGC_4) -    &
                       coupl(nGC_63)*coupl(nGC_83) - coupl(nGC_778)*coupl(     &
                       nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
    coupl(nGC_30125) = coupl(nGC_24511) + coupl(nGC_60)*dZH_QED2/2d0 + coupl(  &
                       nGC_60)*dZWMinus_QED2/2d0
    coupl(nGC_24304) = coupl(nGC_62)*(coupl(nGC_4)**2d0 + coupl(nGC_63)*coupl( &
                       nGC_85) + coupl(nGC_778)*coupl(nGC_86) + 2d0*coupl(     &
                       nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_24305) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)*  &
                       coupl(nGC_520)*coupl(nGC_78) + coupl(nGC_126)**2d0*coupl&
                       (nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0*coupl&
                       (nGC_502)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
    coupl(nGC_24369) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_520)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_232)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_206)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_144)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_520)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_2)*&
                       coupl(nGC_232)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_1440)*    &
                       coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl( &
                       nGC_4)*coupl(nGC_418)*coupl(nGC_62) + cima*coupl(       &
                       nGC_1368)*coupl(nGC_145)*coupl(nGC_4)*coupl(nGC_62) +   &
                       6d0*cima*coupl(nGC_16)*coupl(nGC_74) + 6d0*cima*coupl(  &
                       nGC_1904)*coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_64&
                       )*coupl(nGC_784) + 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(&
                       nGC_784))/(48d0*pi**2d0)
    coupl(nGC_24299) = coupl(nGC_62)*(coupl(nGC_4)*coupl(nGC_784) + coupl(     &
                       nGC_502)*coupl(nGC_85) + coupl(nGC_64)*coupl(nGC_86) +  &
                       2d0*coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_24360) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(nGC_2) + 5d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_127)**2d0*coupl(nGC_2) + 5d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_2   &
                       ) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl( &
                       nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*  &
                       coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)**&
                       2d0*coupl(nGC_2) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl&
                       (nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(   &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4  &
                       )**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)**2d0 &
                        - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_4)**2d0 + 3d0*&
                       cima*coupl(nGC_47)*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*&
                       coupl(nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_784)**2d0)/(&
                       24d0*pi**2d0)
    coupl(nGC_24361) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 - &
                       3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 + 3d0* &
                       cima*coupl(nGC_1904)**2d0 - 2d0*cima*coupl(nGC_2046)*   &
                       coupl(nGC_3)*coupl(nGC_784)**2d0 - 2d0*cima*coupl(nGC_3 &
                       )**2d0*coupl(nGC_4)*coupl(nGC_784) - 2d0*cima*coupl(    &
                       nGC_3)**2d0*coupl(nGC_502)*coupl(nGC_63) - 3d0*cima*    &
                       coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 - 2d0*cima*coupl(  &
                       nGC_64)*coupl(nGC_778)*coupl(nGC_784)**2d0 + 3d0*cima*  &
                       coupl(nGC_74)**2d0 + 3d0*coupl(nGC_1904)*coupl(nGC_3)*  &
                       coupl(nGC_4) + 3d0*coupl(nGC_1904)*coupl(nGC_3)*coupl(  &
                       nGC_784) + 3d0*coupl(nGC_3)*coupl(nGC_502)*coupl(nGC_74 &
                       ) + 3d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_74))/(24d0*&
                       pi**2d0)
    coupl(nGC_24362) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 - 15d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 + &
                       9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 + 3d0* &
                       cima*coupl(nGC_1798)*coupl(nGC_9) - 2d0*cima*coupl(     &
                       nGC_2046)*coupl(nGC_3)*coupl(nGC_784)**2d0 - 2d0*cima*  &
                       coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_784) - 2d0*cima&
                       *coupl(nGC_3)**2d0*coupl(nGC_502)*coupl(nGC_63) + 9d0*  &
                       cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 - 2d0*cima*   &
                       coupl(nGC_64)*coupl(nGC_778)*coupl(nGC_784)**2d0 + 3d0* &
                       coupl(nGC_1798)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_1798)*&
                       coupl(nGC_784)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_784)*  &
                       coupl(nGC_9) + 3d0*coupl(nGC_502)*coupl(nGC_63)*coupl(  &
                       nGC_9))/(24d0*pi**2d0)
    coupl(nGC_24363) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 - &
                       3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 + 3d0* &
                       cima*coupl(nGC_1904)**2d0 - 2d0*cima*coupl(nGC_2046)*   &
                       coupl(nGC_3)*coupl(nGC_784)**2d0 - 2d0*cima*coupl(nGC_3 &
                       )**2d0*coupl(nGC_4)*coupl(nGC_784) - 2d0*cima*coupl(    &
                       nGC_3)**2d0*coupl(nGC_502)*coupl(nGC_63) - 3d0*cima*    &
                       coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 - 2d0*cima*coupl(  &
                       nGC_64)*coupl(nGC_778)*coupl(nGC_784)**2d0 + 3d0*cima*  &
                       coupl(nGC_74)**2d0 + 3d0*coupl(nGC_1904)*coupl(nGC_2046 &
                       )*coupl(nGC_784) + 3d0*coupl(nGC_1904)*coupl(nGC_3)*    &
                       coupl(nGC_784) + 3d0*coupl(nGC_64)*coupl(nGC_74)*coupl( &
                       nGC_784) + 3d0*coupl(nGC_74)*coupl(nGC_778)*coupl(      &
                       nGC_784))/(24d0*pi**2d0)
    coupl(nGC_37294) = -coupl(nGC_24225)
    coupl(nGC_24365) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)*coupl(   &
                       nGC_520) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*&
                       coupl(nGC_232) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                       nGC_140)*coupl(nGC_206) - 2d0*Nc*cima*coupl(nGC_129)*   &
                       coupl(nGC_2)**2d0*coupl(nGC_692) - 2d0*Nc*cima*coupl(   &
                       nGC_1398)*coupl(nGC_144)*coupl(nGC_2)**2d0 - 2d0*Nc*cima&
                       *coupl(nGC_150)*coupl(nGC_2)**2d0*coupl(nGC_666) - 2d0* &
                       cima*coupl(nGC_134)*coupl(nGC_1440)*coupl(nGC_4)**2d0 - &
                       2d0*cima*coupl(nGC_1368)*coupl(nGC_146)*coupl(nGC_4)**  &
                       2d0 - 2d0*cima*coupl(nGC_137)*coupl(nGC_4)**2d0*coupl(  &
                       nGC_418) + cima*coupl(nGC_47)*coupl(nGC_9) + coupl(nGC_3&
                       )**2d0*coupl(nGC_47) + coupl(nGC_47)*coupl(nGC_784)**2d0&
                       )/(8d0*pi**2d0)
    coupl(nGC_24366) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(   &
                       nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0* &
                       coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127  &
                       )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl(  &
                       nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc*&
                       cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(     &
                       nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0* &
                       coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148  &
                       )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_148)**2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124 &
                       )**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(  &
                       nGC_124)**2d0*coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima* &
                       coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*&
                       cima*coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) +   &
                       5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(     &
                       nGC_78) - 8d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)* &
                       coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl(  &
                       nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_139)**2d0* &
                       coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_142  &
                       )**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl(  &
                       nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*Nc*cima* &
                       coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*&
                       cima*coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_82) -   &
                       8d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_80  &
                       ) + 5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(    &
                       nGC_86) - 8d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)*    &
                       coupl(nGC_80) + 5d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4&
                       )*coupl(nGC_86) - 8d0*cima*coupl(nGC_145)**2d0*coupl(   &
                       nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(nGC_145)**2d0*    &
                       coupl(nGC_4)*coupl(nGC_86) + 6d0*cima*coupl(nGC_47)*    &
                       coupl(nGC_77) + 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(   &
                       nGC_64) + 6d0*coupl(nGC_47)*coupl(nGC_502)*coupl(nGC_784&
                       ))/(48d0*pi**2d0)
    coupl(nGC_24367) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_62)*coupl(nGC_692) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1398)*coupl(     &
                       nGC_142)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_62)*coupl(nGC_666) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_2)*coupl(nGC_62)*  &
                       coupl(nGC_692) - 4d0*Nc*cima*coupl(nGC_130)*coupl(      &
                       nGC_131)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(&
                       nGC_139)*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_62) + Nc*&
                       cima*coupl(nGC_1398)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                       nGC_62) + Nc*cima*coupl(nGC_148)*coupl(nGC_2)*coupl(    &
                       nGC_62)*coupl(nGC_666) + 6d0*cima*coupl(nGC_13)*coupl(  &
                       nGC_74) + cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_4&
                       )*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(nGC_137)*   &
                       coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_145)*coupl( &
                       nGC_146)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_1904)*coupl(nGC_68) + 6d0*coupl(nGC_13)*coupl(nGC_3 &
                       )*coupl(nGC_63) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                       nGC_68))/(48d0*pi**2d0)
    coupl(nGC_29267) = coupl(nGC_29257) + coupl(nGC_29265)
    coupl(nGC_24395) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_520)*coupl(nGC_62&
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_62)**2d0* &
                       coupl(nGC_692) - 8d0*Nc*cima*coupl(nGC_131)*coupl(      &
                       nGC_232)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_1398&
                       )*coupl(nGC_144)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_140)*coupl(nGC_206)*coupl(nGC_62)**2d0 - 8d0*Nc*cima&
                       *coupl(nGC_150)*coupl(nGC_62)**2d0*coupl(nGC_666) - 8d0*&
                       cima*coupl(nGC_134)*coupl(nGC_1440)*coupl(nGC_62)**2d0  &
                        - 8d0*cima*coupl(nGC_1368)*coupl(nGC_146)*coupl(nGC_62 &
                       )**2d0 - 8d0*cima*coupl(nGC_137)*coupl(nGC_418)*coupl(  &
                       nGC_62)**2d0 + 6d0*cima*coupl(nGC_1798)*coupl(nGC_47) + &
                       3d0*cima*coupl(nGC_56)*coupl(nGC_96) + 6d0*coupl(nGC_4)*&
                       coupl(nGC_47)*coupl(nGC_784) + 6d0*coupl(nGC_47)*coupl( &
                       nGC_502)*coupl(nGC_63) + 6d0*coupl(nGC_64)*coupl(nGC_778&
                       )*coupl(nGC_96))/(48d0*pi**2d0)
    coupl(nGC_24394) = cima*(20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_520)**2d0 + &
                       20d0*Nc*coupl(nGC_129)**2d0*coupl(nGC_692)**2d0 + 20d0* &
                       Nc*coupl(nGC_131)**2d0*coupl(nGC_232)**2d0 + 20d0*Nc*   &
                       coupl(nGC_1398)**2d0*coupl(nGC_144)**2d0 + 20d0*Nc*coupl&
                       (nGC_140)**2d0*coupl(nGC_206)**2d0 + 20d0*Nc*coupl(     &
                       nGC_150)**2d0*coupl(nGC_666)**2d0 + 20d0*coupl(nGC_134  &
                       )**2d0*coupl(nGC_1440)**2d0 + 20d0*coupl(nGC_1368)**2d0*&
                       coupl(nGC_146)**2d0 + 20d0*coupl(nGC_137)**2d0*coupl(   &
                       nGC_418)**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(     &
                       nGC_96)**2d0)/(16d0*pi**2d0)
    coupl(nGC_24397) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 -  &
                       8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 - 8d0&
                       *Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*  &
                       cima*coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*   &
                       cima*coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 - 8d0*cima* &
                       coupl(nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(&
                       nGC_138)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(      &
                       nGC_147)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl(      &
                       nGC_1798)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl( &
                       nGC_96) + 6d0*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_784  &
                       ) + 6d0*coupl(nGC_47)*coupl(nGC_502)*coupl(nGC_63) + 6d0&
                       *coupl(nGC_64)*coupl(nGC_778)*coupl(nGC_96))/(48d0*pi** &
                       2d0)
    coupl(nGC_24411) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(     &
                       nGC_2046)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(      &
                       nGC_2046)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_784) - 8d0&
                       *cima*coupl(nGC_2046)*coupl(nGC_3)*coupl(nGC_64)*coupl( &
                       nGC_778) - 8d0*cima*coupl(nGC_2046)*coupl(nGC_4)*coupl( &
                       nGC_502)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3)*coupl(   &
                       nGC_63)*coupl(nGC_778)*coupl(nGC_784) - 4d0*cima*coupl( &
                       nGC_4)**2d0*coupl(nGC_784)**2d0 - 8d0*cima*coupl(nGC_4)*&
                       coupl(nGC_502)*coupl(nGC_63)*coupl(nGC_784) - 4d0*cima* &
                       coupl(nGC_502)**2d0*coupl(nGC_63)**2d0 - 8d0*cima*coupl(&
                       nGC_502)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_778) +   &
                       3d0*cima*coupl(nGC_51)**2d0 - 30d0*cima*coupl(nGC_62)** &
                       4d0 - 4d0*cima*coupl(nGC_64)**2d0*coupl(nGC_778)**2d0 + &
                       6d0*coupl(nGC_2046)*coupl(nGC_4)*coupl(nGC_51) + 6d0*   &
                       coupl(nGC_3)*coupl(nGC_51)*coupl(nGC_784) + 6d0*coupl(  &
                       nGC_502)*coupl(nGC_51)*coupl(nGC_64) + 6d0*coupl(nGC_51 &
                       )*coupl(nGC_63)*coupl(nGC_778))/(48d0*pi**2d0)
    coupl(nGC_24258) = (-coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_520) - coupl( &
                       nGC_1398)*coupl(nGC_143)**2d0 - coupl(nGC_1398)*coupl(  &
                       nGC_144)**2d0 + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0 +  &
                       8d0*coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
    coupl(nGC_24390) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_520)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_520)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_520)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_232)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_232&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_232)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_206)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_206&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_206)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_1440)*coupl(nGC_62)*  &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_1440)*&
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_1440)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima* &
                       coupl(nGC_136)*coupl(nGC_418)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_418)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_418 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_1368 &
                       )*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*&
                       coupl(nGC_1368)*coupl(nGC_145)*coupl(nGC_62)*coupl(     &
                       nGC_85) - 4d0*cima*coupl(nGC_1368)*coupl(nGC_145)*coupl(&
                       nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_16)*coupl(   &
                       nGC_55) + 6d0*cima*coupl(nGC_260)*coupl(nGC_72) + 6d0*  &
                       coupl(nGC_16)*coupl(nGC_502)*coupl(nGC_64) + 6d0*coupl( &
                       nGC_3)*coupl(nGC_502)*coupl(nGC_72))/(48d0*pi**2d0)
    coupl(nGC_24250) = (-coupl(nGC_137)**2d0*coupl(nGC_418) + 8d0*coupl(nGC_137&
                       )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_137)*coupl(nGC_80)* &
                       coupl(nGC_85) - coupl(nGC_138)**2d0*coupl(nGC_418))/(   &
                       32d0*pi**2d0)
    coupl(nGC_24251) = (-coupl(nGC_137)*coupl(nGC_138)**2d0 - coupl(nGC_137)*  &
                       coupl(nGC_418)**2d0 + 8d0*coupl(nGC_4)**2d0*coupl(      &
                       nGC_418) + 8d0*coupl(nGC_418)*coupl(nGC_80)*coupl(nGC_85&
                       ))/(32d0*pi**2d0)
    coupl(nGC_29389) = coupl(nGC_29352) + coupl(nGC_29387)
    coupl(nGC_29388) = coupl(nGC_29352) + coupl(nGC_29385)
    coupl(nGC_28973) = coupl(nGC_24539) + coupl(nGC_79)*dZZ_QED2/2d0 + coupl(  &
                       nGC_79)*dZcR_QED2
    coupl(nGC_29706) = -coupl(nGC_29461)
    coupl(nGC_28975) = coupl(nGC_28966) + coupl(nGC_28973)
    coupl(nGC_30176) = coupl(nGC_24544) + coupl(nGC_80)*dZZ_QED2/2d0 + coupl(  &
                       nGC_80)*dZeMinusR_QED2
    coupl(nGC_30178) = coupl(nGC_29160) + coupl(nGC_30176)
    coupl(nGC_28871) = coupl(nGC_24489) + coupl(nGC_28869)
    coupl(nGC_24313) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_131)*  &
                       coupl(nGC_232)*coupl(nGC_78) + coupl(nGC_132)**2d0*coupl&
                       (nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0*coupl&
                       (nGC_502)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
    coupl(nGC_29280) = coupl(nGC_24543) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                       nGC_86)*dZnu_tauL_QED2
    coupl(nGC_24412) = (18d0*Nc*cima*coupl(nGC_62)**4d0 + 6d0*cima*coupl(      &
                       nGC_1798)**2d0 - 4d0*cima*coupl(nGC_2046)**2d0*coupl(   &
                       nGC_3)**2d0 - 8d0*cima*coupl(nGC_2046)*coupl(nGC_3)*    &
                       coupl(nGC_4)*coupl(nGC_784) - 8d0*cima*coupl(nGC_2046)* &
                       coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_778) - 8d0*cima*   &
                       coupl(nGC_2046)*coupl(nGC_4)*coupl(nGC_502)*coupl(nGC_64&
                       ) - 8d0*cima*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_778)* &
                       coupl(nGC_784) - 4d0*cima*coupl(nGC_4)**2d0*coupl(      &
                       nGC_784)**2d0 - 8d0*cima*coupl(nGC_4)*coupl(nGC_502)*   &
                       coupl(nGC_63)*coupl(nGC_784) - 4d0*cima*coupl(nGC_502)**&
                       2d0*coupl(nGC_63)**2d0 - 8d0*cima*coupl(nGC_502)*coupl( &
                       nGC_63)*coupl(nGC_64)*coupl(nGC_778) + 3d0*cima*coupl(  &
                       nGC_56)**2d0 + 18d0*cima*coupl(nGC_62)**4d0 - 4d0*cima* &
                       coupl(nGC_64)**2d0*coupl(nGC_778)**2d0 + 6d0*cima*coupl(&
                       nGC_77)**2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 6d0*coupl(  &
                       nGC_1798)*coupl(nGC_2046)*coupl(nGC_3) + 6d0*coupl(     &
                       nGC_1798)*coupl(nGC_4)*coupl(nGC_784) + 6d0*coupl(      &
                       nGC_1798)*coupl(nGC_502)*coupl(nGC_63) + 6d0*coupl(     &
                       nGC_1798)*coupl(nGC_64)*coupl(nGC_778) + 6d0*coupl(     &
                       nGC_2046)*coupl(nGC_3)*coupl(nGC_9) + 6d0*coupl(nGC_2046&
                       )*coupl(nGC_64)*coupl(nGC_77) + 6d0*coupl(nGC_3)*coupl( &
                       nGC_77)*coupl(nGC_778) + 6d0*coupl(nGC_4)*coupl(nGC_502 &
                       )*coupl(nGC_77) + 6d0*coupl(nGC_4)*coupl(nGC_784)*coupl(&
                       nGC_9) + 6d0*coupl(nGC_502)*coupl(nGC_56)*coupl(nGC_63  &
                       ) + 6d0*coupl(nGC_56)*coupl(nGC_64)*coupl(nGC_778) + 6d0&
                       *coupl(nGC_63)*coupl(nGC_77)*coupl(nGC_784))/(48d0*pi** &
                       2d0)
    coupl(nGC_24379) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78 &
                       ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(     &
                       nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*coupl&
                       (nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*    &
                       coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0&
                       *coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**  &
                       2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_128)**2d0*coupl(  &
                       nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_128)**2d0*coupl&
                       (nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_143)**2d0*    &
                       coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_143)**2d0&
                       *coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_149)**  &
                       2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_149  &
                       )**2d0*coupl(nGC_2)*coupl(nGC_83) - cima*coupl(nGC_135  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_135  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_138  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_138  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_147  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_147  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) + cima*coupl(nGC_47)* &
                       coupl(nGC_77) + coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64 &
                       ) + coupl(nGC_47)*coupl(nGC_502)*coupl(nGC_784))/(8d0*pi&
                       **2d0)
    coupl(nGC_24378) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                       2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_1904)*  &
                       coupl(nGC_260) - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                       coupl(nGC_64)*coupl(nGC_784) - 8d0*cima*coupl(nGC_3)*   &
                       coupl(nGC_502)*coupl(nGC_63)*coupl(nGC_64) - 6d0*cima*  &
                       coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*cima&
                       *coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*   &
                       cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(nGC_1904)* &
                       coupl(nGC_3)*coupl(nGC_502) + 6d0*coupl(nGC_260)*coupl( &
                       nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_3)*coupl(nGC_55)*   &
                       coupl(nGC_63) + 6d0*coupl(nGC_502)*coupl(nGC_64)*coupl( &
                       nGC_74))/(48d0*pi**2d0)
    coupl(nGC_24413) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**4d0&
                        + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83)** &
                       4d0 - 2d0*cima*coupl(nGC_502)**4d0 + cima*coupl(nGC_56  &
                       )**2d0 - 2d0*cima*coupl(nGC_64)**4d0 + cima*coupl(nGC_80&
                       )**4d0 + cima*coupl(nGC_85)**4d0 + cima*coupl(nGC_86)** &
                       4d0 + 2d0*coupl(nGC_502)**2d0*coupl(nGC_56) + 2d0*coupl(&
                       nGC_56)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
    coupl(nGC_24373) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima*&
                       coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)** &
                       2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*    &
                       coupl(nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80&
                       )**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 - 2d0&
                       *cima*coupl(nGC_502)**2d0*coupl(nGC_784)**2d0 + cima*   &
                       coupl(nGC_56)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(   &
                       nGC_56) + coupl(nGC_502)**2d0*coupl(nGC_9) + coupl(     &
                       nGC_56)*coupl(nGC_784)**2d0 + coupl(nGC_64)**2d0*coupl( &
                       nGC_9))/(8d0*pi**2d0)
    coupl(nGC_24372) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(nGC_2&
                       )**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*coupl(   &
                       nGC_4)**4d0 - 2d0*cima*coupl(nGC_784)**4d0 + cima*coupl(&
                       nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9) + 2d0* &
                       coupl(nGC_784)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_24371) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*coupl&
                       (nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2)**3d0* &
                       coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(nGC_83  &
                       ) - 2d0*cima*coupl(nGC_3)**3d0*coupl(nGC_64) + cima*    &
                       coupl(nGC_4)**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**3d0&
                       *coupl(nGC_85) - 2d0*cima*coupl(nGC_502)*coupl(nGC_784  &
                       )**3d0 + cima*coupl(nGC_77)*coupl(nGC_9) + coupl(nGC_3  &
                       )**2d0*coupl(nGC_77) + coupl(nGC_3)*coupl(nGC_64)*coupl(&
                       nGC_9) + coupl(nGC_502)*coupl(nGC_784)*coupl(nGC_9) +   &
                       coupl(nGC_77)*coupl(nGC_784)**2d0)/(8d0*pi**2d0)
    coupl(nGC_24370) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_135)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(      &
                       nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_1904)*coupl(nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_64&
                       )*coupl(nGC_784) + 6d0*coupl(nGC_3)*coupl(nGC_69)*coupl(&
                       nGC_784))/(48d0*pi**2d0)
    coupl(nGC_24377) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                       2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_1904)*  &
                       coupl(nGC_260) - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                       coupl(nGC_64)*coupl(nGC_784) - 8d0*cima*coupl(nGC_3)*   &
                       coupl(nGC_502)*coupl(nGC_63)*coupl(nGC_64) - 6d0*cima*  &
                       coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*cima&
                       *coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*   &
                       cima*coupl(nGC_55)*coupl(nGC_74) + 6d0*coupl(nGC_1904)* &
                       coupl(nGC_4)*coupl(nGC_64) + 6d0*coupl(nGC_260)*coupl(  &
                       nGC_3)*coupl(nGC_784) + 6d0*coupl(nGC_3)*coupl(nGC_502)*&
                       coupl(nGC_55) + 6d0*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                       nGC_74))/(48d0*pi**2d0)
    coupl(nGC_24376) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                       coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                       )**2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl( &
                       nGC_62)**2d0*coupl(nGC_83) + 6d0*cima*coupl(nGC_1798)*  &
                       coupl(nGC_77) - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*coupl&
                       (nGC_64)*coupl(nGC_784) - 8d0*cima*coupl(nGC_3)*coupl(  &
                       nGC_502)*coupl(nGC_63)*coupl(nGC_64) + 18d0*cima*coupl( &
                       nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) - 15d0*cima*    &
                       coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*    &
                       coupl(nGC_1798)*coupl(nGC_3)*coupl(nGC_64) + 6d0*coupl( &
                       nGC_1798)*coupl(nGC_502)*coupl(nGC_784) + 6d0*coupl(    &
                       nGC_4)*coupl(nGC_77)*coupl(nGC_784) + 6d0*coupl(nGC_502 &
                       )*coupl(nGC_63)*coupl(nGC_77))/(48d0*pi**2d0)
    coupl(nGC_24375) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_520)*   &
                       coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*    &
                       coupl(nGC_520)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_131)*coupl(nGC_232)*coupl(nGC_78) - Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_232)*coupl(nGC_82 &
                       ) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(nGC_206)* &
                       coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*    &
                       coupl(nGC_206)*coupl(nGC_82) - Nc*cima*coupl(nGC_129)*  &
                       coupl(nGC_2)*coupl(nGC_692)*coupl(nGC_79) - Nc*cima*    &
                       coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_692)*coupl(nGC_83 &
                       ) - Nc*cima*coupl(nGC_1398)*coupl(nGC_144)*coupl(nGC_2)*&
                       coupl(nGC_79) - Nc*cima*coupl(nGC_1398)*coupl(nGC_144)* &
                       coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_150)*    &
                       coupl(nGC_2)*coupl(nGC_666)*coupl(nGC_79) - Nc*cima*    &
                       coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_666)*coupl(nGC_83 &
                       ) - cima*coupl(nGC_134)*coupl(nGC_1440)*coupl(nGC_4)*   &
                       coupl(nGC_80) - cima*coupl(nGC_134)*coupl(nGC_1440)*    &
                       coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_1368)*coupl(&
                       nGC_146)*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(       &
                       nGC_1368)*coupl(nGC_146)*coupl(nGC_4)*coupl(nGC_85) -   &
                       cima*coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_418)*coupl(  &
                       nGC_80) - cima*coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_418&
                       )*coupl(nGC_85) + cima*coupl(nGC_47)*coupl(nGC_77) +    &
                       coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64) + coupl(nGC_47 &
                       )*coupl(nGC_502)*coupl(nGC_784))/(8d0*pi**2d0)
    coupl(nGC_24374) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima*&
                       coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)** &
                       2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*    &
                       coupl(nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80&
                       )**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 - 2d0&
                       *cima*coupl(nGC_502)**2d0*coupl(nGC_784)**2d0 + cima*   &
                       coupl(nGC_77)**2d0 + 2d0*coupl(nGC_3)*coupl(nGC_64)*    &
                       coupl(nGC_77) + 2d0*coupl(nGC_502)*coupl(nGC_77)*coupl( &
                       nGC_784))/(8d0*pi**2d0)
    coupl(nGC_29367) = coupl(nGC_29365) + coupl(nGC_29366)
    coupl(nGC_24298) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(   &
                       nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_784) -     &
                       coupl(nGC_502)*coupl(nGC_83) - coupl(nGC_64)*coupl(     &
                       nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
    coupl(nGC_24391) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_135)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_14)* &
                       coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(nGC_147)* &
                       coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*  &
                       coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_260)*coupl(nGC_69) + 6d0*coupl(  &
                       nGC_14)*coupl(nGC_502)*coupl(nGC_64) + 6d0*coupl(nGC_3)*&
                       coupl(nGC_502)*coupl(nGC_69))/(48d0*pi**2d0)
    coupl(nGC_34704) = -2d0*coupl(nGC_34693)
    coupl(nGC_32370) = coupl(nGC_24552) + coupl(nGC_32364)
    coupl(nGC_24405) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 -    &
                       15d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(    &
                       nGC_83) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 + 3d0*cima*coupl(nGC_1798)*coupl(nGC_56) - 4d0*cima*&
                       coupl(nGC_4)*coupl(nGC_64)**2d0*coupl(nGC_784) - 4d0*   &
                       cima*coupl(nGC_502)*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                       9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 - 15d0*  &
                       cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86) +   &
                       9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 + 3d0*   &
                       coupl(nGC_1798)*coupl(nGC_502)**2d0 + 3d0*coupl(nGC_1798&
                       )*coupl(nGC_64)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_56)*  &
                       coupl(nGC_784) + 3d0*coupl(nGC_502)*coupl(nGC_56)*coupl(&
                       nGC_63))/(24d0*pi**2d0)
    coupl(nGC_24407) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_125)*coupl(&
                       nGC_520) - coupl(nGC_129)*coupl(nGC_692) - coupl(nGC_131&
                       )*coupl(nGC_232) - coupl(nGC_1398)*coupl(nGC_144) -     &
                       coupl(nGC_140)*coupl(nGC_206) - coupl(nGC_150)*coupl(   &
                       nGC_666))/(16d0*pi**2d0)
    coupl(nGC_30924) = coupl(nGC_30268) + coupl(nGC_30923)
    coupl(nGC_24400) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 +  &
                       10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(   &
                       nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82  &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)**&
                       2d0 + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)*   &
                       coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(  &
                       nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(   &
                       nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl(  &
                       nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0*&
                       coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0*   &
                       coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_141)**2d0*  &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_141 &
                       )**2d0*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_143)**&
                       2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_143)**  &
                       2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(    &
                       nGC_143)**2d0*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(   &
                       nGC_149)**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(  &
                       nGC_149)**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*&
                       coupl(nGC_149)**2d0*coupl(nGC_83)**2d0 - 8d0*cima*coupl(&
                       nGC_135)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*coupl(&
                       nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*coupl(&
                       nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*coupl(&
                       nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_47)*coupl(nGC_502 &
                       )**2d0 + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi &
                       **2d0)
    coupl(nGC_24408) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_125)*coupl( &
                       nGC_520) + coupl(nGC_129)*coupl(nGC_692) + coupl(nGC_131&
                       )*coupl(nGC_232) + coupl(nGC_1398)*coupl(nGC_144) +     &
                       coupl(nGC_140)*coupl(nGC_206) + coupl(nGC_150)*coupl(   &
                       nGC_666))/(16d0*pi**2d0*Nc)
    coupl(nGC_29887) = coupl(nGC_29884) - 2d0*coupl(nGC_29885)
    coupl(nGC_29846) = coupl(nGC_28832) + coupl(nGC_29844)
    coupl(nGC_29847) = coupl(nGC_28832) + coupl(nGC_29845)
    coupl(nGC_30161) = coupl(nGC_24559) + coupl(nGC_30155)
    coupl(nGC_29447) = coupl(nGC_29106) + coupl(nGC_29445)
    coupl(nGC_29131) = -coupl(nGC_28894)
    coupl(nGC_29587) = coupl(nGC_28832) + coupl(nGC_29584)
    coupl(nGC_29586) = coupl(nGC_28832) + coupl(nGC_29585)
    coupl(nGC_31228) = coupl(nGC_31224) + coupl(nGC_31227)
    coupl(nGC_29165) = coupl(nGC_29160) + coupl(nGC_29164)
    coupl(nGC_29748) = -2d0*coupl(nGC_29741) + coupl(nGC_29745) + coupl(       &
                       nGC_29746)
    coupl(nGC_30301) = coupl(nGC_29257) + coupl(nGC_30300)
    coupl(nGC_30126) = -coupl(nGC_30125)
    coupl(nGC_36296) = -coupl(nGC_24235)
    coupl(nGC_29747) = coupl(nGC_29741) + coupl(nGC_29744) - coupl(nGC_29746)/ &
                       2d0
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
