!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(2835)%branchR2(0:0))
    call avR2(2835, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24390])

    allocate(vertices(2634)%branchR2(0:1))
    call avR2(2634, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24277, nGC_24277])

    call avR2(2634, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24275, nGC_24276])

    allocate(vertices(2579)%branchR2(0:0))
    call avR2(2579, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_24321])

    allocate(vertices(806)%branchR2(0:0))
    call avR2(806, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_24303])

    allocate(vertices(3352)%branchR2(0:0))
    call avR2(3352, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24370])

    allocate(vertices(1199)%branchR2(0:0))
    call avR2(1199, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_37410])

    allocate(vertices(3493)%branchR2(0:0))
    call avR2(3493, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24368])

    allocate(vertices(4004)%branchR2(0:1))
    call avR2(4004, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_24385, nGC_24385,     &
    nGC_24385])

    call avR2(4004, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_24384, nGC_24384,     &
    nGC_24384])

    allocate(vertices(2053)%branchR2(0:1))
    call avR2(2053, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_24180, nGC_24180])

    call avR2(2053, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_24204, nGC_24203])

    allocate(vertices(3164)%branchR2(0:0))
    call avR2(3164, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24369])

    allocate(vertices(2178)%branchR2(0:0))
    call avR2(2178, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_24222])

    allocate(vertices(1909)%branchR2(0:0))
    call avR2(1909, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_24321])

    allocate(vertices(2761)%branchR2(0:0))
    call avR2(2761, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_24229])

    allocate(vertices(2059)%branchR2(0:0))
    call avR2(2059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24369])

    allocate(vertices(781)%branchR2(0:0))
    call avR2(781, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_24223])

    allocate(vertices(1305)%branchR2(0:1))
    call avR2(1305, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_24216, nGC_24214])

    call avR2(1305, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_24217, nGC_24215])

    allocate(vertices(3121)%branchR2(0:1))
    call avR2(3121, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24240, nGC_24242])

    call avR2(3121, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24241, nGC_24243])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24360])

    allocate(vertices(2455)%branchR2(0:1))
    call avR2(2455, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_24297])

    call avR2(2455, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_24301])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24367])

    allocate(vertices(4005)%branchR2(0:1))
    call avR2(4005, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_24404, nGC_24404,     &
    nGC_24404])

    call avR2(4005, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_24403, nGC_24403,     &
    nGC_24403])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_24300])

    allocate(vertices(1985)%branchR2(0:1))
    call avR2(1985, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24252, nGC_24254])

    call avR2(1985, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24253, nGC_24255])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_24205])

    allocate(vertices(2468)%branchR2(0:1))
    call avR2(2468, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_24296])

    call avR2(2468, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_24297])

    allocate(vertices(1900)%branchR2(0:0))
    call avR2(1900, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24386])

    allocate(vertices(1767)%branchR2(0:1))
    call avR2(1767, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_24213, nGC_24211])

    call avR2(1767, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_24228, nGC_24227])

    allocate(vertices(3542)%branchR2(0:1))
    call avR2(3542, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_24274, nGC_24274])

    call avR2(3542, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_24272, nGC_24273])

    allocate(vertices(227)%branchR2(0:1))
    call avR2(227, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_24179, nGC_24178])

    call avR2(227, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_24180, nGC_24180])

    allocate(vertices(3744)%branchR2(0:0))
    call avR2(3744, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_24299])

    allocate(vertices(2836)%branchR2(0:0))
    call avR2(2836, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24366])

    allocate(vertices(3824)%branchR2(0:0))
    call avR2(3824, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24379])

    allocate(vertices(2179)%branchR2(0:1))
    call avR2(2179, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_24262, nGC_24264])

    call avR2(2179, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_24263, nGC_24265])

    allocate(vertices(782)%branchR2(0:0))
    call avR2(782, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24389])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_24205])

    allocate(vertices(1479)%branchR2(0:0))
    call avR2(1479, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24368])

    allocate(vertices(2486)%branchR2(0:0))
    call avR2(2486, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24376, nGC_24378,       &
    nGC_24377])

    allocate(vertices(3686)%branchR2(0:0))
    call avR2(3686, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24397])

    allocate(vertices(2928)%branchR2(0:1))
    call avR2(2928, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_24312, nGC_24310])

    call avR2(2928, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_24325, nGC_24324])

    allocate(vertices(167)%branchR2(0:0))
    call avR2(167, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_24303])

    allocate(vertices(1477)%branchR2(0:0))
    call avR2(1477, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24381])

    allocate(vertices(3896)%branchR2(0:0))
    call avR2(3896, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_24159, nGC_24160,       &
    nGC_24158, nGC_24158])

    allocate(vertices(1153)%branchR2(0:1))
    call avR2(1153, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_24215, nGC_24217])

    call avR2(1153, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_24230, nGC_24231])

    allocate(vertices(3626)%branchR2(0:0))
    call avR2(3626, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24390])

    allocate(vertices(1483)%branchR2(0:1))
    call avR2(1483, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_24200, nGC_24199])

    call avR2(1483, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_24180, nGC_24180])

    allocate(vertices(967)%branchR2(0:0))
    call avR2(967, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24387])

    allocate(vertices(649)%branchR2(0:1))
    call avR2(649, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_24296])

    call avR2(649, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_24297])

    allocate(vertices(1615)%branchR2(0:0))
    call avR2(1615, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_24319])

    allocate(vertices(2636)%branchR2(0:0))
    call avR2(2636, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_24235])

    allocate(vertices(2648)%branchR2(0:1))
    call avR2(2648, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_24311, nGC_24309])

    call avR2(2648, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_24312, nGC_24310])

    allocate(vertices(4006)%branchR2(0:1))
    call avR2(4006, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_24408])

    call avR2(4006, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_24407])

    allocate(vertices(125)%branchR2(0:0))
    call avR2(125, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24395])

    allocate(vertices(1168)%branchR2(0:0))
    call avR2(1168, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_24223])

    allocate(vertices(2637)%branchR2(0:0))
    call avR2(2637, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24367])

    allocate(vertices(2405)%branchR2(0:0))
    call avR2(2405, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_24229])

    allocate(vertices(1766)%branchR2(0:1))
    call avR2(1766, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24236, nGC_24238])

    call avR2(1766, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24237, nGC_24239])

    allocate(vertices(3311)%branchR2(0:1))
    call avR2(3311, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_24183, nGC_24183])

    call avR2(3311, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_24189, nGC_24188])

    allocate(vertices(2881)%branchR2(0:0))
    call avR2(2881, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24389])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24381])

    allocate(vertices(568)%branchR2(0:1))
    call avR2(568, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_24296])

    call avR2(568, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_24297])

    allocate(vertices(3866)%branchR2(0:0))
    call avR2(3866, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24375])

    allocate(vertices(313)%branchR2(0:3))
    call avR2(313, 0, 30, 1, 0, FaVF1, 0, [1, 2], [nGC_24343, nGC_24342])

    call avR2(313, 1, 30, 1, 0, FaVF1, 0, [3, 0], [nGC_24334, nGC_24334])

    call avR2(313, 2, 31, 1, 0, FaVF1, 0, [1, 2], [nGC_24341, nGC_24340])

    call avR2(313, 3, 31, 1, 0, FaVF1, 0, [3, 0], [nGC_24331, nGC_24331])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24391])

    allocate(vertices(2364)%branchR2(0:1))
    call avR2(2364, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_24180, nGC_24180])

    call avR2(2364, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_24200, nGC_24199])

    allocate(vertices(1487)%branchR2(0:0))
    call avR2(1487, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_36725])

    allocate(vertices(4007)%branchR2(0:1))
    call avR2(4007, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_24393])

    call avR2(4007, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_24392])

    allocate(vertices(3880)%branchR2(0:0))
    call avR2(3880, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_24194])

    allocate(vertices(4008)%branchR2(0:1))
    call avR2(4008, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_24385, nGC_24385,     &
    nGC_24385])

    call avR2(4008, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_24384, nGC_24384,     &
    nGC_24384])

    allocate(vertices(2105)%branchR2(0:0))
    call avR2(2105, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24395])

    allocate(vertices(1809)%branchR2(0:1))
    call avR2(1809, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24216, nGC_24214])

    call avR2(1809, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24217, nGC_24215])

    allocate(vertices(453)%branchR2(0:0))
    call avR2(453, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24386])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24369])

    allocate(vertices(4009)%branchR2(0:1))
    call avR2(4009, 0, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_24408])

    call avR2(4009, 1, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_24407])

    allocate(vertices(561)%branchR2(0:0))
    call avR2(561, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24370])

    allocate(vertices(1017)%branchR2(0:1))
    call avR2(1017, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_24252, nGC_24254])

    call avR2(1017, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_24253, nGC_24255])

    allocate(vertices(176)%branchR2(0:1))
    call avR2(176, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_24297])

    call avR2(176, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_24302])

    allocate(vertices(2024)%branchR2(0:0))
    call avR2(2024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24382])

    allocate(vertices(2568)%branchR2(0:0))
    call avR2(2568, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24378, nGC_24377,       &
    nGC_24376])

    allocate(vertices(2876)%branchR2(0:0))
    call avR2(2876, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24383])

    allocate(vertices(59)%branchR2(0:0))
    call avR2(59, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_24300])

    allocate(vertices(2911)%branchR2(0:0))
    call avR2(2911, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24378, nGC_24377,       &
    nGC_24376])

    allocate(vertices(3300)%branchR2(0:0))
    call avR2(3300, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_24222])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24382])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_24279, nGC_24278])

    allocate(vertices(2248)%branchR2(0:1))
    call avR2(2248, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_24297])

    call avR2(2248, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_24298])

    allocate(vertices(3827)%branchR2(0:0))
    call avR2(3827, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_24168])

    allocate(vertices(211)%branchR2(0:0))
    call avR2(211, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_24225])

    allocate(vertices(4010)%branchR2(0:0))
    call avR2(4010, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24365])

    allocate(vertices(1169)%branchR2(0:0))
    call avR2(1169, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24391])

    allocate(vertices(4011)%branchR2(0:1))
    call avR2(4011, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_24404, nGC_24404,     &
    nGC_24404])

    call avR2(4011, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_24403, nGC_24403,     &
    nGC_24403])

    allocate(vertices(3882)%branchR2(0:0))
    call avR2(3882, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_24196])

    allocate(vertices(3054)%branchR2(0:0))
    call avR2(3054, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24361, nGC_24363,       &
    nGC_24362])

    allocate(vertices(871)%branchR2(0:1))
    call avR2(871, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_24275, nGC_24276])

    call avR2(871, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_24277, nGC_24277])

    allocate(vertices(2143)%branchR2(0:0))
    call avR2(2143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24381])

    allocate(vertices(4012)%branchR2(0:0))
    call avR2(4012, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_24187])

    allocate(vertices(3891)%branchR2(0:1))
    call avR2(3891, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_24155, nGC_24154,      &
    nGC_24171, nGC_24171])

    call avR2(3891, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_24131, nGC_24131,      &
    nGC_24172, nGC_24172])

    allocate(vertices(3758)%branchR2(0:0))
    call avR2(3758, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_36646])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24387])

    allocate(vertices(2993)%branchR2(0:0))
    call avR2(2993, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_24223])

    allocate(vertices(1185)%branchR2(0:0))
    call avR2(1185, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_24326, nGC_24327])

    allocate(vertices(4013)%branchR2(0:0))
    call avR2(4013, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24365])

    allocate(vertices(2810)%branchR2(0:0))
    call avR2(2810, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24366])

    allocate(vertices(3897)%branchR2(0:0))
    call avR2(3897, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_24184])

    allocate(vertices(3226)%branchR2(0:0))
    call avR2(3226, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_24304])

    allocate(vertices(1674)%branchR2(0:0))
    call avR2(1674, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_24234])

    allocate(vertices(3893)%branchR2(0:0))
    call avR2(3893, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_24135, nGC_24134,        &
    nGC_24136])

    allocate(vertices(4014)%branchR2(0:0))
    call avR2(4014, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24374, nGC_24374,       &
    nGC_24373])

    allocate(vertices(3429)%branchR2(0:0))
    call avR2(3429, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24389])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_24186])

    allocate(vertices(1823)%branchR2(0:1))
    call avR2(1823, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_24308, nGC_24306])

    call avR2(1823, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_24314, nGC_24313])

    allocate(vertices(2158)%branchR2(0:0))
    call avR2(2158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24382])

    allocate(vertices(2851)%branchR2(0:1))
    call avR2(2851, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_24236, nGC_24238])

    call avR2(2851, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_24237, nGC_24239])

  end subroutine fill_vertices_mdl10
end module vertices_info10
