!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  implicit none
  contains
  subroutine fill_vertices_mdl6()
    use class_vertices
    use class_couplings
    allocate(vertices(1802)%branchCT(0:0))
    call avCT(1802, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(291)%branchCT(0:3))
    call avCT(291, 0, 26, 4, 0, VFaF0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(291, 1, 26, 4, 0, VFaF0, 0, [3, 0], [nGC_29353, nGC_29354])

    call avCT(291, 2, 27, 5, 0, VFaF0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(291, 3, 27, 5, 0, VFaF0, 0, [3, 0], [nGC_29353, nGC_29354])

    allocate(vertices(1821)%branchCT(0:0))
    call avCT(1821, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_29367, nGC_29367])

    allocate(vertices(1843)%branchCT(0:0))
    call avCT(1843, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1947)%branchCT(0:0))
    call avCT(1947, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1246)%branchCT(0:0))
    call avCT(1246, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1299)%branchCT(0:0))
    call avCT(1299, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(313)%branchCT(0:3))
    call avCT(313, 0, 30, 4, 0, FaVF1, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(313, 1, 30, 4, 0, FaVF1, 0, [3, 0], [nGC_29388, nGC_29389])

    call avCT(313, 2, 31, 5, 0, FaVF1, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(313, 3, 31, 5, 0, FaVF1, 0, [3, 0], [nGC_29388, nGC_29389])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3577)%branchCT(0:0))
    call avCT(3577, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(2963)%branchCT(0:0))
    call avCT(2963, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1983)%branchCT(0:0))
    call avCT(1983, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_29410, nGC_29410])

    allocate(vertices(320)%branchCT(0:1))
    call avCT(320, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_28908, nGC_28909])

    call avCT(320, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_28906, nGC_28907])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(324)%branchCT(0:1))
    call avCT(324, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_28920, nGC_28921])

    call avCT(324, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_28922, nGC_28923])

    allocate(vertices(2034)%branchCT(0:0))
    call avCT(2034, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_28999])

    allocate(vertices(328)%branchCT(0:0))
    call avCT(328, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1629)%branchCT(0:0))
    call avCT(1629, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3736)%branchCT(0:1))
    call avCT(3736, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_29447, nGC_29448])

    call avCT(3736, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_29440, nGC_29443])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(2080)%branchCT(0:0))
    call avCT(2080, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28933])

    allocate(vertices(2146)%branchCT(0:0))
    call avCT(2146, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2854)%branchCT(0:0))
    call avCT(2854, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3817)%branchCT(0:0))
    call avCT(3817, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29457])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_29461])

    allocate(vertices(1432)%branchCT(0:0))
    call avCT(1432, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(339)%branchCT(0:0))
    call avCT(339, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_29469])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_29131])

    allocate(vertices(2159)%branchCT(0:0))
    call avCT(2159, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2171)%branchCT(0:0))
    call avCT(2171, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2507)%branchCT(0:0))
    call avCT(2507, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(346)%branchCT(0:0))
    call avCT(346, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2209)%branchCT(0:0))
    call avCT(2209, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_29490])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3183)%branchCT(0:0))
    call avCT(3183, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(357)%branchCT(0:1))
    call avCT(357, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_29505, nGC_29506])

    call avCT(357, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_29507, nGC_29508])

    allocate(vertices(360)%branchCT(0:0))
    call avCT(360, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(364)%branchCT(0:1))
    call avCT(364, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_29198, nGC_29198])

    call avCT(364, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_29197, nGC_29197])

    allocate(vertices(1257)%branchCT(0:0))
    call avCT(1257, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_29155])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_29530])

    allocate(vertices(376)%branchCT(0:1))
    call avCT(376, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_29255, nGC_29256])

    call avCT(376, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_29249, nGC_29246])

    allocate(vertices(1449)%branchCT(0:0))
    call avCT(1449, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(379)%branchCT(0:1))
    call avCT(379, 0, 2, 2, 0, VVV0, 0, [3, 0], [nGC_29542])

    call avCT(379, 1, 3, 3, 0, VVV0, 0, [3, 0], [nGC_29542])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(386)%branchCT(0:1))
    call avCT(386, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_28957])

    call avCT(386, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_28956])

    allocate(vertices(3305)%branchCT(0:0))
    call avCT(3305, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(388)%branchCT(0:1))
    call avCT(388, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_28975, nGC_28976])

    call avCT(388, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_28969, nGC_28972])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(3042)%branchCT(0:0))
    call avCT(3042, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_29461])

    allocate(vertices(2502)%branchCT(0:0))
    call avCT(2502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3041)%branchCT(0:0))
    call avCT(3041, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_29586, nGC_29587])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(398)%branchCT(0:0))
    call avCT(398, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29593])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28890, nGC_28889,        &
    nGC_28889])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(2564)%branchCT(0:0))
    call avCT(2564, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2699)%branchCT(0:1))
    call avCT(2699, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_29613])

    call avCT(2699, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_29612])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3818)%branchCT(0:0))
    call avCT(3818, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_29617])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_28937])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(413)%branchCT(0:1))
    call avCT(413, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_29637, nGC_29638])

    call avCT(413, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_29631, nGC_29634])

    allocate(vertices(3819)%branchCT(0:0))
    call avCT(3819, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_29639, nGC_29640,        &
    nGC_29639, nGC_29640, nGC_29641])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3820)%branchCT(0:1))
    call avCT(3820, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_29652, nGC_29648,      &
    nGC_29654, nGC_29654])

    call avCT(3820, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_29653, nGC_29649,      &
    nGC_29655, nGC_29655])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_29659])

    allocate(vertices(3821)%branchCT(0:0))
    call avCT(3821, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_29155])

    allocate(vertices(424)%branchCT(0:1))
    call avCT(424, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_28782, nGC_28783])

    call avCT(424, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_28780, nGC_28781])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29671])

    allocate(vertices(3623)%branchCT(0:0))
    call avCT(3623, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(2719)%branchCT(0:0))
    call avCT(2719, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2512)%branchCT(0:0))
    call avCT(2512, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29145])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29324])

    allocate(vertices(3822)%branchCT(0:0))
    call avCT(3822, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_29689, nGC_29688])

    allocate(vertices(435)%branchCT(0:0))
    call avCT(435, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2810)%branchCT(0:0))
    call avCT(2810, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(3764)%branchCT(0:0))
    call avCT(3764, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(441)%branchCT(0:0))
    call avCT(441, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_28994])

    allocate(vertices(1459)%branchCT(0:0))
    call avCT(1459, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_29706])

    allocate(vertices(3202)%branchCT(0:0))
    call avCT(3202, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2872)%branchCT(0:0))
    call avCT(2872, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_29715])

    allocate(vertices(3352)%branchCT(0:0))
    call avCT(3352, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(451)%branchCT(0:0))
    call avCT(451, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3804)%branchCT(0:0))
    call avCT(3804, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1908)%branchCT(0:0))
    call avCT(1908, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(453)%branchCT(0:0))
    call avCT(453, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29729])

    allocate(vertices(666)%branchCT(0:0))
    call avCT(666, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29593])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(2962)%branchCT(0:0))
    call avCT(2962, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(3206)%branchCT(0:0))
    call avCT(3206, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(859)%branchCT(0:0))
    call avCT(859, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28889,        &
    nGC_28890])

    allocate(vertices(1258)%branchCT(0:0))
    call avCT(1258, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_29225])

    allocate(vertices(3120)%branchCT(0:0))
    call avCT(3120, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_29771, nGC_29772])

    allocate(vertices(3338)%branchCT(0:0))
    call avCT(3338, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3060)%branchCT(0:0))
    call avCT(3060, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_29410, nGC_29410])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_28802])

    allocate(vertices(3128)%branchCT(0:0))
    call avCT(3128, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(3823)%branchCT(0:0))
    call avCT(3823, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_29457])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29792])

    allocate(vertices(484)%branchCT(0:0))
    call avCT(484, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_28835, nGC_28836])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29145])

    allocate(vertices(2550)%branchCT(0:0))
    call avCT(2550, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(487)%branchCT(0:3))
    call avCT(487, 0, 30, 4, 0, FaVF1, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(487, 1, 30, 4, 0, FaVF1, 0, [3, 0], [nGC_29809, nGC_29810])

    call avCT(487, 2, 31, 5, 0, FaVF1, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(487, 3, 31, 5, 0, FaVF1, 0, [3, 0], [nGC_29809, nGC_29810])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(492)%branchCT(0:3))
    call avCT(492, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(492, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_29388, nGC_29389])

    call avCT(492, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(492, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_29388, nGC_29389])

    allocate(vertices(494)%branchCT(0:0))
    call avCT(494, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3186)%branchCT(0:0))
    call avCT(3186, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3210)%branchCT(0:0))
    call avCT(3210, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_29846, nGC_29847])

    allocate(vertices(2727)%branchCT(0:0))
    call avCT(2727, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(502)%branchCT(0:1))
    call avCT(502, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_28780, nGC_28781])

    call avCT(502, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_28782, nGC_28783])

    allocate(vertices(3247)%branchCT(0:0))
    call avCT(3247, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29858])

    allocate(vertices(3258)%branchCT(0:0))
    call avCT(3258, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(506)%branchCT(0:3))
    call avCT(506, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(506, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_29867, nGC_29868])

    call avCT(506, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(506, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_29867, nGC_29868])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_29062])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29792])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29886,        &
    nGC_29887])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(514)%branchCT(0:3))
    call avCT(514, 0, 28, 4, 0, FVFa0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(514, 1, 28, 4, 0, FVFa0, 0, [3, 0], [nGC_29898, nGC_29899])

    call avCT(514, 2, 29, 5, 0, FVFa0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(514, 3, 29, 5, 0, FVFa0, 0, [3, 0], [nGC_29898, nGC_29899])

    allocate(vertices(1177)%branchCT(0:0))
    call avCT(1177, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24432])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3337)%branchCT(0:0))
    call avCT(3337, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(519)%branchCT(0:1))
    call avCT(519, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_29919, nGC_29920])

    call avCT(519, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_29916, nGC_29912])

    allocate(vertices(3360)%branchCT(0:0))
    call avCT(3360, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3824)%branchCT(0:0))
    call avCT(3824, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3825)%branchCT(0:0))
    call avCT(3825, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_29457])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(2947)%branchCT(0:0))
    call avCT(2947, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24436])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3826)%branchCT(0:1))
    call avCT(3826, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_29940, nGC_29936,      &
    nGC_29942, nGC_29942])

    call avCT(3826, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_29941, nGC_29937,      &
    nGC_29943, nGC_29943])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2814)%branchCT(0:0))
    call avCT(2814, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_28766])

    allocate(vertices(1015)%branchCT(0:0))
    call avCT(1015, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_28766])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_29955])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29287])

    allocate(vertices(535)%branchCT(0:0))
    call avCT(535, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(536)%branchCT(0:0))
    call avCT(536, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(537)%branchCT(0:0))
    call avCT(537, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(540)%branchCT(0:0))
    call avCT(540, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29121])

    allocate(vertices(543)%branchCT(0:0))
    call avCT(543, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_28809])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_28809])

    allocate(vertices(547)%branchCT(0:0))
    call avCT(547, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(548)%branchCT(0:0))
    call avCT(548, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(549)%branchCT(0:1))
    call avCT(549, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_28921, nGC_28920])

    call avCT(549, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_28923, nGC_28922])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(3039)%branchCT(0:0))
    call avCT(3039, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(559)%branchCT(0:0))
    call avCT(559, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2835)%branchCT(0:0))
    call avCT(2835, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(2555)%branchCT(0:0))
    call avCT(2555, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(563)%branchCT(0:0))
    call avCT(563, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29887,        &
    nGC_29886])

    allocate(vertices(564)%branchCT(0:1))
    call avCT(564, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30007, nGC_30008])

    call avCT(564, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30009, nGC_30010])

    allocate(vertices(565)%branchCT(0:0))
    call avCT(565, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28866])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(568)%branchCT(0:1))
    call avCT(568, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_28957])

    call avCT(568, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_28956])

    allocate(vertices(1530)%branchCT(0:0))
    call avCT(1530, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_30020])

    allocate(vertices(573)%branchCT(0:1))
    call avCT(573, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_29613])

    call avCT(573, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_29612])

    allocate(vertices(579)%branchCT(0:0))
    call avCT(579, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29324])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28941])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2733)%branchCT(0:0))
    call avCT(2733, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29792])

    allocate(vertices(3827)%branchCT(0:0))
    call avCT(3827, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_30035])

    allocate(vertices(2517)%branchCT(0:0))
    call avCT(2517, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_29410, nGC_29410])

    allocate(vertices(1848)%branchCT(0:1))
    call avCT(1848, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30053, nGC_30052])

    call avCT(1848, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30055, nGC_30054])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29792])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_29490])

    allocate(vertices(3232)%branchCT(0:0))
    call avCT(3232, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_30065])

    allocate(vertices(3828)%branchCT(0:0))
    call avCT(3828, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1804)%branchCT(0:0))
    call avCT(1804, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_30069])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(608)%branchCT(0:1))
    call avCT(608, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_29103, nGC_29098])

    call avCT(608, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_29108, nGC_29109])

    allocate(vertices(128)%branchCT(0:0))
    call avCT(128, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(612)%branchCT(0:1))
    call avCT(612, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_29108, nGC_29109])

    call avCT(612, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_29103, nGC_29098])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_28854])

    allocate(vertices(3396)%branchCT(0:0))
    call avCT(3396, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_30106, nGC_30107])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3829)%branchCT(0:0))
    call avCT(3829, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1940)%branchCT(0:0))
    call avCT(1940, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_29530])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1990)%branchCT(0:0))
    call avCT(1990, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_30126])

    allocate(vertices(1300)%branchCT(0:0))
    call avCT(1300, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24436])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(2036)%branchCT(0:0))
    call avCT(2036, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29324])

    allocate(vertices(638)%branchCT(0:0))
    call avCT(638, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29179])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24436])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(649)%branchCT(0:1))
    call avCT(649, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_29613])

    call avCT(649, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_29612])

    allocate(vertices(1945)%branchCT(0:0))
    call avCT(1945, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(653)%branchCT(0:0))
    call avCT(653, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(3830)%branchCT(0:1))
    call avCT(3830, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_30159, nGC_30153,       &
    nGC_30161, nGC_30161])

    call avCT(3830, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_30160, nGC_30154,       &
    nGC_30162, nGC_30162])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_29165, nGC_29166])

    allocate(vertices(2953)%branchCT(0:0))
    call avCT(2953, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_30178, nGC_30179])

    allocate(vertices(1387)%branchCT(0:0))
    call avCT(1387, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(662)%branchCT(0:0))
    call avCT(662, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2749)%branchCT(0:0))
    call avCT(2749, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(455)%branchCT(0:0))
    call avCT(455, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_29165, nGC_29166])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_28999])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_28998])

    allocate(vertices(3831)%branchCT(0:0))
    call avCT(3831, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_30205, nGC_30203,       &
    nGC_30206, nGC_30206])

    allocate(vertices(675)%branchCT(0:1))
    call avCT(675, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_29507, nGC_29508])

    call avCT(675, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_29505, nGC_29506])

    allocate(vertices(3240)%branchCT(0:0))
    call avCT(3240, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(681)%branchCT(0:0))
    call avCT(681, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(683)%branchCT(0:0))
    call avCT(683, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(687)%branchCT(0:0))
    call avCT(687, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(688)%branchCT(0:1))
    call avCT(688, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_29266, nGC_29267])

    call avCT(688, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_29260, nGC_29263])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29729])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1953)%branchCT(0:1))
    call avCT(1953, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30251, nGC_30250])

    call avCT(1953, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30253, nGC_30252])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(696)%branchCT(0:1))
    call avCT(696, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_30259, nGC_30262])

    call avCT(696, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_30269, nGC_30270])

    allocate(vertices(624)%branchCT(0:0))
    call avCT(624, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(699)%branchCT(0:0))
    call avCT(699, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(700)%branchCT(0:0))
    call avCT(700, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_30069])

    allocate(vertices(655)%branchCT(0:0))
    call avCT(655, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(656)%branchCT(0:0))
    call avCT(656, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_29012])

    allocate(vertices(705)%branchCT(0:0))
    call avCT(705, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(707)%branchCT(0:0))
    call avCT(707, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28941])

    allocate(vertices(3832)%branchCT(0:1))
    call avCT(3832, 0, 15, 1, 0, VV2, 0, [2, 0], [nGC_30287, nGC_30286])

    call avCT(3832, 1, 16, 8, 0, VV2, 0, [2, 0], [nGC_30287, nGC_30286])

    allocate(vertices(712)%branchCT(0:0))
    call avCT(712, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(713)%branchCT(0:1))
    call avCT(713, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_30301, nGC_30302])

    call avCT(713, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_30298, nGC_30295])

    allocate(vertices(736)%branchCT(0:0))
    call avCT(736, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2583)%branchCT(0:0))
    call avCT(2583, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(720)%branchCT(0:0))
    call avCT(720, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(721)%branchCT(0:1))
    call avCT(721, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_29151])

    call avCT(721, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_29150])

    allocate(vertices(3356)%branchCT(0:0))
    call avCT(3356, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3257)%branchCT(0:0))
    call avCT(3257, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_28937])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_29225])

    allocate(vertices(1968)%branchCT(0:0))
    call avCT(1968, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29324])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(715)%branchCT(0:0))
    call avCT(715, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(738)%branchCT(0:0))
    call avCT(738, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_29715])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1721)%branchCT(0:0))
    call avCT(1721, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_30178, nGC_30179])

    allocate(vertices(3833)%branchCT(0:0))
    call avCT(3833, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_30349])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(750)%branchCT(0:0))
    call avCT(750, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(752)%branchCT(0:0))
    call avCT(752, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29121])

    allocate(vertices(2592)%branchCT(0:0))
    call avCT(2592, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(757)%branchCT(0:3))
    call avCT(757, 0, 22, 4, 0, FaFV0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(757, 1, 22, 4, 0, FaFV0, 0, [3, 0], [nGC_30368, nGC_30369])

    call avCT(757, 2, 23, 5, 0, FaFV0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(757, 3, 23, 5, 0, FaFV0, 0, [3, 0], [nGC_30368, nGC_30369])

    allocate(vertices(2730)%branchCT(0:0))
    call avCT(2730, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29792])

    allocate(vertices(2774)%branchCT(0:0))
    call avCT(2774, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_30389])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29145])

    allocate(vertices(3834)%branchCT(0:0))
    call avCT(3834, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_29457])

    allocate(vertices(1150)%branchCT(0:0))
    call avCT(1150, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_28809])

    allocate(vertices(1167)%branchCT(0:0))
    call avCT(1167, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29179])

    allocate(vertices(817)%branchCT(0:0))
    call avCT(817, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(789)%branchCT(0:0))
    call avCT(789, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1251)%branchCT(0:0))
    call avCT(1251, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(794)%branchCT(0:1))
    call avCT(794, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_29056, nGC_29056])

    call avCT(794, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_29055, nGC_29055])

    allocate(vertices(1229)%branchCT(0:5))
    call avCT(1229, 0, 80, 6, 0, UaVVU0, 0, [4, 0], [nGC_29085])

    call avCT(1229, 1, 81, 6, 0, UaVVU0, 0, [4, 0], [nGC_29085])

    call avCT(1229, 2, 82, 6, 0, UaVVU0, 0, [4, 0], [nGC_29085])

    call avCT(1229, 3, 83, 6, 0, UaVVU0, 0, [4, 0], [nGC_29085])

    call avCT(1229, 4, 84, 7, 0, UaVVU0, 0, [4, 0], [nGC_29086])

    call avCT(1229, 5, 85, 7, 0, UaVVU0, 0, [4, 0], [nGC_29086])

    allocate(vertices(798)%branchCT(0:1))
    call avCT(798, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30052, nGC_30053])

    call avCT(798, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30054, nGC_30055])

    allocate(vertices(799)%branchCT(0:0))
    call avCT(799, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(800)%branchCT(0:0))
    call avCT(800, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1270)%branchCT(0:0))
    call avCT(1270, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(804)%branchCT(0:0))
    call avCT(804, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(809)%branchCT(0:0))
    call avCT(809, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1322)%branchCT(0:0))
    call avCT(1322, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1367)%branchCT(0:0))
    call avCT(1367, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3542)%branchCT(0:1))
    call avCT(3542, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30467, nGC_30467])

    call avCT(3542, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30469, nGC_30469])

    allocate(vertices(3273)%branchCT(0:0))
    call avCT(3273, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1902)%branchCT(0:0))
    call avCT(1902, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_29155])

    allocate(vertices(1678)%branchCT(0:0))
    call avCT(1678, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_30477])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(828)%branchCT(0:0))
    call avCT(828, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28763])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(950)%branchCT(0:0))
    call avCT(950, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(833)%branchCT(0:0))
    call avCT(833, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1889)%branchCT(0:0))
    call avCT(1889, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_29030])

    allocate(vertices(1470)%branchCT(0:0))
    call avCT(1470, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(841)%branchCT(0:0))
    call avCT(841, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1501)%branchCT(0:0))
    call avCT(1501, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3365)%branchCT(0:0))
    call avCT(3365, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(844)%branchCT(0:1))
    call avCT(844, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30250, nGC_30251])

    call avCT(844, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30252, nGC_30253])

    allocate(vertices(845)%branchCT(0:0))
    call avCT(845, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(2979)%branchCT(0:0))
    call avCT(2979, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1539)%branchCT(0:0))
    call avCT(1539, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28890,       &
    nGC_28889])

    allocate(vertices(848)%branchCT(0:1))
    call avCT(848, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_28957])

    call avCT(848, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_28956])

    allocate(vertices(849)%branchCT(0:0))
    call avCT(849, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28759])

    allocate(vertices(1562)%branchCT(0:0))
    call avCT(1562, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1667)%branchCT(0:0))
    call avCT(1667, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(3281)%branchCT(0:0))
    call avCT(3281, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(855)%branchCT(0:0))
    call avCT(855, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_29165, nGC_29166])

    allocate(vertices(1599)%branchCT(0:0))
    call avCT(1599, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3479)%branchCT(0:0))
    call avCT(3479, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(861)%branchCT(0:0))
    call avCT(861, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1637)%branchCT(0:1))
    call avCT(1637, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_29266, nGC_29267])

    call avCT(1637, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_29260, nGC_29263])

    allocate(vertices(863)%branchCT(0:0))
    call avCT(863, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(865)%branchCT(0:1))
    call avCT(865, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_30269, nGC_30270])

    call avCT(865, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_30259, nGC_30262])

    allocate(vertices(556)%branchCT(0:0))
    call avCT(556, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(869)%branchCT(0:0))
    call avCT(869, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_30178, nGC_30179])

    allocate(vertices(870)%branchCT(0:0))
    call avCT(870, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(871)%branchCT(0:1))
    call avCT(871, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30582, nGC_30582])

    call avCT(871, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30584, nGC_30584])

    allocate(vertices(874)%branchCT(0:0))
    call avCT(874, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(877)%branchCT(0:0))
    call avCT(877, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29729])

    allocate(vertices(3835)%branchCT(0:0))
    call avCT(3835, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_30592])

    allocate(vertices(883)%branchCT(0:0))
    call avCT(883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(884)%branchCT(0:0))
    call avCT(884, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(886)%branchCT(0:0))
    call avCT(886, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(887)%branchCT(0:0))
    call avCT(887, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(1798)%branchCT(0:0))
    call avCT(1798, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2709)%branchCT(0:0))
    call avCT(2709, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(891)%branchCT(0:0))
    call avCT(891, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3323)%branchCT(0:0))
    call avCT(3323, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_28870, nGC_28871])

    allocate(vertices(894)%branchCT(0:0))
    call avCT(894, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(895)%branchCT(0:1))
    call avCT(895, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_28975, nGC_28976])

    call avCT(895, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_28969, nGC_28972])

    allocate(vertices(1874)%branchCT(0:0))
    call avCT(1874, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(902)%branchCT(0:0))
    call avCT(902, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_29706])

    allocate(vertices(1849)%branchCT(0:0))
    call avCT(1849, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29324])

    allocate(vertices(1918)%branchCT(0:0))
    call avCT(1918, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(910)%branchCT(0:3))
    call avCT(910, 0, 28, 4, 0, FVFa0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(910, 1, 28, 4, 0, FVFa0, 0, [3, 0], [nGC_29867, nGC_29868])

    call avCT(910, 2, 29, 5, 0, FVFa0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(910, 3, 29, 5, 0, FVFa0, 0, [3, 0], [nGC_29867, nGC_29868])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(742)%branchCT(0:0))
    call avCT(742, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1397)%branchCT(0:0))
    call avCT(1397, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2587)%branchCT(0:0))
    call avCT(2587, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24436])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29671])

    allocate(vertices(3295)%branchCT(0:0))
    call avCT(3295, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_28870, nGC_28871])

    allocate(vertices(3753)%branchCT(0:0))
    call avCT(3753, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(922)%branchCT(0:0))
    call avCT(922, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_29225])

    allocate(vertices(1616)%branchCT(0:1))
    call avCT(1616, 0, 32, 2, 0, UVUa0, 0, [3, 0], [nGC_29033])

    call avCT(1616, 1, 33, 3, 0, UVUa0, 0, [3, 0], [nGC_29033])

    allocate(vertices(2339)%branchCT(0:0))
    call avCT(2339, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29593])

    allocate(vertices(2435)%branchCT(0:0))
    call avCT(2435, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28763])

    allocate(vertices(929)%branchCT(0:0))
    call avCT(929, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2178)%branchCT(0:0))
    call avCT(2178, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_29225])

    allocate(vertices(3836)%branchCT(0:0))
    call avCT(3836, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_30205, nGC_30203,       &
    nGC_30206, nGC_30206])

    allocate(vertices(937)%branchCT(0:0))
    call avCT(937, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2118)%branchCT(0:0))
    call avCT(2118, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(939)%branchCT(0:1))
    call avCT(939, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_30714, nGC_30715])

    call avCT(939, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_30708, nGC_30705])

    allocate(vertices(942)%branchCT(0:0))
    call avCT(942, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2168)%branchCT(0:0))
    call avCT(2168, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(946)%branchCT(0:0))
    call avCT(946, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(947)%branchCT(0:0))
    call avCT(947, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2217)%branchCT(0:0))
    call avCT(2217, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(951)%branchCT(0:0))
    call avCT(951, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(953)%branchCT(0:0))
    call avCT(953, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(954)%branchCT(0:0))
    call avCT(954, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_28809])

    allocate(vertices(1358)%branchCT(0:0))
    call avCT(1358, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(957)%branchCT(0:5))
    call avCT(957, 0, 70, 6, 0, UVVUa0, 0, [4, 0], [nGC_29085])

    call avCT(957, 1, 71, 6, 0, UVVUa0, 0, [4, 0], [nGC_29085])

    call avCT(957, 2, 72, 6, 0, UVVUa0, 0, [4, 0], [nGC_29085])

    call avCT(957, 3, 73, 6, 0, UVVUa0, 0, [4, 0], [nGC_29085])

    call avCT(957, 4, 74, 7, 0, UVVUa0, 0, [4, 0], [nGC_29086])

    call avCT(957, 5, 75, 7, 0, UVVUa0, 0, [4, 0], [nGC_29086])

    allocate(vertices(958)%branchCT(0:0))
    call avCT(958, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_30753, nGC_30754])

    allocate(vertices(959)%branchCT(0:0))
    call avCT(959, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(960)%branchCT(0:0))
    call avCT(960, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(961)%branchCT(0:3))
    call avCT(961, 0, 26, 4, 0, VFaF0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(961, 1, 26, 4, 0, VFaF0, 0, [3, 0], [nGC_29388, nGC_29389])

    call avCT(961, 2, 27, 5, 0, VFaF0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(961, 3, 27, 5, 0, VFaF0, 0, [3, 0], [nGC_29388, nGC_29389])

    allocate(vertices(962)%branchCT(0:0))
    call avCT(962, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(964)%branchCT(0:0))
    call avCT(964, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(701)%branchCT(0:0))
    call avCT(701, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2629)%branchCT(0:0))
    call avCT(2629, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(968)%branchCT(0:0))
    call avCT(968, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(969)%branchCT(0:3))
    call avCT(969, 0, 22, 4, 0, FaFV0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(969, 1, 22, 4, 0, FaFV0, 0, [3, 0], [nGC_29353, nGC_29354])

    call avCT(969, 2, 23, 5, 0, FaFV0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(969, 3, 23, 5, 0, FaFV0, 0, [3, 0], [nGC_29353, nGC_29354])

    allocate(vertices(971)%branchCT(0:0))
    call avCT(971, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1313)%branchCT(0:0))
    call avCT(1313, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(974)%branchCT(0:0))
    call avCT(974, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(975)%branchCT(0:1))
    call avCT(975, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_28908, nGC_28909])

    call avCT(975, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_28906, nGC_28907])

    allocate(vertices(3787)%branchCT(0:0))
    call avCT(3787, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29671])

    allocate(vertices(2392)%branchCT(0:0))
    call avCT(2392, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(2416)%branchCT(0:0))
    call avCT(2416, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_29155])

    allocate(vertices(983)%branchCT(0:3))
    call avCT(983, 0, 22, 4, 0, FaFV0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(983, 1, 22, 4, 0, FaFV0, 0, [3, 0], [nGC_29388, nGC_29389])

    call avCT(983, 2, 23, 5, 0, FaFV0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(983, 3, 23, 5, 0, FaFV0, 0, [3, 0], [nGC_29388, nGC_29389])

    allocate(vertices(984)%branchCT(0:0))
    call avCT(984, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29280])

    allocate(vertices(2445)%branchCT(0:0))
    call avCT(2445, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_30477])

    allocate(vertices(987)%branchCT(0:3))
    call avCT(987, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(987, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_29898, nGC_29899])

    call avCT(987, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(987, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_29898, nGC_29899])

    allocate(vertices(989)%branchCT(0:0))
    call avCT(989, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2370)%branchCT(0:0))
    call avCT(2370, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2488)%branchCT(0:0))
    call avCT(2488, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2395)%branchCT(0:0))
    call avCT(2395, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(999)%branchCT(0:0))
    call avCT(999, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(815)%branchCT(0:0))
    call avCT(815, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(1001)%branchCT(0:0))
    call avCT(1001, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1003)%branchCT(0:0))
    call avCT(1003, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_28766])

    allocate(vertices(2453)%branchCT(0:0))
    call avCT(2453, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2573)%branchCT(0:0))
    call avCT(2573, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1010)%branchCT(0:0))
    call avCT(1010, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_28998])

    allocate(vertices(1011)%branchCT(0:0))
    call avCT(1011, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1016)%branchCT(0:0))
    call avCT(1016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1017)%branchCT(0:1))
    call avCT(1017, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30009, nGC_30010])

    call avCT(1017, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30007, nGC_30008])

    allocate(vertices(2758)%branchCT(0:0))
    call avCT(2758, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1018)%branchCT(0:0))
    call avCT(1018, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29671])

    allocate(vertices(1019)%branchCT(0:0))
    call avCT(1019, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1020)%branchCT(0:0))
    call avCT(1020, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1021)%branchCT(0:0))
    call avCT(1021, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2678)%branchCT(0:0))
    call avCT(2678, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_29225])

    allocate(vertices(1027)%branchCT(0:0))
    call avCT(1027, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2012)%branchCT(0:0))
    call avCT(2012, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1029)%branchCT(0:0))
    call avCT(1029, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1030)%branchCT(0:0))
    call avCT(1030, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_29771, nGC_29772])

    allocate(vertices(2013)%branchCT(0:1))
    call avCT(2013, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_28975, nGC_28976])

    call avCT(2013, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_28969, nGC_28972])

    allocate(vertices(1034)%branchCT(0:0))
    call avCT(1034, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1037)%branchCT(0:0))
    call avCT(1037, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2895)%branchCT(0:1))
    call avCT(2895, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_30924, nGC_30925])

    call avCT(2895, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_30920, nGC_30917])

    allocate(vertices(1039)%branchCT(0:0))
    call avCT(1039, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(1042)%branchCT(0:1))
    call avCT(1042, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30582, nGC_30582])

    call avCT(1042, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30584, nGC_30584])

    allocate(vertices(1370)%branchCT(0:0))
    call avCT(1370, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_29155])

    allocate(vertices(2786)%branchCT(0:0))
    call avCT(2786, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1048)%branchCT(0:1))
    call avCT(1048, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_29613])

    call avCT(1048, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_29612])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_30753, nGC_30754])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(1054)%branchCT(0:0))
    call avCT(1054, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2891)%branchCT(0:0))
    call avCT(2891, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1061)%branchCT(0:0))
    call avCT(1061, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_28937])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_28802])

    allocate(vertices(1068)%branchCT(0:0))
    call avCT(1068, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2647)%branchCT(0:0))
    call avCT(2647, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1071)%branchCT(0:0))
    call avCT(1071, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(2970)%branchCT(0:0))
    call avCT(2970, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1075)%branchCT(0:0))
    call avCT(1075, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_28937])

    allocate(vertices(1076)%branchCT(0:0))
    call avCT(1076, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1080)%branchCT(0:0))
    call avCT(1080, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1081)%branchCT(0:0))
    call avCT(1081, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(1082)%branchCT(0:0))
    call avCT(1082, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(3022)%branchCT(0:0))
    call avCT(3022, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1086)%branchCT(0:0))
    call avCT(1086, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1087)%branchCT(0:0))
    call avCT(1087, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1088)%branchCT(0:1))
    call avCT(1088, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_31008, nGC_31009])

    call avCT(1088, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_31002, nGC_31005])

    allocate(vertices(1089)%branchCT(0:0))
    call avCT(1089, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1093)%branchCT(0:1))
    call avCT(1093, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_29151])

    call avCT(1093, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_29150])

    allocate(vertices(3837)%branchCT(0:0))
    call avCT(3837, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1096)%branchCT(0:0))
    call avCT(1096, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3119)%branchCT(0:0))
    call avCT(3119, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(135)%branchCT(0:1))
    call avCT(135, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_31027, nGC_31028])

    call avCT(135, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_31029, nGC_31030])

    allocate(vertices(3838)%branchCT(0:0))
    call avCT(3838, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_31031])

    allocate(vertices(1103)%branchCT(0:0))
    call avCT(1103, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1106)%branchCT(0:0))
    call avCT(1106, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1107)%branchCT(0:0))
    call avCT(1107, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1112)%branchCT(0:0))
    call avCT(1112, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1113)%branchCT(0:0))
    call avCT(1113, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_28854])

    allocate(vertices(1114)%branchCT(0:0))
    call avCT(1114, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1117)%branchCT(0:0))
    call avCT(1117, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29887,       &
    nGC_29886])

    allocate(vertices(3431)%branchCT(0:0))
    call avCT(3431, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2025)%branchCT(0:0))
    call avCT(2025, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1120)%branchCT(0:0))
    call avCT(1120, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1121)%branchCT(0:0))
    call avCT(1121, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(1124)%branchCT(0:0))
    call avCT(1124, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1125)%branchCT(0:1))
    call avCT(1125, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_28921, nGC_28920])

    call avCT(1125, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_28923, nGC_28922])

    allocate(vertices(3149)%branchCT(0:0))
    call avCT(3149, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1128)%branchCT(0:0))
    call avCT(1128, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_29225])

    allocate(vertices(1130)%branchCT(0:0))
    call avCT(1130, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29121])

    allocate(vertices(1131)%branchCT(0:0))
    call avCT(1131, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3346)%branchCT(0:0))
    call avCT(3346, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_30065])

    allocate(vertices(1382)%branchCT(0:0))
    call avCT(1382, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3367)%branchCT(0:0))
    call avCT(3367, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1137)%branchCT(0:1))
    call avCT(1137, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_29507, nGC_29508])

    call avCT(1137, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_29505, nGC_29506])

    allocate(vertices(1139)%branchCT(0:0))
    call avCT(1139, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(1140)%branchCT(0:3))
    call avCT(1140, 0, 24, 4, 0, VFFa1, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(1140, 1, 24, 4, 0, VFFa1, 0, [3, 0], [nGC_29388, nGC_29389])

    call avCT(1140, 2, 25, 5, 0, VFFa1, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(1140, 3, 25, 5, 0, VFFa1, 0, [3, 0], [nGC_29388, nGC_29389])

    allocate(vertices(1085)%branchCT(0:0))
    call avCT(1085, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2689)%branchCT(0:1))
    call avCT(2689, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_28921, nGC_28920])

    call avCT(2689, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_28923, nGC_28922])

    allocate(vertices(1144)%branchCT(0:0))
    call avCT(1144, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1145)%branchCT(0:0))
    call avCT(1145, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_30125])

    allocate(vertices(1384)%branchCT(0:0))
    call avCT(1384, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1147)%branchCT(0:0))
    call avCT(1147, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1149)%branchCT(0:1))
    call avCT(1149, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_28957])

    call avCT(1149, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_28956])

    allocate(vertices(1152)%branchCT(0:0))
    call avCT(1152, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29792])

    allocate(vertices(1153)%branchCT(0:1))
    call avCT(1153, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30053, nGC_30052])

    call avCT(1153, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30055, nGC_30054])

    allocate(vertices(3839)%branchCT(0:0))
    call avCT(3839, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_29457])

    allocate(vertices(1159)%branchCT(0:0))
    call avCT(1159, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(1385)%branchCT(0:0))
    call avCT(1385, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3003)%branchCT(0:0))
    call avCT(3003, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1165)%branchCT(0:0))
    call avCT(1165, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29121])

    allocate(vertices(1166)%branchCT(0:0))
    call avCT(1166, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1169)%branchCT(0:0))
    call avCT(1169, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1172)%branchCT(0:0))
    call avCT(1172, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_29955])

    allocate(vertices(1173)%branchCT(0:0))
    call avCT(1173, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1174)%branchCT(0:0))
    call avCT(1174, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3643)%branchCT(0:0))
    call avCT(3643, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_29530])

    allocate(vertices(1180)%branchCT(0:0))
    call avCT(1180, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1181)%branchCT(0:1))
    call avCT(1181, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_31008, nGC_31009])

    call avCT(1181, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_31002, nGC_31005])

    allocate(vertices(3695)%branchCT(0:0))
    call avCT(3695, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(3840)%branchCT(0:0))
    call avCT(3840, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1184)%branchCT(0:0))
    call avCT(1184, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1185)%branchCT(0:0))
    call avCT(1185, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_29165, nGC_29166])

    allocate(vertices(1186)%branchCT(0:0))
    call avCT(1186, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1187)%branchCT(0:0))
    call avCT(1187, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1188)%branchCT(0:0))
    call avCT(1188, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1189)%branchCT(0:0))
    call avCT(1189, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3776)%branchCT(0:1))
    call avCT(3776, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_29507, nGC_29508])

    call avCT(3776, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_29505, nGC_29506])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1194)%branchCT(0:0))
    call avCT(1194, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2993)%branchCT(0:0))
    call avCT(2993, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_28809])

    allocate(vertices(1197)%branchCT(0:0))
    call avCT(1197, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1198)%branchCT(0:0))
    call avCT(1198, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_28802])

    allocate(vertices(1199)%branchCT(0:0))
    call avCT(1199, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_30126])

    allocate(vertices(1200)%branchCT(0:0))
    call avCT(1200, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1201)%branchCT(0:0))
    call avCT(1201, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(990)%branchCT(0:0))
    call avCT(990, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3712)%branchCT(0:1))
    call avCT(3712, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_31226, nGC_31226])

    call avCT(3712, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_31228, nGC_31228])

    allocate(vertices(1205)%branchCT(0:0))
    call avCT(1205, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1004)%branchCT(0:0))
    call avCT(1004, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(1209)%branchCT(0:0))
    call avCT(1209, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1210)%branchCT(0:1))
    call avCT(1210, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_29056, nGC_29056])

    call avCT(1210, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_29055, nGC_29055])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1213)%branchCT(0:0))
    call avCT(1213, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24435])

    allocate(vertices(1214)%branchCT(0:0))
    call avCT(1214, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_29367, nGC_29367])

    allocate(vertices(1216)%branchCT(0:0))
    call avCT(1216, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1221)%branchCT(0:0))
    call avCT(1221, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1222)%branchCT(0:0))
    call avCT(1222, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1225)%branchCT(0:0))
    call avCT(1225, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1226)%branchCT(0:0))
    call avCT(1226, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29121])

    allocate(vertices(1228)%branchCT(0:0))
    call avCT(1228, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1230)%branchCT(0:0))
    call avCT(1230, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1232)%branchCT(0:0))
    call avCT(1232, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1233)%branchCT(0:0))
    call avCT(1233, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1236)%branchCT(0:1))
    call avCT(1236, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_29151])

    call avCT(1236, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_29150])

    allocate(vertices(1237)%branchCT(0:0))
    call avCT(1237, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1238)%branchCT(0:1))
    call avCT(1238, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_29198, nGC_29198])

    call avCT(1238, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_29197, nGC_29197])

    allocate(vertices(3720)%branchCT(0:0))
    call avCT(3720, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_29238, nGC_29238])

    allocate(vertices(1595)%branchCT(0:0))
    call avCT(1595, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3841)%branchCT(0:1))
    call avCT(3841, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_31298, nGC_31292,       &
    nGC_31300, nGC_31300])

    call avCT(3841, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_31299, nGC_31293,       &
    nGC_31301, nGC_31301])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_28854])

    allocate(vertices(1243)%branchCT(0:0))
    call avCT(1243, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1743)%branchCT(0:0))
    call avCT(1743, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3124)%branchCT(0:0))
    call avCT(3124, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1249)%branchCT(0:0))
    call avCT(1249, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1250)%branchCT(0:0))
    call avCT(1250, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29886,        &
    nGC_29887])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,        &
    nGC_29748])

    allocate(vertices(2049)%branchCT(0:0))
    call avCT(2049, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1262)%branchCT(0:0))
    call avCT(1262, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28890,       &
    nGC_28889])

    allocate(vertices(3363)%branchCT(0:0))
    call avCT(3363, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1267)%branchCT(0:1))
    call avCT(1267, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30052, nGC_30053])

    call avCT(1267, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30054, nGC_30055])

    allocate(vertices(1269)%branchCT(0:0))
    call avCT(1269, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3141)%branchCT(0:0))
    call avCT(3141, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1271)%branchCT(0:5))
    call avCT(1271, 0, 112, 6, 0, VUVUa0, 0, [4, 0], [nGC_29085])

    call avCT(1271, 1, 113, 6, 0, VUVUa0, 0, [4, 0], [nGC_29085])

    call avCT(1271, 2, 114, 6, 0, VUVUa0, 0, [4, 0], [nGC_29085])

    call avCT(1271, 3, 115, 6, 0, VUVUa0, 0, [4, 0], [nGC_29085])

    call avCT(1271, 4, 116, 7, 0, VUVUa0, 0, [4, 0], [nGC_29086])

    call avCT(1271, 5, 117, 7, 0, VUVUa0, 0, [4, 0], [nGC_29086])

    allocate(vertices(1274)%branchCT(0:0))
    call avCT(1274, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1275)%branchCT(0:0))
    call avCT(1275, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1278)%branchCT(0:0))
    call avCT(1278, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1281)%branchCT(0:0))
    call avCT(1281, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1282)%branchCT(0:0))
    call avCT(1282, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_29490])

    allocate(vertices(1285)%branchCT(0:0))
    call avCT(1285, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1286)%branchCT(0:0))
    call avCT(1286, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3842)%branchCT(0:0))
    call avCT(3842, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(892)%branchCT(0:0))
    call avCT(892, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(1289)%branchCT(0:0))
    call avCT(1289, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1290)%branchCT(0:1))
    call avCT(1290, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_29505, nGC_29506])

    call avCT(1290, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_29507, nGC_29508])

    allocate(vertices(1292)%branchCT(0:0))
    call avCT(1292, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_28809])

    allocate(vertices(1294)%branchCT(0:0))
    call avCT(1294, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2045)%branchCT(0:0))
    call avCT(2045, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(1297)%branchCT(0:0))
    call avCT(1297, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1298)%branchCT(0:0))
    call avCT(1298, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1303)%branchCT(0:0))
    call avCT(1303, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(1304)%branchCT(0:0))
    call avCT(1304, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1305)%branchCT(0:1))
    call avCT(1305, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30052, nGC_30053])

    call avCT(1305, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30054, nGC_30055])

    allocate(vertices(1306)%branchCT(0:0))
    call avCT(1306, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3675)%branchCT(0:0))
    call avCT(3675, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1650)%branchCT(0:0))
    call avCT(1650, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(1309)%branchCT(0:0))
    call avCT(1309, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29729])

    allocate(vertices(1310)%branchCT(0:0))
    call avCT(1310, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1314)%branchCT(0:0))
    call avCT(1314, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1315)%branchCT(0:0))
    call avCT(1315, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_29490])

    allocate(vertices(1316)%branchCT(0:0))
    call avCT(1316, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1320)%branchCT(0:1))
    call avCT(1320, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30251, nGC_30250])

    call avCT(1320, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30253, nGC_30252])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1325)%branchCT(0:0))
    call avCT(1325, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_29012])

    allocate(vertices(1326)%branchCT(0:0))
    call avCT(1326, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1586)%branchCT(0:0))
    call avCT(1586, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2064)%branchCT(0:1))
    call avCT(2064, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_31008, nGC_31009])

    call avCT(2064, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_31002, nGC_31005])

    allocate(vertices(1331)%branchCT(0:0))
    call avCT(1331, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_29955])

    allocate(vertices(1333)%branchCT(0:0))
    call avCT(1333, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1335)%branchCT(0:0))
    call avCT(1335, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1336)%branchCT(0:0))
    call avCT(1336, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_29955])

    allocate(vertices(1338)%branchCT(0:0))
    call avCT(1338, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1341)%branchCT(0:1))
    call avCT(1341, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30467, nGC_30467])

    call avCT(1341, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30469, nGC_30469])

    allocate(vertices(1342)%branchCT(0:0))
    call avCT(1342, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1343)%branchCT(0:0))
    call avCT(1343, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1344)%branchCT(0:0))
    call avCT(1344, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1346)%branchCT(0:0))
    call avCT(1346, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1348)%branchCT(0:0))
    call avCT(1348, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_28937])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1351)%branchCT(0:0))
    call avCT(1351, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1352)%branchCT(0:0))
    call avCT(1352, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_30178, nGC_30179])

    allocate(vertices(1354)%branchCT(0:0))
    call avCT(1354, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1356)%branchCT(0:0))
    call avCT(1356, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1357)%branchCT(0:0))
    call avCT(1357, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(956)%branchCT(0:0))
    call avCT(956, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(1359)%branchCT(0:0))
    call avCT(1359, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29671])

    allocate(vertices(3843)%branchCT(0:0))
    call avCT(3843, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(998)%branchCT(0:0))
    call avCT(998, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1365)%branchCT(0:0))
    call avCT(1365, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29593])

    allocate(vertices(2375)%branchCT(0:0))
    call avCT(2375, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(1045)%branchCT(0:0))
    call avCT(1045, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29887, nGC_29886,       &
    nGC_29886])

    allocate(vertices(1371)%branchCT(0:1))
    call avCT(1371, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_30301, nGC_30302])

    call avCT(1371, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_30298, nGC_30295])

    allocate(vertices(1373)%branchCT(0:0))
    call avCT(1373, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3844)%branchCT(0:0))
    call avCT(3844, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1375)%branchCT(0:0))
    call avCT(1375, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1376)%branchCT(0:0))
    call avCT(1376, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1377)%branchCT(0:0))
    call avCT(1377, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1378)%branchCT(0:0))
    call avCT(1378, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1380)%branchCT(0:0))
    call avCT(1380, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2880)%branchCT(0:0))
    call avCT(2880, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1146)%branchCT(0:0))
    call avCT(1146, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2703)%branchCT(0:0))
    call avCT(2703, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(1388)%branchCT(0:1))
    call avCT(1388, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_31560, nGC_31561])

    call avCT(1388, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_31562, nGC_31563])

    allocate(vertices(1170)%branchCT(0:0))
    call avCT(1170, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28933])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1391)%branchCT(0:0))
    call avCT(1391, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1393)%branchCT(0:0))
    call avCT(1393, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1398)%branchCT(0:0))
    call avCT(1398, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1402)%branchCT(0:0))
    call avCT(1402, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1277)%branchCT(0:0))
    call avCT(1277, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1407)%branchCT(0:0))
    call avCT(1407, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1409)%branchCT(0:0))
    call avCT(1409, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1410)%branchCT(0:0))
    call avCT(1410, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29030])

    allocate(vertices(1411)%branchCT(0:0))
    call avCT(1411, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28866])

    allocate(vertices(3045)%branchCT(0:0))
    call avCT(3045, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1414)%branchCT(0:0))
    call avCT(1414, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1415)%branchCT(0:0))
    call avCT(1415, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_29586, nGC_29587])

    allocate(vertices(1416)%branchCT(0:0))
    call avCT(1416, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1417)%branchCT(0:0))
    call avCT(1417, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_31606])

    allocate(vertices(1418)%branchCT(0:0))
    call avCT(1418, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2338)%branchCT(0:0))
    call avCT(2338, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1363)%branchCT(0:0))
    call avCT(1363, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29792])

    allocate(vertices(3411)%branchCT(0:0))
    call avCT(3411, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1423)%branchCT(0:0))
    call avCT(1423, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29729])

    allocate(vertices(1425)%branchCT(0:0))
    call avCT(1425, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1426)%branchCT(0:0))
    call avCT(1426, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1427)%branchCT(0:1))
    call avCT(1427, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_29613])

    call avCT(1427, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_29612])

    allocate(vertices(1433)%branchCT(0:0))
    call avCT(1433, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1436)%branchCT(0:0))
    call avCT(1436, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1437)%branchCT(0:0))
    call avCT(1437, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1604)%branchCT(0:1))
    call avCT(1604, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30009, nGC_30010])

    call avCT(1604, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30007, nGC_30008])

    allocate(vertices(1440)%branchCT(0:0))
    call avCT(1440, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(3156)%branchCT(0:0))
    call avCT(3156, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1444)%branchCT(0:0))
    call avCT(1444, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1445)%branchCT(0:0))
    call avCT(1445, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29145])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28933])

    allocate(vertices(1447)%branchCT(0:1))
    call avCT(1447, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_30269, nGC_30270])

    call avCT(1447, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_30259, nGC_30262])

    allocate(vertices(2615)%branchCT(0:0))
    call avCT(2615, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1451)%branchCT(0:0))
    call avCT(1451, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1452)%branchCT(0:0))
    call avCT(1452, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(1453)%branchCT(0:1))
    call avCT(1453, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30582, nGC_30582])

    call avCT(1453, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30584, nGC_30584])

    allocate(vertices(1535)%branchCT(0:0))
    call avCT(1535, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2714)%branchCT(0:0))
    call avCT(2714, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29858])

    allocate(vertices(1547)%branchCT(0:0))
    call avCT(1547, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1458)%branchCT(0:3))
    call avCT(1458, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(1458, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_30368, nGC_30369])

    call avCT(1458, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(1458, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_30368, nGC_30369])

    allocate(vertices(1460)%branchCT(0:0))
    call avCT(1460, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1571)%branchCT(0:0))
    call avCT(1571, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1465)%branchCT(0:0))
    call avCT(1465, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1467)%branchCT(0:0))
    call avCT(1467, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1468)%branchCT(0:0))
    call avCT(1468, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_30106, nGC_30107])

    allocate(vertices(1469)%branchCT(0:0))
    call avCT(1469, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1471)%branchCT(0:0))
    call avCT(1471, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1472)%branchCT(0:0))
    call avCT(1472, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1641)%branchCT(0:0))
    call avCT(1641, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1477)%branchCT(0:0))
    call avCT(1477, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(3558)%branchCT(0:0))
    call avCT(3558, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_29530])

    allocate(vertices(3845)%branchCT(0:1))
    call avCT(3845, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_31728, nGC_31722,       &
    nGC_31730, nGC_31730])

    call avCT(3845, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_31729, nGC_31723,       &
    nGC_31731, nGC_31731])

    allocate(vertices(1479)%branchCT(0:0))
    call avCT(1479, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1480)%branchCT(0:0))
    call avCT(1480, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_30753, nGC_30754])

    allocate(vertices(1481)%branchCT(0:0))
    call avCT(1481, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1483)%branchCT(0:1))
    call avCT(1483, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_29440, nGC_29443])

    call avCT(1483, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_29447, nGC_29448])

    allocate(vertices(1485)%branchCT(0:0))
    call avCT(1485, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28866])

    allocate(vertices(1710)%branchCT(0:0))
    call avCT(1710, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1487)%branchCT(0:0))
    call avCT(1487, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_29714])

    allocate(vertices(1488)%branchCT(0:0))
    call avCT(1488, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3570)%branchCT(0:0))
    call avCT(3570, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24432])

    allocate(vertices(1491)%branchCT(0:0))
    call avCT(1491, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1492)%branchCT(0:0))
    call avCT(1492, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_29030])

    allocate(vertices(1493)%branchCT(0:0))
    call avCT(1493, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1494)%branchCT(0:0))
    call avCT(1494, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1495)%branchCT(0:0))
    call avCT(1495, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_28766])

    allocate(vertices(1496)%branchCT(0:0))
    call avCT(1496, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1498)%branchCT(0:0))
    call avCT(1498, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1006)%branchCT(0:0))
    call avCT(1006, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3259)%branchCT(0:0))
    call avCT(3259, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1224)%branchCT(0:0))
    call avCT(1224, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1505)%branchCT(0:0))
    call avCT(1505, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1507)%branchCT(0:0))
    call avCT(1507, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1509)%branchCT(0:0))
    call avCT(1509, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3793)%branchCT(0:0))
    call avCT(3793, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1513)%branchCT(0:3))
    call avCT(1513, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(1513, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_29353, nGC_29354])

    call avCT(1513, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(1513, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_29353, nGC_29354])

    allocate(vertices(1514)%branchCT(0:0))
    call avCT(1514, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_31802, nGC_31803,       &
    nGC_31802])

    allocate(vertices(1517)%branchCT(0:0))
    call avCT(1517, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1809)%branchCT(0:1))
    call avCT(1809, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30052, nGC_30053])

    call avCT(1809, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30054, nGC_30055])

    allocate(vertices(3846)%branchCT(0:0))
    call avCT(3846, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29457])

    allocate(vertices(1906)%branchCT(0:0))
    call avCT(1906, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1914)%branchCT(0:0))
    call avCT(1914, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1524)%branchCT(0:0))
    call avCT(1524, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1928)%branchCT(0:0))
    call avCT(1928, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1526)%branchCT(0:0))
    call avCT(1526, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_31829])

    allocate(vertices(3359)%branchCT(0:0))
    call avCT(3359, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1529)%branchCT(0:0))
    call avCT(1529, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_30477])

    allocate(vertices(2406)%branchCT(0:0))
    call avCT(2406, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2092)%branchCT(0:0))
    call avCT(2092, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3509)%branchCT(0:1))
    call avCT(3509, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_30269, nGC_30270])

    call avCT(3509, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_30259, nGC_30262])

    allocate(vertices(1534)%branchCT(0:0))
    call avCT(1534, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1792)%branchCT(0:0))
    call avCT(1792, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1536)%branchCT(0:0))
    call avCT(1536, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3146)%branchCT(0:0))
    call avCT(3146, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1538)%branchCT(0:0))
    call avCT(1538, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_29461])

    allocate(vertices(2020)%branchCT(0:0))
    call avCT(2020, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24442])

  end subroutine fill_vertices_mdl6
end module vertices_info6
