!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  implicit none
  contains
  subroutine fill_vertices_mdl8()
    use class_vertices
    use class_couplings
    allocate(vertices(2145)%branchCT(0:0))
    call avCT(2145, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2830)%branchCT(0:3))
    call avCT(2830, 0, 28, 4, 0, FVFa0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(2830, 1, 28, 4, 0, FVFa0, 0, [3, 0], [nGC_30368, nGC_30369])

    call avCT(2830, 2, 29, 5, 0, FVFa0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(2830, 3, 29, 5, 0, FVFa0, 0, [3, 0], [nGC_30368, nGC_30369])

    allocate(vertices(2833)%branchCT(0:0))
    call avCT(2833, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2836)%branchCT(0:0))
    call avCT(2836, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(3401)%branchCT(0:0))
    call avCT(3401, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2839)%branchCT(0:0))
    call avCT(2839, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_30106, nGC_30107])

    allocate(vertices(475)%branchCT(0:0))
    call avCT(475, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1563)%branchCT(0:0))
    call avCT(1563, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(2848)%branchCT(0:0))
    call avCT(2848, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(2850)%branchCT(0:1))
    call avCT(2850, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_31562, nGC_31563])

    call avCT(2850, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_31560, nGC_31561])

    allocate(vertices(2851)%branchCT(0:1))
    call avCT(2851, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_31560, nGC_31561])

    call avCT(2851, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_31562, nGC_31563])

    allocate(vertices(2852)%branchCT(0:0))
    call avCT(2852, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3880)%branchCT(0:0))
    call avCT(3880, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_29457])

    allocate(vertices(2544)%branchCT(0:0))
    call avCT(2544, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29287])

    allocate(vertices(2283)%branchCT(0:0))
    call avCT(2283, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(3661)%branchCT(0:0))
    call avCT(3661, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2856)%branchCT(0:0))
    call avCT(2856, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29792])

    allocate(vertices(2857)%branchCT(0:1))
    call avCT(2857, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30009, nGC_30010])

    call avCT(2857, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30007, nGC_30008])

    allocate(vertices(2952)%branchCT(0:0))
    call avCT(2952, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(853)%branchCT(0:0))
    call avCT(853, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_29490])

    allocate(vertices(2864)%branchCT(0:0))
    call avCT(2864, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2866)%branchCT(0:0))
    call avCT(2866, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(2869)%branchCT(0:0))
    call avCT(2869, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(446)%branchCT(0:0))
    call avCT(446, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(2873)%branchCT(0:1))
    call avCT(2873, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_32316, nGC_32316])

    call avCT(2873, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_32318, nGC_32318])

    allocate(vertices(1441)%branchCT(0:0))
    call avCT(1441, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3881)%branchCT(0:0))
    call avCT(3881, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_31031])

    allocate(vertices(2876)%branchCT(0:0))
    call avCT(2876, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(2877)%branchCT(0:0))
    call avCT(2877, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_29165, nGC_29166])

    allocate(vertices(2879)%branchCT(0:0))
    call avCT(2879, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2115)%branchCT(0:0))
    call avCT(2115, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2883)%branchCT(0:0))
    call avCT(2883, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2884)%branchCT(0:0))
    call avCT(2884, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2885)%branchCT(0:1))
    call avCT(2885, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_32316, nGC_32316])

    call avCT(2885, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_32318, nGC_32318])

    allocate(vertices(2441)%branchCT(0:0))
    call avCT(2441, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(2888)%branchCT(0:0))
    call avCT(2888, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_29020])

    allocate(vertices(3882)%branchCT(0:0))
    call avCT(3882, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_29457])

    allocate(vertices(3883)%branchCT(0:0))
    call avCT(3883, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2894)%branchCT(0:0))
    call avCT(2894, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_29530])

    allocate(vertices(2898)%branchCT(0:0))
    call avCT(2898, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2548)%branchCT(0:0))
    call avCT(2548, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29324])

    allocate(vertices(2900)%branchCT(0:0))
    call avCT(2900, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2901)%branchCT(0:0))
    call avCT(2901, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2902)%branchCT(0:0))
    call avCT(2902, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_29490])

    allocate(vertices(2904)%branchCT(0:0))
    call avCT(2904, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2907)%branchCT(0:0))
    call avCT(2907, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2438)%branchCT(0:0))
    call avCT(2438, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1696)%branchCT(0:0))
    call avCT(1696, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2913)%branchCT(0:0))
    call avCT(2913, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2606)%branchCT(0:0))
    call avCT(2606, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29324])

    allocate(vertices(851)%branchCT(0:0))
    call avCT(851, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2918)%branchCT(0:1))
    call avCT(2918, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30251, nGC_30250])

    call avCT(2918, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30253, nGC_30252])

    allocate(vertices(2641)%branchCT(0:0))
    call avCT(2641, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(2920)%branchCT(0:0))
    call avCT(2920, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3248)%branchCT(0:0))
    call avCT(3248, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3884)%branchCT(0:0))
    call avCT(3884, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_31031])

    allocate(vertices(2922)%branchCT(0:0))
    call avCT(2922, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2130)%branchCT(0:0))
    call avCT(2130, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2924)%branchCT(0:0))
    call avCT(2924, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2024)%branchCT(0:0))
    call avCT(2024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(2926)%branchCT(0:0))
    call avCT(2926, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2927)%branchCT(0:0))
    call avCT(2927, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2928)%branchCT(0:1))
    call avCT(2928, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_29919, nGC_29920])

    call avCT(2928, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_29916, nGC_29912])

    allocate(vertices(2929)%branchCT(0:0))
    call avCT(2929, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2930)%branchCT(0:0))
    call avCT(2930, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_29012])

    allocate(vertices(2088)%branchCT(0:0))
    call avCT(2088, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3885)%branchCT(0:1))
    call avCT(3885, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_29652, nGC_29648,       &
    nGC_29654, nGC_29654])

    call avCT(3885, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_29653, nGC_29649,       &
    nGC_29655, nGC_29655])

    allocate(vertices(2934)%branchCT(0:0))
    call avCT(2934, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2935)%branchCT(0:1))
    call avCT(2935, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30251, nGC_30250])

    call avCT(2935, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30253, nGC_30252])

    allocate(vertices(2936)%branchCT(0:0))
    call avCT(2936, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2940)%branchCT(0:0))
    call avCT(2940, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3187)%branchCT(0:0))
    call avCT(3187, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2942)%branchCT(0:0))
    call avCT(2942, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(3886)%branchCT(0:0))
    call avCT(3886, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_29457])

    allocate(vertices(1502)%branchCT(0:0))
    call avCT(1502, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2916)%branchCT(0:0))
    call avCT(2916, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2967)%branchCT(0:0))
    call avCT(2967, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_29469])

    allocate(vertices(2951)%branchCT(0:0))
    call avCT(2951, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3630)%branchCT(0:1))
    call avCT(3630, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30467, nGC_30467])

    call avCT(3630, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30469, nGC_30469])

    allocate(vertices(3690)%branchCT(0:0))
    call avCT(3690, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_29155])

    allocate(vertices(2038)%branchCT(0:1))
    call avCT(2038, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_31008, nGC_31009])

    call avCT(2038, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_31002, nGC_31005])

    allocate(vertices(3887)%branchCT(0:0))
    call avCT(3887, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1218)%branchCT(0:0))
    call avCT(1218, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2964)%branchCT(0:0))
    call avCT(2964, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_29238, nGC_29238])

    allocate(vertices(2843)%branchCT(0:0))
    call avCT(2843, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1939)%branchCT(0:0))
    call avCT(1939, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3465)%branchCT(0:0))
    call avCT(3465, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(2971)%branchCT(0:0))
    call avCT(2971, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(2972)%branchCT(0:0))
    call avCT(2972, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2326)%branchCT(0:0))
    call avCT(2326, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2975)%branchCT(0:5))
    call avCT(2975, 0, 42, 6, 0, UVUaV0, 0, [4, 0], [nGC_29085])

    call avCT(2975, 1, 43, 7, 0, UVUaV0, 0, [4, 0], [nGC_29086])

    call avCT(2975, 2, 44, 6, 0, UVUaV0, 0, [4, 0], [nGC_29085])

    call avCT(2975, 3, 45, 7, 0, UVUaV0, 0, [4, 0], [nGC_29086])

    call avCT(2975, 4, 76, 6, 0, UVUaV0, 0, [4, 0], [nGC_29085])

    call avCT(2975, 5, 77, 6, 0, UVUaV0, 0, [4, 0], [nGC_29085])

    allocate(vertices(2977)%branchCT(0:0))
    call avCT(2977, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2433)%branchCT(0:0))
    call avCT(2433, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28763])

    allocate(vertices(2981)%branchCT(0:0))
    call avCT(2981, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3888)%branchCT(0:0))
    call avCT(3888, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_29640, nGC_29639,        &
    nGC_29640, nGC_29639, nGC_29641])

    allocate(vertices(2983)%branchCT(0:5))
    call avCT(2983, 0, 46, 6, 0, UUaVV0, 0, [4, 0], [nGC_29085])

    call avCT(2983, 1, 47, 7, 0, UUaVV0, 0, [4, 0], [nGC_29086])

    call avCT(2983, 2, 48, 6, 0, UUaVV0, 0, [4, 0], [nGC_29085])

    call avCT(2983, 3, 49, 7, 0, UUaVV0, 0, [4, 0], [nGC_29086])

    call avCT(2983, 4, 78, 6, 0, UUaVV0, 0, [4, 0], [nGC_29085])

    call avCT(2983, 5, 79, 6, 0, UUaVV0, 0, [4, 0], [nGC_29085])

    allocate(vertices(1663)%branchCT(0:0))
    call avCT(1663, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2990)%branchCT(0:0))
    call avCT(2990, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29887,       &
    nGC_29886])

    allocate(vertices(1100)%branchCT(0:0))
    call avCT(1100, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2994)%branchCT(0:0))
    call avCT(2994, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3889)%branchCT(0:0))
    call avCT(3889, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2998)%branchCT(0:0))
    call avCT(2998, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3667)%branchCT(0:0))
    call avCT(3667, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3890)%branchCT(0:0))
    call avCT(3890, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_31031])

    allocate(vertices(3002)%branchCT(0:0))
    call avCT(3002, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2982)%branchCT(0:0))
    call avCT(2982, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(3891)%branchCT(0:1))
    call avCT(3891, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_31298, nGC_31292,      &
    nGC_31300, nGC_31300])

    call avCT(3891, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_31299, nGC_31293,      &
    nGC_31301, nGC_31301])

    allocate(vertices(3007)%branchCT(0:5))
    call avCT(3007, 0, 4, 7, 0, VVVV0, 0, [4, 0], [nGC_34693, nGC_34693,       &
    nGC_34704])

    call avCT(3007, 1, 5, 7, 0, VVVV0, 0, [4, 0], [nGC_34693, nGC_34693,       &
    nGC_34704])

    call avCT(3007, 2, 6, 6, 0, VVVV0, 0, [4, 0], [nGC_34695, nGC_34694,       &
    nGC_34694])

    call avCT(3007, 3, 7, 6, 0, VVVV0, 0, [4, 0], [nGC_34694, nGC_34695,       &
    nGC_34694])

    call avCT(3007, 4, 8, 6, 0, VVVV0, 0, [4, 0], [nGC_34695, nGC_34694,       &
    nGC_34694])

    call avCT(3007, 5, 9, 6, 0, VVVV0, 0, [4, 0], [nGC_34694, nGC_34695,       &
    nGC_34694])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3010)%branchCT(0:1))
    call avCT(3010, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_31226, nGC_31226])

    call avCT(3010, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_31228, nGC_31228])

    allocate(vertices(3011)%branchCT(0:0))
    call avCT(3011, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3012)%branchCT(0:0))
    call avCT(3012, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(3013)%branchCT(0:1))
    call avCT(3013, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_31226, nGC_31226])

    call avCT(3013, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_31228, nGC_31228])

    allocate(vertices(3230)%branchCT(0:0))
    call avCT(3230, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3018)%branchCT(0:0))
    call avCT(3018, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3019)%branchCT(0:0))
    call avCT(3019, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3020)%branchCT(0:0))
    call avCT(3020, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_29030])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3025)%branchCT(0:0))
    call avCT(3025, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(3026)%branchCT(0:0))
    call avCT(3026, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1564)%branchCT(0:0))
    call avCT(1564, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2461)%branchCT(0:0))
    call avCT(2461, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3030)%branchCT(0:0))
    call avCT(3030, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(55)%branchCT(0:0))
    call avCT(55, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3033)%branchCT(0:0))
    call avCT(3033, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29121])

    allocate(vertices(3034)%branchCT(0:0))
    call avCT(3034, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(3035)%branchCT(0:0))
    call avCT(3035, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_29846, nGC_29847])

    allocate(vertices(3038)%branchCT(0:0))
    call avCT(3038, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_30389])

    allocate(vertices(3040)%branchCT(0:0))
    call avCT(3040, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3043)%branchCT(0:1))
    call avCT(3043, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30007, nGC_30008])

    call avCT(3043, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30009, nGC_30010])

    allocate(vertices(3403)%branchCT(0:0))
    call avCT(3403, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(2984)%branchCT(0:0))
    call avCT(2984, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(3418)%branchCT(0:0))
    call avCT(3418, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3433)%branchCT(0:0))
    call avCT(3433, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3049)%branchCT(0:0))
    call avCT(3049, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3050)%branchCT(0:1))
    call avCT(3050, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_29266, nGC_29267])

    call avCT(3050, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_29260, nGC_29263])

    allocate(vertices(3053)%branchCT(0:0))
    call avCT(3053, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3054)%branchCT(0:0))
    call avCT(3054, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29886,       &
    nGC_29887])

    allocate(vertices(3055)%branchCT(0:0))
    call avCT(3055, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_28766])

    allocate(vertices(3056)%branchCT(0:0))
    call avCT(3056, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3059)%branchCT(0:1))
    call avCT(3059, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_29613])

    call avCT(3059, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_29612])

    allocate(vertices(3061)%branchCT(0:0))
    call avCT(3061, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3062)%branchCT(0:0))
    call avCT(3062, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(583)%branchCT(0:1))
    call avCT(583, 0, 34, 2, 0, UUaV1, 0, [3, 0], [nGC_29033])

    call avCT(583, 1, 35, 3, 0, UUaV1, 0, [3, 0], [nGC_29033])

    allocate(vertices(3064)%branchCT(0:0))
    call avCT(3064, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29121])

    allocate(vertices(3065)%branchCT(0:0))
    call avCT(3065, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2505)%branchCT(0:0))
    call avCT(2505, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3069)%branchCT(0:0))
    call avCT(3069, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3572)%branchCT(0:0))
    call avCT(3572, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1005)%branchCT(0:0))
    call avCT(1005, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3073)%branchCT(0:1))
    call avCT(3073, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_31228, nGC_31228])

    call avCT(3073, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_31226, nGC_31226])

    allocate(vertices(3076)%branchCT(0:0))
    call avCT(3076, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2638)%branchCT(0:0))
    call avCT(2638, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_29530])

    allocate(vertices(3079)%branchCT(0:0))
    call avCT(3079, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1822)%branchCT(0:0))
    call avCT(1822, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3081)%branchCT(0:0))
    call avCT(3081, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3082)%branchCT(0:1))
    call avCT(3082, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_29637, nGC_29638])

    call avCT(3082, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_29631, nGC_29634])

    allocate(vertices(3083)%branchCT(0:0))
    call avCT(3083, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(3084)%branchCT(0:1))
    call avCT(3084, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_31560, nGC_31561])

    call avCT(3084, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_31562, nGC_31563])

    allocate(vertices(3085)%branchCT(0:0))
    call avCT(3085, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3087)%branchCT(0:0))
    call avCT(3087, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_28894])

    allocate(vertices(3709)%branchCT(0:0))
    call avCT(3709, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(3091)%branchCT(0:0))
    call avCT(3091, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3092)%branchCT(0:0))
    call avCT(3092, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3093)%branchCT(0:0))
    call avCT(3093, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29593])

    allocate(vertices(1171)%branchCT(0:0))
    call avCT(1171, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(3748)%branchCT(0:0))
    call avCT(3748, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28889,       &
    nGC_28890])

    allocate(vertices(3751)%branchCT(0:0))
    call avCT(3751, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_28809])

    allocate(vertices(3099)%branchCT(0:0))
    call avCT(3099, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(3290)%branchCT(0:0))
    call avCT(3290, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3103)%branchCT(0:0))
    call avCT(3103, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3105)%branchCT(0:0))
    call avCT(3105, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3107)%branchCT(0:0))
    call avCT(3107, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2342)%branchCT(0:0))
    call avCT(2342, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(671)%branchCT(0:5))
    call avCT(671, 0, 50, 6, 0, UaVUV0, 0, [4, 0], [nGC_29085])

    call avCT(671, 1, 51, 7, 0, UaVUV0, 0, [4, 0], [nGC_29086])

    call avCT(671, 2, 52, 6, 0, UaVUV0, 0, [4, 0], [nGC_29085])

    call avCT(671, 3, 53, 7, 0, UaVUV0, 0, [4, 0], [nGC_29086])

    call avCT(671, 4, 86, 6, 0, UaVUV0, 0, [4, 0], [nGC_29085])

    call avCT(671, 5, 87, 6, 0, UaVUV0, 0, [4, 0], [nGC_29085])

    allocate(vertices(3111)%branchCT(0:0))
    call avCT(3111, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(3713)%branchCT(0:0))
    call avCT(3713, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(3115)%branchCT(0:0))
    call avCT(3115, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3116)%branchCT(0:1))
    call avCT(3116, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30053, nGC_30052])

    call avCT(3116, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30055, nGC_30054])

    allocate(vertices(3118)%branchCT(0:0))
    call avCT(3118, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29729])

    allocate(vertices(1099)%branchCT(0:0))
    call avCT(1099, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1508)%branchCT(0:0))
    call avCT(1508, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3121)%branchCT(0:1))
    call avCT(3121, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_28782, nGC_28783])

    call avCT(3121, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_28780, nGC_28781])

    allocate(vertices(3122)%branchCT(0:0))
    call avCT(3122, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3123)%branchCT(0:0))
    call avCT(3123, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(3125)%branchCT(0:0))
    call avCT(3125, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2239)%branchCT(0:0))
    call avCT(2239, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(3130)%branchCT(0:1))
    call avCT(3130, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_29440, nGC_29443])

    call avCT(3130, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_29447, nGC_29448])

    allocate(vertices(3133)%branchCT(0:0))
    call avCT(3133, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3134)%branchCT(0:0))
    call avCT(3134, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29121])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3138)%branchCT(0:0))
    call avCT(3138, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3139)%branchCT(0:0))
    call avCT(3139, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3716)%branchCT(0:0))
    call avCT(3716, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3143)%branchCT(0:0))
    call avCT(3143, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29887, nGC_29886,       &
    nGC_29886])

    allocate(vertices(3784)%branchCT(0:0))
    call avCT(3784, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2601)%branchCT(0:1))
    call avCT(2601, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30467, nGC_30467])

    call avCT(2601, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30469, nGC_30469])

    allocate(vertices(3147)%branchCT(0:0))
    call avCT(3147, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(3148)%branchCT(0:0))
    call avCT(3148, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3151)%branchCT(0:0))
    call avCT(3151, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3892)%branchCT(0:0))
    call avCT(3892, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(3364)%branchCT(0:0))
    call avCT(3364, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1733)%branchCT(0:0))
    call avCT(1733, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_29490])

    allocate(vertices(3158)%branchCT(0:0))
    call avCT(3158, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_29131])

    allocate(vertices(3160)%branchCT(0:1))
    call avCT(3160, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_28921, nGC_28920])

    call avCT(3160, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_28923, nGC_28922])

    allocate(vertices(3161)%branchCT(0:0))
    call avCT(3161, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3162)%branchCT(0:0))
    call avCT(3162, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_29771, nGC_29772])

    allocate(vertices(808)%branchCT(0:0))
    call avCT(808, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3164)%branchCT(0:0))
    call avCT(3164, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(3166)%branchCT(0:0))
    call avCT(3166, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3167)%branchCT(0:0))
    call avCT(3167, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3893)%branchCT(0:0))
    call avCT(3893, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_35036, nGC_35032,        &
    nGC_35035])

    allocate(vertices(3169)%branchCT(0:0))
    call avCT(3169, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3005)%branchCT(0:0))
    call avCT(3005, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3170)%branchCT(0:0))
    call avCT(3170, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3174)%branchCT(0:3))
    call avCT(3174, 0, 24, 4, 0, VFFa1, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(3174, 1, 24, 4, 0, VFFa1, 0, [3, 0], [nGC_29353, nGC_29354])

    call avCT(3174, 2, 25, 5, 0, VFFa1, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(3174, 3, 25, 5, 0, VFFa1, 0, [3, 0], [nGC_29353, nGC_29354])

    allocate(vertices(3175)%branchCT(0:1))
    call avCT(3175, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_29919, nGC_29920])

    call avCT(3175, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_29916, nGC_29912])

    allocate(vertices(3261)%branchCT(0:0))
    call avCT(3261, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_29771, nGC_29772])

    allocate(vertices(3177)%branchCT(0:0))
    call avCT(3177, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(192)%branchCT(0:0))
    call avCT(192, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3181)%branchCT(0:0))
    call avCT(3181, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29792])

    allocate(vertices(3182)%branchCT(0:0))
    call avCT(3182, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_29238, nGC_29238])

    allocate(vertices(3782)%branchCT(0:0))
    call avCT(3782, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(3184)%branchCT(0:0))
    call avCT(3184, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_29030])

    allocate(vertices(2798)%branchCT(0:0))
    call avCT(2798, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3188)%branchCT(0:0))
    call avCT(3188, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3190)%branchCT(0:0))
    call avCT(3190, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_28937])

    allocate(vertices(3192)%branchCT(0:1))
    call avCT(3192, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_29613])

    call avCT(3192, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_29612])

    allocate(vertices(3399)%branchCT(0:0))
    call avCT(3399, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_29490])

    allocate(vertices(3194)%branchCT(0:0))
    call avCT(3194, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3195)%branchCT(0:0))
    call avCT(3195, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(3197)%branchCT(0:0))
    call avCT(3197, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3201)%branchCT(0:0))
    call avCT(3201, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3894)%branchCT(0:0))
    call avCT(3894, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_35104])

    allocate(vertices(3203)%branchCT(0:1))
    call avCT(3203, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_29266, nGC_29267])

    call avCT(3203, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_29260, nGC_29263])

    allocate(vertices(1791)%branchCT(0:0))
    call avCT(1791, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(462)%branchCT(0:0))
    call avCT(462, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3207)%branchCT(0:0))
    call avCT(3207, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_29410, nGC_29410])

    allocate(vertices(3208)%branchCT(0:0))
    call avCT(3208, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3215)%branchCT(0:0))
    call avCT(3215, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3216)%branchCT(0:0))
    call avCT(3216, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_28998])

    allocate(vertices(3217)%branchCT(0:0))
    call avCT(3217, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3895)%branchCT(0:0))
    call avCT(3895, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(3223)%branchCT(0:0))
    call avCT(3223, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3226)%branchCT(0:0))
    call avCT(3226, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_28766])

    allocate(vertices(3896)%branchCT(0:0))
    call avCT(3896, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_33948, nGC_33946,       &
    nGC_33949, nGC_33949])

    allocate(vertices(3228)%branchCT(0:0))
    call avCT(3228, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3229)%branchCT(0:0))
    call avCT(3229, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(3231)%branchCT(0:0))
    call avCT(3231, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_29846, nGC_29847])

    allocate(vertices(1013)%branchCT(0:0))
    call avCT(1013, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(643)%branchCT(0:0))
    call avCT(643, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2353)%branchCT(0:0))
    call avCT(2353, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3243)%branchCT(0:0))
    call avCT(3243, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3244)%branchCT(0:0))
    call avCT(3244, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3897)%branchCT(0:0))
    call avCT(3897, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_31031])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3249)%branchCT(0:0))
    call avCT(3249, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29729])

    allocate(vertices(3898)%branchCT(0:0))
    call avCT(3898, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_32143])

    allocate(vertices(3252)%branchCT(0:0))
    call avCT(3252, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_29469])

    allocate(vertices(3179)%branchCT(0:1))
    call avCT(3179, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_29255, nGC_29256])

    call avCT(3179, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_29249, nGC_29246])

    allocate(vertices(3899)%branchCT(0:0))
    call avCT(3899, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(722)%branchCT(0:0))
    call avCT(722, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(816)%branchCT(0:0))
    call avCT(816, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1662)%branchCT(0:1))
    call avCT(1662, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_29255, nGC_29256])

    call avCT(1662, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_29249, nGC_29246])

    allocate(vertices(3607)%branchCT(0:1))
    call avCT(3607, 0, 2, 2, 0, UaUV1, 0, [3, 0], [nGC_29033])

    call avCT(3607, 1, 3, 3, 0, UaUV1, 0, [3, 0], [nGC_29033])

    allocate(vertices(2359)%branchCT(0:0))
    call avCT(2359, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_31985])

    allocate(vertices(3267)%branchCT(0:0))
    call avCT(3267, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3268)%branchCT(0:0))
    call avCT(3268, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(807)%branchCT(0:0))
    call avCT(807, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3272)%branchCT(0:1))
    call avCT(3272, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_31228, nGC_31228])

    call avCT(3272, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_31226, nGC_31226])

    allocate(vertices(821)%branchCT(0:0))
    call avCT(821, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3739)%branchCT(0:0))
    call avCT(3739, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3276)%branchCT(0:0))
    call avCT(3276, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3277)%branchCT(0:1))
    call avCT(3277, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30582, nGC_30582])

    call avCT(3277, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30584, nGC_30584])

    allocate(vertices(2579)%branchCT(0:0))
    call avCT(2579, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29280])

    allocate(vertices(3108)%branchCT(0:0))
    call avCT(3108, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3284)%branchCT(0:0))
    call avCT(3284, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3285)%branchCT(0:0))
    call avCT(3285, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3288)%branchCT(0:0))
    call avCT(3288, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3289)%branchCT(0:0))
    call avCT(3289, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3293)%branchCT(0:0))
    call avCT(3293, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29887,       &
    nGC_29886])

    allocate(vertices(918)%branchCT(0:0))
    call avCT(918, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(921)%branchCT(0:1))
    call avCT(921, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_29637, nGC_29638])

    call avCT(921, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_29631, nGC_29634])

    allocate(vertices(3296)%branchCT(0:0))
    call avCT(3296, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(2865)%branchCT(0:0))
    call avCT(2865, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2051)%branchCT(0:0))
    call avCT(2051, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3300)%branchCT(0:0))
    call avCT(3300, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_29225])

    allocate(vertices(3301)%branchCT(0:0))
    call avCT(3301, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(3694)%branchCT(0:0))
    call avCT(3694, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3900)%branchCT(0:0))
    call avCT(3900, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_33315, nGC_33312,       &
    nGC_33316, nGC_33316])

    allocate(vertices(3304)%branchCT(0:0))
    call avCT(3304, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_28937])

    allocate(vertices(2669)%branchCT(0:0))
    call avCT(2669, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(1126)%branchCT(0:0))
    call avCT(1126, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28933])

    allocate(vertices(3309)%branchCT(0:0))
    call avCT(3309, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(985)%branchCT(0:0))
    call avCT(985, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29729])

    allocate(vertices(3311)%branchCT(0:1))
    call avCT(3311, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_30714, nGC_30715])

    call avCT(3311, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_30708, nGC_30705])

    allocate(vertices(3312)%branchCT(0:0))
    call avCT(3312, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24436])

    allocate(vertices(3313)%branchCT(0:0))
    call avCT(3313, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3901)%branchCT(0:0))
    call avCT(3901, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_29457])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3317)%branchCT(0:0))
    call avCT(3317, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29729])

    allocate(vertices(1419)%branchCT(0:0))
    call avCT(1419, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3320)%branchCT(0:0))
    call avCT(3320, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_29280])

    allocate(vertices(3321)%branchCT(0:0))
    call avCT(3321, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3322)%branchCT(0:0))
    call avCT(3322, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3324)%branchCT(0:3))
    call avCT(3324, 0, 26, 4, 0, VFaF0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(3324, 1, 26, 4, 0, VFaF0, 0, [3, 0], [nGC_30368, nGC_30369])

    call avCT(3324, 2, 27, 5, 0, VFaF0, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(3324, 3, 27, 5, 0, VFaF0, 0, [3, 0], [nGC_30368, nGC_30369])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3330)%branchCT(0:0))
    call avCT(3330, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1974)%branchCT(0:0))
    call avCT(1974, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3339)%branchCT(0:0))
    call avCT(3339, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29469])

    allocate(vertices(3341)%branchCT(0:0))
    call avCT(3341, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3342)%branchCT(0:0))
    call avCT(3342, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3066)%branchCT(0:0))
    call avCT(3066, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3345)%branchCT(0:0))
    call avCT(3345, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_29846, nGC_29847])

    allocate(vertices(3348)%branchCT(0:0))
    call avCT(3348, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1204)%branchCT(0:0))
    call avCT(1204, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(3351)%branchCT(0:0))
    call avCT(3351, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_28998])

    allocate(vertices(3353)%branchCT(0:0))
    call avCT(3353, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_28894])

    allocate(vertices(3717)%branchCT(0:0))
    call avCT(3717, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3357)%branchCT(0:0))
    call avCT(3357, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29179])

    allocate(vertices(3358)%branchCT(0:0))
    call avCT(3358, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_31802, nGC_31802,       &
    nGC_31803])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3361)%branchCT(0:0))
    call avCT(3361, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3362)%branchCT(0:0))
    call avCT(3362, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1266)%branchCT(0:0))
    call avCT(1266, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1136)%branchCT(0:0))
    call avCT(1136, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3368)%branchCT(0:0))
    call avCT(3368, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3142)%branchCT(0:0))
    call avCT(3142, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29179])

    allocate(vertices(3372)%branchCT(0:0))
    call avCT(3372, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_29225])

    allocate(vertices(3374)%branchCT(0:0))
    call avCT(3374, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3714)%branchCT(0:0))
    call avCT(3714, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29729])

    allocate(vertices(3381)%branchCT(0:0))
    call avCT(3381, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3382)%branchCT(0:1))
    call avCT(3382, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30053, nGC_30052])

    call avCT(3382, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30055, nGC_30054])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3386)%branchCT(0:0))
    call avCT(3386, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(3388)%branchCT(0:0))
    call avCT(3388, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3390)%branchCT(0:0))
    call avCT(3390, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(3391)%branchCT(0:0))
    call avCT(3391, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24436])

    allocate(vertices(3902)%branchCT(0:0))
    call avCT(3902, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29457])

    allocate(vertices(2966)%branchCT(0:0))
    call avCT(2966, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3397)%branchCT(0:0))
    call avCT(3397, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(938)%branchCT(0:0))
    call avCT(938, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3404)%branchCT(0:0))
    call avCT(3404, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3408)%branchCT(0:0))
    call avCT(3408, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(3409)%branchCT(0:0))
    call avCT(3409, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3410)%branchCT(0:0))
    call avCT(3410, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2736)%branchCT(0:0))
    call avCT(2736, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3413)%branchCT(0:0))
    call avCT(3413, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28866])

    allocate(vertices(3545)%branchCT(0:0))
    call avCT(3545, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_28835, nGC_28836])

    allocate(vertices(1645)%branchCT(0:0))
    call avCT(1645, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1168)%branchCT(0:0))
    call avCT(1168, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_28809])

    allocate(vertices(1143)%branchCT(0:1))
    call avCT(1143, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_30714, nGC_30715])

    call avCT(1143, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_30708, nGC_30705])

    allocate(vertices(2868)%branchCT(0:0))
    call avCT(2868, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29030])

    allocate(vertices(3424)%branchCT(0:0))
    call avCT(3424, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3427)%branchCT(0:0))
    call avCT(3427, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1620)%branchCT(0:0))
    call avCT(1620, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3430)%branchCT(0:0))
    call avCT(3430, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3762)%branchCT(0:0))
    call avCT(3762, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_30477])

    allocate(vertices(1583)%branchCT(0:0))
    call avCT(1583, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2991)%branchCT(0:0))
    call avCT(2991, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_30125])

    allocate(vertices(1208)%branchCT(0:0))
    call avCT(1208, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3442)%branchCT(0:0))
    call avCT(3442, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3443)%branchCT(0:0))
    call avCT(3443, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3444)%branchCT(0:0))
    call avCT(3444, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3446)%branchCT(0:0))
    call avCT(3446, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3448)%branchCT(0:0))
    call avCT(3448, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3449)%branchCT(0:1))
    call avCT(3449, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_30301, nGC_30302])

    call avCT(3449, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_30298, nGC_30295])

    allocate(vertices(3452)%branchCT(0:0))
    call avCT(3452, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3453)%branchCT(0:0))
    call avCT(3453, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24432])

    allocate(vertices(3393)%branchCT(0:3))
    call avCT(3393, 0, 28, 4, 0, FVFa0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(3393, 1, 28, 4, 0, FVFa0, 0, [3, 0], [nGC_29809, nGC_29810])

    call avCT(3393, 2, 29, 5, 0, FVFa0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(3393, 3, 29, 5, 0, FVFa0, 0, [3, 0], [nGC_29809, nGC_29810])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3459)%branchCT(0:0))
    call avCT(3459, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29671])

    allocate(vertices(2779)%branchCT(0:0))
    call avCT(2779, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28941])

    allocate(vertices(621)%branchCT(0:1))
    call avCT(621, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_29637, nGC_29638])

    call avCT(621, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_29631, nGC_29634])

    allocate(vertices(3903)%branchCT(0:0))
    call avCT(3903, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_31031])

    allocate(vertices(3471)%branchCT(0:0))
    call avCT(3471, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29593])

    allocate(vertices(3904)%branchCT(0:1))
    call avCT(3904, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_30159, nGC_30153,      &
    nGC_30161, nGC_30161])

    call avCT(3904, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_30160, nGC_30154,      &
    nGC_30162, nGC_30162])

    allocate(vertices(3475)%branchCT(0:0))
    call avCT(3475, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(813)%branchCT(0:0))
    call avCT(813, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3477)%branchCT(0:1))
    call avCT(3477, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_29108, nGC_29109])

    call avCT(3477, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_29103, nGC_29098])

    allocate(vertices(3481)%branchCT(0:0))
    call avCT(3481, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3482)%branchCT(0:0))
    call avCT(3482, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_29586, nGC_29587])

    allocate(vertices(3486)%branchCT(0:0))
    call avCT(3486, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3487)%branchCT(0:0))
    call avCT(3487, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1652)%branchCT(0:0))
    call avCT(1652, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3489)%branchCT(0:0))
    call avCT(3489, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3490)%branchCT(0:0))
    call avCT(3490, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29030])

    allocate(vertices(3491)%branchCT(0:0))
    call avCT(3491, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1776)%branchCT(0:0))
    call avCT(1776, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3493)%branchCT(0:0))
    call avCT(3493, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3494)%branchCT(0:1))
    call avCT(3494, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_29151])

    call avCT(3494, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_29150])

    allocate(vertices(3495)%branchCT(0:0))
    call avCT(3495, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_28999])

    allocate(vertices(3498)%branchCT(0:1))
    call avCT(3498, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_30301, nGC_30302])

    call avCT(3498, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_30298, nGC_30295])

    allocate(vertices(3499)%branchCT(0:0))
    call avCT(3499, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3502)%branchCT(0:0))
    call avCT(3502, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3503)%branchCT(0:1))
    call avCT(3503, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30250, nGC_30251])

    call avCT(3503, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30252, nGC_30253])

    allocate(vertices(3504)%branchCT(0:0))
    call avCT(3504, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2112)%branchCT(0:0))
    call avCT(2112, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3506)%branchCT(0:0))
    call avCT(3506, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3507)%branchCT(0:0))
    call avCT(3507, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_29490])

    allocate(vertices(2397)%branchCT(0:0))
    call avCT(2397, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29886, nGC_29886,       &
    nGC_29887])

    allocate(vertices(3515)%branchCT(0:0))
    call avCT(3515, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3518)%branchCT(0:0))
    call avCT(3518, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3520)%branchCT(0:1))
    call avCT(3520, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30250, nGC_30251])

    call avCT(3520, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30252, nGC_30253])

    allocate(vertices(3521)%branchCT(0:0))
    call avCT(3521, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3522)%branchCT(0:0))
    call avCT(3522, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2127)%branchCT(0:0))
    call avCT(2127, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3526)%branchCT(0:0))
    call avCT(3526, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3527)%branchCT(0:0))
    call avCT(3527, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1783)%branchCT(0:1))
    call avCT(1783, 0, 38, 2, 0, VUUa0, 0, [3, 0], [nGC_29033])

    call avCT(1783, 1, 39, 3, 0, VUUa0, 0, [3, 0], [nGC_29033])

    allocate(vertices(3532)%branchCT(0:0))
    call avCT(3532, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3533)%branchCT(0:0))
    call avCT(3533, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_29367, nGC_29367])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_30020])

    allocate(vertices(3905)%branchCT(0:1))
    call avCT(3905, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_31728, nGC_31722,      &
    nGC_31730, nGC_31730])

    call avCT(3905, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_31729, nGC_31723,      &
    nGC_31731, nGC_31731])

    allocate(vertices(3536)%branchCT(0:0))
    call avCT(3536, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3537)%branchCT(0:0))
    call avCT(3537, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_29658])

    allocate(vertices(3906)%branchCT(0:0))
    call avCT(3906, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(3540)%branchCT(0:0))
    call avCT(3540, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_30477])

    allocate(vertices(3780)%branchCT(0:0))
    call avCT(3780, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3543)%branchCT(0:0))
    call avCT(3543, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28941])

    allocate(vertices(3907)%branchCT(0:0))
    call avCT(3907, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29457])

    allocate(vertices(3546)%branchCT(0:0))
    call avCT(3546, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(181)%branchCT(0:0))
    call avCT(181, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3549)%branchCT(0:0))
    call avCT(3549, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(3552)%branchCT(0:0))
    call avCT(3552, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3553)%branchCT(0:0))
    call avCT(3553, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2262)%branchCT(0:0))
    call avCT(2262, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3555)%branchCT(0:0))
    call avCT(3555, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3556)%branchCT(0:0))
    call avCT(3556, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2681)%branchCT(0:3))
    call avCT(2681, 0, 22, 4, 0, FaFV0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(2681, 1, 22, 4, 0, FaFV0, 0, [3, 0], [nGC_29898, nGC_29899])

    call avCT(2681, 2, 23, 5, 0, FaFV0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(2681, 3, 23, 5, 0, FaFV0, 0, [3, 0], [nGC_29898, nGC_29899])

    allocate(vertices(3559)%branchCT(0:0))
    call avCT(3559, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2291)%branchCT(0:0))
    call avCT(2291, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(2302)%branchCT(0:0))
    call avCT(2302, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3564)%branchCT(0:0))
    call avCT(3564, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_29846, nGC_29847])

    allocate(vertices(3908)%branchCT(0:0))
    call avCT(3908, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(1639)%branchCT(0:0))
    call avCT(1639, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3567)%branchCT(0:0))
    call avCT(3567, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3568)%branchCT(0:0))
    call avCT(3568, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_28870, nGC_28871])

    allocate(vertices(3909)%branchCT(0:0))
    call avCT(3909, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_35104])

    allocate(vertices(3571)%branchCT(0:0))
    call avCT(3571, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_28854])

    allocate(vertices(3573)%branchCT(0:0))
    call avCT(3573, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3574)%branchCT(0:0))
    call avCT(3574, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3575)%branchCT(0:0))
    call avCT(3575, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(3576)%branchCT(0:0))
    call avCT(3576, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24436])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1790)%branchCT(0:0))
    call avCT(1790, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3580)%branchCT(0:0))
    call avCT(3580, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3582)%branchCT(0:0))
    call avCT(3582, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28759])

    allocate(vertices(3583)%branchCT(0:0))
    call avCT(3583, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(3584)%branchCT(0:0))
    call avCT(3584, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(3585)%branchCT(0:1))
    call avCT(3585, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_31008, nGC_31009])

    call avCT(3585, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_31002, nGC_31005])

    allocate(vertices(3586)%branchCT(0:0))
    call avCT(3586, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3587)%branchCT(0:0))
    call avCT(3587, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28941])

    allocate(vertices(3588)%branchCT(0:0))
    call avCT(3588, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3590)%branchCT(0:0))
    call avCT(3590, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_29771, nGC_29772])

    allocate(vertices(3593)%branchCT(0:0))
    call avCT(3593, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2485)%branchCT(0:0))
    call avCT(2485, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2591)%branchCT(0:0))
    call avCT(2591, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3596)%branchCT(0:0))
    call avCT(3596, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_29225])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2519)%branchCT(0:0))
    call avCT(2519, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3602)%branchCT(0:0))
    call avCT(3602, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3604)%branchCT(0:0))
    call avCT(3604, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3263)%branchCT(0:0))
    call avCT(3263, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_28998])

    allocate(vertices(3609)%branchCT(0:0))
    call avCT(3609, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1593)%branchCT(0:0))
    call avCT(1593, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_29020])

    allocate(vertices(1625)%branchCT(0:0))
    call avCT(1625, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29671])

    allocate(vertices(3910)%branchCT(0:0))
    call avCT(3910, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_35036, nGC_35032,        &
    nGC_35035])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3616)%branchCT(0:0))
    call avCT(3616, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_29490])

    allocate(vertices(2611)%branchCT(0:0))
    call avCT(2611, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3620)%branchCT(0:1))
    call avCT(3620, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_29637, nGC_29638])

    call avCT(3620, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_29631, nGC_29634])

    allocate(vertices(3621)%branchCT(0:0))
    call avCT(3621, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3077)%branchCT(0:0))
    call avCT(3077, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3624)%branchCT(0:0))
    call avCT(3624, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3625)%branchCT(0:0))
    call avCT(3625, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2659)%branchCT(0:0))
    call avCT(2659, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3628)%branchCT(0:0))
    call avCT(3628, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28866])

    allocate(vertices(3629)%branchCT(0:0))
    call avCT(3629, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_28937])

    allocate(vertices(1350)%branchCT(0:0))
    call avCT(1350, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3632)%branchCT(0:0))
    call avCT(3632, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24446])

    allocate(vertices(3633)%branchCT(0:1))
    call avCT(3633, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_29447, nGC_29448])

    call avCT(3633, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_29440, nGC_29443])

    allocate(vertices(3636)%branchCT(0:0))
    call avCT(3636, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3637)%branchCT(0:0))
    call avCT(3637, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3638)%branchCT(0:0))
    call avCT(3638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(3641)%branchCT(0:0))
    call avCT(3641, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(3642)%branchCT(0:0))
    call avCT(3642, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_28995])

    allocate(vertices(2077)%branchCT(0:0))
    call avCT(2077, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3647)%branchCT(0:0))
    call avCT(3647, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_29714])

    allocate(vertices(1504)%branchCT(0:0))
    call avCT(1504, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24432])

    allocate(vertices(3653)%branchCT(0:0))
    call avCT(3653, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2781)%branchCT(0:0))
    call avCT(2781, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_30069])

    allocate(vertices(3655)%branchCT(0:0))
    call avCT(3655, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3657)%branchCT(0:0))
    call avCT(3657, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3658)%branchCT(0:1))
    call avCT(3658, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_29249, nGC_29246])

    call avCT(3658, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_29255, nGC_29256])

    allocate(vertices(2803)%branchCT(0:0))
    call avCT(2803, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1148)%branchCT(0:0))
    call avCT(1148, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(3664)%branchCT(0:0))
    call avCT(3664, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(3665)%branchCT(0:0))
    call avCT(3665, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3670)%branchCT(0:0))
    call avCT(3670, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3676)%branchCT(0:0))
    call avCT(3676, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3677)%branchCT(0:1))
    call avCT(3677, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_29613])

    call avCT(3677, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_29612])

    allocate(vertices(3680)%branchCT(0:0))
    call avCT(3680, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2666)%branchCT(0:0))
    call avCT(2666, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2423)%branchCT(0:0))
    call avCT(2423, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3684)%branchCT(0:0))
    call avCT(3684, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2108)%branchCT(0:0))
    call avCT(2108, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1324)%branchCT(0:0))
    call avCT(1324, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3686)%branchCT(0:0))
    call avCT(3686, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29792])

    allocate(vertices(3299)%branchCT(0:0))
    call avCT(3299, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(3688)%branchCT(0:0))
    call avCT(3688, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_31802, nGC_31802,       &
    nGC_31803])

    allocate(vertices(829)%branchCT(0:0))
    call avCT(829, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2444)%branchCT(0:0))
    call avCT(2444, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1543)%branchCT(0:0))
    call avCT(1543, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_29012])

    allocate(vertices(3696)%branchCT(0:0))
    call avCT(3696, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3697)%branchCT(0:0))
    call avCT(3697, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3698)%branchCT(0:0))
    call avCT(3698, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3699)%branchCT(0:0))
    call avCT(3699, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24435])

    allocate(vertices(3701)%branchCT(0:0))
    call avCT(3701, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(3028)%branchCT(0:0))
    call avCT(3028, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3705)%branchCT(0:0))
    call avCT(3705, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3707)%branchCT(0:0))
    call avCT(3707, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3088)%branchCT(0:0))
    call avCT(3088, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1807)%branchCT(0:0))
    call avCT(1807, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3711)%branchCT(0:0))
    call avCT(3711, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_28994])

    allocate(vertices(3114)%branchCT(0:0))
    call avCT(3114, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28759])

    allocate(vertices(3127)%branchCT(0:0))
    call avCT(3127, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3715)%branchCT(0:0))
    call avCT(3715, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_28835, nGC_28836])

    allocate(vertices(2451)%branchCT(0:0))
    call avCT(2451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(3718)%branchCT(0:0))
    call avCT(3718, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(846)%branchCT(0:0))
    call avCT(846, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(3154)%branchCT(0:0))
    call avCT(3154, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3911)%branchCT(0:0))
    call avCT(3911, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_29457])

    allocate(vertices(1473)%branchCT(0:1))
    call avCT(1473, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_28957])

    call avCT(1473, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_28956])

    allocate(vertices(3750)%branchCT(0:0))
    call avCT(3750, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3724)%branchCT(0:0))
    call avCT(3724, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3912)%branchCT(0:1))
    call avCT(3912, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_32367, nGC_32361,      &
    nGC_32369, nGC_32369])

    call avCT(3912, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_32368, nGC_32362,      &
    nGC_32370, nGC_32370])

    allocate(vertices(1192)%branchCT(0:0))
    call avCT(1192, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3729)%branchCT(0:1))
    call avCT(3729, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_29055, nGC_29055])

    call avCT(3729, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_29056, nGC_29056])

    allocate(vertices(1811)%branchCT(0:0))
    call avCT(1811, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3733)%branchCT(0:0))
    call avCT(3733, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2713)%branchCT(0:0))
    call avCT(2713, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3737)%branchCT(0:0))
    call avCT(3737, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2037)%branchCT(0:0))
    call avCT(2037, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_30069])

    allocate(vertices(3094)%branchCT(0:0))
    call avCT(3094, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3740)%branchCT(0:0))
    call avCT(3740, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29287])

    allocate(vertices(3741)%branchCT(0:0))
    call avCT(3741, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3742)%branchCT(0:0))
    call avCT(3742, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(3743)%branchCT(0:0))
    call avCT(3743, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3744)%branchCT(0:0))
    call avCT(3744, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_29030])

    allocate(vertices(3328)%branchCT(0:0))
    call avCT(3328, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28941])

    allocate(vertices(3097)%branchCT(0:0))
    call avCT(3097, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24435])

    allocate(vertices(3098)%branchCT(0:0))
    call avCT(3098, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(1448)%branchCT(0:0))
    call avCT(1448, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_29530])

    allocate(vertices(3754)%branchCT(0:0))
    call avCT(3754, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29121])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29887, nGC_29886,        &
    nGC_29886])

    allocate(vertices(3756)%branchCT(0:0))
    call avCT(3756, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29792])

    allocate(vertices(3757)%branchCT(0:0))
    call avCT(3757, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3758)%branchCT(0:0))
    call avCT(3758, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_28998])

    allocate(vertices(1970)%branchCT(0:0))
    call avCT(1970, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_29367, nGC_29367])

    allocate(vertices(3759)%branchCT(0:0))
    call avCT(3759, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3761)%branchCT(0:0))
    call avCT(3761, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(2899)%branchCT(0:1))
    call avCT(2899, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_29151])

    call avCT(2899, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_29150])

    allocate(vertices(3458)%branchCT(0:0))
    call avCT(3458, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3765)%branchCT(0:0))
    call avCT(3765, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3469)%branchCT(0:0))
    call avCT(3469, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3769)%branchCT(0:0))
    call avCT(3769, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3770)%branchCT(0:0))
    call avCT(3770, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24432])

    allocate(vertices(3102)%branchCT(0:0))
    call avCT(3102, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(3772)%branchCT(0:0))
    call avCT(3772, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3773)%branchCT(0:0))
    call avCT(3773, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(3775)%branchCT(0:0))
    call avCT(3775, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_29225])

    allocate(vertices(1190)%branchCT(0:0))
    call avCT(1190, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29469])

    allocate(vertices(3778)%branchCT(0:0))
    call avCT(3778, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3779)%branchCT(0:1))
    call avCT(3779, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_29056, nGC_29056])

    call avCT(3779, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_29055, nGC_29055])

    allocate(vertices(1272)%branchCT(0:0))
    call avCT(1272, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1191)%branchCT(0:0))
    call avCT(1191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(1284)%branchCT(0:0))
    call avCT(1284, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2442)%branchCT(0:0))
    call avCT(2442, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3001)%branchCT(0:0))
    call avCT(3001, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1428)%branchCT(0:0))
    call avCT(1428, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29671])

    allocate(vertices(3790)%branchCT(0:0))
    call avCT(3790, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3791)%branchCT(0:0))
    call avCT(3791, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3674)%branchCT(0:0))
    call avCT(3674, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3660)%branchCT(0:0))
    call avCT(3660, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3794)%branchCT(0:0))
    call avCT(3794, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3689)%branchCT(0:0))
    call avCT(3689, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3796)%branchCT(0:0))
    call avCT(3796, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_29771, nGC_29772])

    allocate(vertices(3797)%branchCT(0:1))
    call avCT(3797, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_29613])

    call avCT(3797, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_29612])

    allocate(vertices(3798)%branchCT(0:0))
    call avCT(3798, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1223)%branchCT(0:0))
    call avCT(1223, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29145])

    allocate(vertices(3802)%branchCT(0:0))
    call avCT(3802, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3803)%branchCT(0:0))
    call avCT(3803, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_30065])

    allocate(vertices(566)%branchCT(0:0))
    call avCT(566, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28889,        &
    nGC_28890])

    allocate(vertices(3805)%branchCT(0:0))
    call avCT(3805, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3806)%branchCT(0:0))
    call avCT(3806, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1754)%branchCT(0:0))
    call avCT(1754, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3808)%branchCT(0:0))
    call avCT(3808, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3811)%branchCT(0:0))
    call avCT(3811, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3812)%branchCT(0:0))
    call avCT(3812, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3813)%branchCT(0:0))
    call avCT(3813, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(859)%branchR2(0:0))
    call avR2(859, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24406, nGC_24406,        &
    nGC_24405])

    allocate(vertices(1993)%branchR2(0:0))
    call avR2(1993, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_24300])

    allocate(vertices(1607)%branchR2(0:0))
    call avR2(1607, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24400])

    allocate(vertices(1093)%branchR2(0:1))
    call avR2(1093, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_24297])

    call avR2(1093, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_24298])

    allocate(vertices(1289)%branchR2(0:0))
    call avR2(1289, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24389])

    allocate(vertices(3913)%branchR2(0:1))
    call avR2(3913, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_24393])

    call avR2(3913, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_24392])

    allocate(vertices(3892)%branchR2(0:0))
    call avR2(3892, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24375])

    allocate(vertices(3247)%branchR2(0:0))
    call avR2(3247, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24400])

    allocate(vertices(910)%branchR2(0:3))
    call avR2(910, 0, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_24335, nGC_24333])

    call avR2(910, 1, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_24334, nGC_24334])

    call avR2(910, 2, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_24332, nGC_24330])

    call avR2(910, 3, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_24331, nGC_24331])

    allocate(vertices(3914)%branchR2(0:1))
    call avR2(3914, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_24408])

    call avR2(3914, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_24407])

    allocate(vertices(1740)%branchR2(0:3))
    call avR2(1740, 0, 30, 1, 0, FaVF1, 0, [1, 2], [nGC_24335, nGC_24333])

    call avR2(1740, 1, 30, 1, 0, FaVF1, 0, [3, 0], [nGC_24334, nGC_24334])

    call avR2(1740, 2, 31, 1, 0, FaVF1, 0, [1, 2], [nGC_24332, nGC_24330])

    call avR2(1740, 3, 31, 1, 0, FaVF1, 0, [3, 0], [nGC_24331, nGC_24331])

    allocate(vertices(2320)%branchR2(0:0))
    call avR2(2320, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_24295])

    allocate(vertices(3503)%branchR2(0:1))
    call avR2(3503, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24213, nGC_24211])

    call avR2(3503, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24228, nGC_24227])

    allocate(vertices(3616)%branchR2(0:0))
    call avR2(3616, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_24224])

    allocate(vertices(320)%branchR2(0:1))
    call avR2(320, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_24262, nGC_24264])

    call avR2(320, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_24263, nGC_24265])

    allocate(vertices(3491)%branchR2(0:0))
    call avR2(3491, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24370])

    allocate(vertices(3175)%branchR2(0:1))
    call avR2(3175, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_24312, nGC_24310])

    call avR2(3175, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_24325, nGC_24324])

    allocate(vertices(1473)%branchR2(0:1))
    call avR2(1473, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_24296])

    call avR2(1473, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_24297])

    allocate(vertices(2358)%branchR2(0:0))
    call avR2(2358, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24369])

    allocate(vertices(152)%branchR2(0:1))
    call avR2(152, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_24204, nGC_24203])

    call avR2(152, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_24180, nGC_24180])

    allocate(vertices(2403)%branchR2(0:1))
    call avR2(2403, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_24284, nGC_24285])

    call avR2(2403, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_24286, nGC_24286])

    allocate(vertices(1147)%branchR2(0:0))
    call avR2(1147, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24389])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_24317, nGC_24318])

    allocate(vertices(3551)%branchR2(0:0))
    call avR2(3551, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24366])

    allocate(vertices(3147)%branchR2(0:0))
    call avR2(3147, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24383])

    allocate(vertices(3629)%branchR2(0:0))
    call avR2(3629, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_24303])

    allocate(vertices(364)%branchR2(0:1))
    call avR2(364, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_24268, nGC_24269])

    call avR2(364, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_24270, nGC_24270])

    allocate(vertices(3915)%branchR2(0:0))
    call avR2(3915, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24372, nGC_24372,       &
    nGC_24372])

    allocate(vertices(1796)%branchR2(0:0))
    call avR2(1796, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24405, nGC_24406,       &
    nGC_24406])

    allocate(vertices(2759)%branchR2(0:0))
    call avR2(2759, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_24245, nGC_24244])

    allocate(vertices(3916)%branchR2(0:1))
    call avR2(3916, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_24280])

    call avR2(3916, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_24281])

    allocate(vertices(2708)%branchR2(0:1))
    call avR2(2708, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_24221, nGC_24219])

    call avR2(2708, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_24233, nGC_24232])

    allocate(vertices(3584)%branchR2(0:0))
    call avR2(3584, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24387])

    allocate(vertices(514)%branchR2(0:3))
    call avR2(514, 0, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_24348, nGC_24347])

    call avR2(514, 1, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_24349, nGC_24349])

    call avR2(514, 2, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_24345, nGC_24344])

    call avR2(514, 3, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_24346, nGC_24346])

    allocate(vertices(2033)%branchR2(0:1))
    call avR2(2033, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24262, nGC_24264])

    call avR2(2033, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24263, nGC_24265])

    allocate(vertices(3638)%branchR2(0:0))
    call avR2(3638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24382])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_24303])

    allocate(vertices(3118)%branchR2(0:0))
    call avR2(3118, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24386])

    allocate(vertices(3259)%branchR2(0:0))
    call avR2(3259, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24369])

    allocate(vertices(2533)%branchR2(0:1))
    call avR2(2533, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_24297])

    call avR2(2533, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_24301])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_24185])

    allocate(vertices(3145)%branchR2(0:0))
    call avR2(3145, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_24229])

    allocate(vertices(3252)%branchR2(0:0))
    call avR2(3252, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_24320])

    allocate(vertices(1534)%branchR2(0:0))
    call avR2(1534, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24391])

    allocate(vertices(543)%branchR2(0:0))
    call avR2(543, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_24223])

    allocate(vertices(3917)%branchR2(0:0))
    call avR2(3917, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24365])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_24245, nGC_24244])

    allocate(vertices(2093)%branchR2(0:1))
    call avR2(2093, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_24256, nGC_24258])

    call avR2(2093, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_24257, nGC_24259])

    allocate(vertices(3742)%branchR2(0:0))
    call avR2(3742, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24395])

    allocate(vertices(3840)%branchR2(0:0))
    call avR2(3840, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24379])

    allocate(vertices(2699)%branchR2(0:1))
    call avR2(2699, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_24296])

    call avR2(2699, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_24297])

    allocate(vertices(3918)%branchR2(0:0))
    call avR2(3918, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24364])

    allocate(vertices(1751)%branchR2(0:1))
    call avR2(1751, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_24272, nGC_24273])

    call avR2(1751, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_24274, nGC_24274])

    allocate(vertices(1888)%branchR2(0:1))
    call avR2(1888, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_24204, nGC_24203])

    call avR2(1888, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_24180, nGC_24180])

    allocate(vertices(2325)%branchR2(0:0))
    call avR2(2325, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_24224])

    allocate(vertices(3630)%branchR2(0:1))
    call avR2(3630, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24272, nGC_24273])

    call avR2(3630, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24274, nGC_24274])

    allocate(vertices(2718)%branchR2(0:1))
    call avR2(2718, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_24307, nGC_24305])

    call avR2(2718, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_24308, nGC_24306])

    allocate(vertices(3919)%branchR2(0:1))
    call avR2(3919, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_24385, nGC_24385,     &
    nGC_24385])

    call avR2(3919, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_24384, nGC_24384,     &
    nGC_24384])

    allocate(vertices(3575)%branchR2(0:0))
    call avR2(3575, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24390])

    allocate(vertices(3479)%branchR2(0:0))
    call avR2(3479, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24390])

    allocate(vertices(3859)%branchR2(0:0))
    call avR2(3859, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_24138, nGC_24137])

    allocate(vertices(3324)%branchR2(0:3))
    call avR2(3324, 0, 26, 1, 0, VFaF0, 0, [1, 2], [nGC_24353, nGC_24352])

    call avR2(3324, 1, 26, 1, 0, VFaF0, 0, [3, 0], [nGC_24349, nGC_24349])

    call avR2(3324, 2, 27, 1, 0, VFaF0, 0, [1, 2], [nGC_24351, nGC_24350])

    call avR2(3324, 3, 27, 1, 0, VFaF0, 0, [3, 0], [nGC_24346, nGC_24346])

    allocate(vertices(3856)%branchR2(0:0))
    call avR2(3856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24375])

    allocate(vertices(2707)%branchR2(0:0))
    call avR2(2707, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24362, nGC_24361,       &
    nGC_24363])

    allocate(vertices(3080)%branchR2(0:0))
    call avR2(3080, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24391])

    allocate(vertices(3868)%branchR2(0:0))
    call avR2(3868, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24379])

    allocate(vertices(3688)%branchR2(0:0))
    call avR2(3688, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24412, nGC_24412,       &
    nGC_24411])

    allocate(vertices(3920)%branchR2(0:1))
    call avR2(3920, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_24402, nGC_24402,     &
    nGC_24402])

    call avR2(3920, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_24401, nGC_24401,     &
    nGC_24401])

    allocate(vertices(3358)%branchR2(0:0))
    call avR2(3358, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24412, nGC_24412,       &
    nGC_24411])

    allocate(vertices(2081)%branchR2(0:1))
    call avR2(2081, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_24262, nGC_24264])

    call avR2(2081, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_24263, nGC_24265])

    allocate(vertices(2899)%branchR2(0:1))
    call avR2(2899, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_24297])

    call avR2(2899, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_24302])

    allocate(vertices(2701)%branchR2(0:0))
    call avR2(2701, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24360])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_36296])

    allocate(vertices(2601)%branchR2(0:1))
    call avR2(2601, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_24274, nGC_24274])

    call avR2(2601, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_24272, nGC_24273])

    allocate(vertices(1122)%branchR2(0:0))
    call avR2(1122, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_24326, nGC_24327])

    allocate(vertices(413)%branchR2(0:1))
    call avR2(413, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_24307, nGC_24305])

    call avR2(413, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_24308, nGC_24306])

    allocate(vertices(2755)%branchR2(0:3))
    call avR2(2755, 0, 30, 1, 0, FaVF1, 0, [1, 2], [nGC_24353, nGC_24352])

    call avR2(2755, 1, 30, 1, 0, FaVF1, 0, [3, 0], [nGC_24349, nGC_24349])

    call avR2(2755, 2, 31, 1, 0, FaVF1, 0, [1, 2], [nGC_24351, nGC_24350])

    call avR2(2755, 3, 31, 1, 0, FaVF1, 0, [3, 0], [nGC_24346, nGC_24346])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24387])

    allocate(vertices(3620)%branchR2(0:1))
    call avR2(3620, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_24307, nGC_24305])

    call avR2(3620, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_24308, nGC_24306])

    allocate(vertices(1979)%branchR2(0:0))
    call avR2(1979, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24367])

    allocate(vertices(1351)%branchR2(0:0))
    call avR2(1351, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24383])

    allocate(vertices(3530)%branchR2(0:1))
    call avR2(3530, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24286, nGC_24286])

    call avR2(3530, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24284, nGC_24285])

    allocate(vertices(1326)%branchR2(0:0))
    call avR2(1326, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24370])

    allocate(vertices(2773)%branchR2(0:1))
    call avR2(2773, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_24308, nGC_24306])

    call avR2(2773, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_24323, nGC_24322])

    allocate(vertices(2219)%branchR2(0:0))
    call avR2(2219, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_24207])

    allocate(vertices(2895)%branchR2(0:1))
    call avR2(2895, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_24183, nGC_24183])

    call avR2(2895, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_24182, nGC_24181])

    allocate(vertices(2394)%branchR2(0:1))
    call avR2(2394, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24216, nGC_24214])

    call avR2(2394, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24217, nGC_24215])

    allocate(vertices(3885)%branchR2(0:1))
    call avR2(3885, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_24133, nGC_24132,       &
    nGC_24156, nGC_24156])

    call avR2(3885, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_24131, nGC_24131,       &
    nGC_24157, nGC_24157])

    allocate(vertices(3902)%branchR2(0:0))
    call avR2(3902, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_24194])

    allocate(vertices(3921)%branchR2(0:1))
    call avR2(3921, 0, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_24418, nGC_24418,     &
    nGC_24418])

    call avR2(3921, 1, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_24417, nGC_24417,     &
    nGC_24417])

    allocate(vertices(2630)%branchR2(0:0))
    call avR2(2630, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24395])

    allocate(vertices(1030)%branchR2(0:0))
    call avR2(1030, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_24317, nGC_24318])

    allocate(vertices(1198)%branchR2(0:0))
    call avR2(1198, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_24209])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24389])

    allocate(vertices(1794)%branchR2(0:1))
    call avR2(1794, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_24297])

    call avR2(1794, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_24301])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24389])

    allocate(vertices(73)%branchR2(0:0))
    call avR2(73, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24360])

    allocate(vertices(3922)%branchR2(0:1))
    call avR2(3922, 0, 129, 1, 0, VSV0, 0, [2, 1], [nGC_24280])

    call avR2(3922, 1, 130, 1, 0, VSV0, 0, [2, 1], [nGC_24281])

    allocate(vertices(2111)%branchR2(0:1))
    call avR2(2111, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_24236, nGC_24238])

    call avR2(2111, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_24237, nGC_24239])

    allocate(vertices(3588)%branchR2(0:0))
    call avR2(3588, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24383])

    allocate(vertices(420)%branchR2(0:0))
    call avR2(420, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_36360])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_24222])

    allocate(vertices(2685)%branchR2(0:0))
    call avR2(2685, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24387])

    allocate(vertices(1862)%branchR2(0:0))
    call avR2(1862, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_24291, nGC_24290])

    allocate(vertices(3677)%branchR2(0:1))
    call avR2(3677, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_24296])

    call avR2(3677, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_24297])

    allocate(vertices(1885)%branchR2(0:1))
    call avR2(1885, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_24297])

    call avR2(1885, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_24301])

    allocate(vertices(1816)%branchR2(0:0))
    call avR2(1816, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_24251, nGC_24250])

    allocate(vertices(3923)%branchR2(0:1))
    call avR2(3923, 0, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_24392])

    call avR2(3923, 1, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_24393])

    allocate(vertices(3143)%branchR2(0:0))
    call avR2(3143, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24362, nGC_24363,       &
    nGC_24361])

    allocate(vertices(2343)%branchR2(0:3))
    call avR2(2343, 0, 24, 1, 0, VFFa1, 0, [1, 2], [nGC_24357, nGC_24356])

    call avR2(2343, 1, 24, 1, 0, VFFa1, 0, [3, 0], [nGC_24349, nGC_24349])

    call avR2(2343, 2, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_24355, nGC_24354])

    call avR2(2343, 3, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_24346, nGC_24346])

    allocate(vertices(2103)%branchR2(0:1))
    call avR2(2103, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_24275, nGC_24276])

    call avR2(2103, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_24277, nGC_24277])

    allocate(vertices(3059)%branchR2(0:1))
    call avR2(3059, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_24297])

    call avR2(3059, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_24301])

    allocate(vertices(3924)%branchR2(0:1))
    call avR2(3924, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_24404, nGC_24404,     &
    nGC_24404])

    call avR2(3924, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_24403, nGC_24403,     &
    nGC_24403])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24390])

    allocate(vertices(1825)%branchR2(0:0))
    call avR2(1825, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24370])

    allocate(vertices(975)%branchR2(0:1))
    call avR2(975, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24262, nGC_24264])

    call avR2(975, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24263, nGC_24265])

    allocate(vertices(1048)%branchR2(0:1))
    call avR2(1048, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_24297])

    call avR2(1048, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_24301])

    allocate(vertices(1840)%branchR2(0:0))
    call avR2(1840, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24368])

    allocate(vertices(1417)%branchR2(0:0))
    call avR2(1417, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_24266])

    allocate(vertices(3440)%branchR2(0:1))
    call avR2(3440, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24256, nGC_24258])

    call avR2(3440, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24257, nGC_24259])

    allocate(vertices(3925)%branchR2(0:1))
    call avR2(3925, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_24418, nGC_24418,     &
    nGC_24418])

    call avR2(3925, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_24417, nGC_24417,     &
    nGC_24417])

    allocate(vertices(3495)%branchR2(0:0))
    call avR2(3495, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_24207])

    allocate(vertices(3012)%branchR2(0:0))
    call avR2(3012, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24389])

    allocate(vertices(2500)%branchR2(0:1))
    call avR2(2500, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_24308, nGC_24306])

    call avR2(2500, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_24323, nGC_24322])

    allocate(vertices(3926)%branchR2(0:0))
    call avR2(3926, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24388, nGC_24388,       &
    nGC_24388])

    allocate(vertices(2805)%branchR2(0:0))
    call avR2(2805, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_24209])

    allocate(vertices(3034)%branchR2(0:0))
    call avR2(3034, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24387])

    allocate(vertices(667)%branchR2(0:0))
    call avR2(667, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_24326, nGC_24327])

    allocate(vertices(2935)%branchR2(0:1))
    call avR2(2935, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24210, nGC_24212])

    call avR2(2935, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24211, nGC_24213])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_24229])

    allocate(vertices(2653)%branchR2(0:1))
    call avR2(2653, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_24296])

    call avR2(2653, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_24297])

    allocate(vertices(3904)%branchR2(0:1))
    call avR2(3904, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_24133, nGC_24132,      &
    nGC_24170, nGC_24170])

    call avR2(3904, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_24131, nGC_24131,      &
    nGC_24169, nGC_24169])

    allocate(vertices(424)%branchR2(0:1))
    call avR2(424, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_24240, nGC_24242])

    call avR2(424, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_24241, nGC_24243])

    allocate(vertices(1640)%branchR2(0:0))
    call avR2(1640, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24360])

    allocate(vertices(214)%branchR2(0:0))
    call avR2(214, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_24222])

    allocate(vertices(2411)%branchR2(0:0))
    call avR2(2411, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24368])

    allocate(vertices(2352)%branchR2(0:1))
    call avR2(2352, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_24182, nGC_24181])

    call avR2(2352, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_24183, nGC_24183])

    allocate(vertices(3834)%branchR2(0:0))
    call avR2(3834, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_24195])

    allocate(vertices(2048)%branchR2(0:0))
    call avR2(2048, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_24224])

    allocate(vertices(2848)%branchR2(0:0))
    call avR2(2848, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24381])

    allocate(vertices(3821)%branchR2(0:0))
    call avR2(3821, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24375])

    allocate(vertices(3927)%branchR2(0:1))
    call avR2(3927, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_24418, nGC_24418,     &
    nGC_24418])

    call avR2(3927, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_24417, nGC_24417,     &
    nGC_24417])

    allocate(vertices(1331)%branchR2(0:0))
    call avR2(1331, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_24267])

    allocate(vertices(492)%branchR2(0:3))
    call avR2(492, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_24343, nGC_24342])

    call avR2(492, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_24334, nGC_24334])

    call avR2(492, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_24341, nGC_24340])

    call avR2(492, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_24331, nGC_24331])

    allocate(vertices(3170)%branchR2(0:0))
    call avR2(3170, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24367])

    allocate(vertices(3817)%branchR2(0:0))
    call avR2(3817, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_24195])

    allocate(vertices(3102)%branchR2(0:0))
    call avR2(3102, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24376, nGC_24377,       &
    nGC_24378])

    allocate(vertices(3820)%branchR2(0:1))
    call avR2(3820, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_24133, nGC_24132,      &
    nGC_24156, nGC_24156])

    call avR2(3820, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_24131, nGC_24131,      &
    nGC_24157, nGC_24157])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_24299])

    allocate(vertices(3345)%branchR2(0:0))
    call avR2(3345, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_24201, nGC_24202])

    allocate(vertices(3928)%branchR2(0:1))
    call avR2(3928, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_24402, nGC_24402,     &
    nGC_24402])

    call avR2(3928, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_24401, nGC_24401,     &
    nGC_24401])

    allocate(vertices(1341)%branchR2(0:1))
    call avR2(1341, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_24274, nGC_24274])

    call avR2(1341, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_24272, nGC_24273])

    allocate(vertices(483)%branchR2(0:0))
    call avR2(483, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24397])

    allocate(vertices(3249)%branchR2(0:0))
    call avR2(3249, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24386])

    allocate(vertices(3929)%branchR2(0:1))
    call avR2(3929, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_24410])

    call avR2(3929, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_24409])

    allocate(vertices(2007)%branchR2(0:1))
    call avR2(2007, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_24297])

    call avR2(2007, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_24301])

    allocate(vertices(1672)%branchR2(0:1))
    call avR2(1672, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_24200, nGC_24199])

    call avR2(1672, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_24180, nGC_24180])

    allocate(vertices(3851)%branchR2(0:0))
    call avR2(3851, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_24168])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_24294, nGC_24294])

    call avR2(1210, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_24292, nGC_24293])

    allocate(vertices(3901)%branchR2(0:0))
    call avR2(3901, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_24194])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24367])

    allocate(vertices(3930)%branchR2(0:1))
    call avR2(3930, 0, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_24403, nGC_24403,     &
    nGC_24403])

    call avR2(3930, 1, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_24404, nGC_24404,     &
    nGC_24404])

    allocate(vertices(3931)%branchR2(0:0))
    call avR2(3931, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_24388, nGC_24388,       &
    nGC_24388])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_24234])

    allocate(vertices(341)%branchR2(0:0))
    call avR2(341, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_36489])

    allocate(vertices(1458)%branchR2(0:3))
    call avR2(1458, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_24353, nGC_24352])

    call avR2(1458, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_24349, nGC_24349])

    call avR2(1458, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_24351, nGC_24350])

    call avR2(1458, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_24346, nGC_24346])

    allocate(vertices(1959)%branchR2(0:0))
    call avR2(1959, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24387])

    allocate(vertices(2564)%branchR2(0:0))
    call avR2(2564, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_24390])

    allocate(vertices(1726)%branchR2(0:0))
    call avR2(1726, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_24366])

    allocate(vertices(3828)%branchR2(0:0))
    call avR2(3828, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_24379])

    allocate(vertices(713)%branchR2(0:1))
    call avR2(713, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_24308, nGC_24306])

    call avR2(713, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_24314, nGC_24313])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_24383])

    allocate(vertices(1771)%branchR2(0:1))
    call avR2(1771, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_24297])

    call avR2(1771, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_24302])

    allocate(vertices(1190)%branchR2(0:0))
    call avR2(1190, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_24320])

    allocate(vertices(3842)%branchR2(0:0))
    call avR2(3842, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_24379])

    allocate(vertices(3932)%branchR2(0:0))
    call avR2(3932, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_24364])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24396])

    allocate(vertices(2365)%branchR2(0:3))
    call avR2(2365, 0, 26, 1, 0, VFaF0, 0, [1, 2], [nGC_24357, nGC_24356])

    call avR2(2365, 1, 26, 1, 0, VFaF0, 0, [3, 0], [nGC_24349, nGC_24349])

    call avR2(2365, 2, 27, 1, 0, VFaF0, 0, [1, 2], [nGC_24355, nGC_24354])

    call avR2(2365, 3, 27, 1, 0, VFaF0, 0, [3, 0], [nGC_24346, nGC_24346])

  end subroutine fill_vertices_mdl8
end module vertices_info8
