!******************************************************************************!
!                                                                              !
!    currents_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info3
  implicit none
  contains
  subroutine fill_current_3(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_c, P_cAnti, P_A, 3658, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_ZQ, 3640, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghZ, 2884, check)
    call createCurrent(P_G0, P_ghZ, P_ghWmAnti, P_GMinus, 1697, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 4009, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_H, P_GMinus, 2612, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_A, P_ghA, 3753, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 2808, check)
    call createCurrent(P_AQ, P_GMinus, P_GPlus, P_AQ, 79, check)
    call createCurrent(P_GQ0, P_GMinus, P_Z, P_WQPlus, 3666, check)
    call createCurrent(P_g, P_g, P_A, P_A, 4004, check)
    call createCurrent(P_A, P_WPlus, P_ghZAnti, P_ghWm, 290, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_ghWp, 1854, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_A, P_WMinus, 148, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 1058, check)
  end subroutine fill_current_3
end module currents_info3
