!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  implicit none
  contains
  subroutine fill_vertices_mdl7()
    use class_vertices
    use class_couplings
    allocate(vertices(1541)%branchCT(0:0))
    call avCT(1541, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1544)%branchCT(0:0))
    call avCT(1544, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1457)%branchCT(0:0))
    call avCT(1457, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24435])

    allocate(vertices(1548)%branchCT(0:0))
    call avCT(1548, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3415)%branchCT(0:0))
    call avCT(3415, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_29659])

    allocate(vertices(1551)%branchCT(0:0))
    call avCT(1551, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1552)%branchCT(0:1))
    call avCT(1552, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30053, nGC_30052])

    call avCT(1552, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30055, nGC_30054])

    allocate(vertices(2098)%branchCT(0:0))
    call avCT(2098, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1557)%branchCT(0:0))
    call avCT(1557, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3847)%branchCT(0:0))
    call avCT(3847, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(3848)%branchCT(0:1))
    call avCT(3848, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_29940, nGC_29936,       &
    nGC_29942, nGC_29942])

    call avCT(3848, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_29941, nGC_29937,       &
    nGC_29943, nGC_29943])

    allocate(vertices(1560)%branchCT(0:0))
    call avCT(1560, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(933)%branchCT(0:0))
    call avCT(933, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2153)%branchCT(0:0))
    call avCT(2153, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(2164)%branchCT(0:0))
    call avCT(2164, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1566)%branchCT(0:0))
    call avCT(1566, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29121])

    allocate(vertices(1567)%branchCT(0:0))
    call avCT(1567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(2177)%branchCT(0:0))
    call avCT(2177, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28890,       &
    nGC_28889])

    allocate(vertices(2180)%branchCT(0:0))
    call avCT(2180, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_29658])

    allocate(vertices(2189)%branchCT(0:0))
    call avCT(2189, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1463)%branchCT(0:0))
    call avCT(1463, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2201)%branchCT(0:0))
    call avCT(2201, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1575)%branchCT(0:0))
    call avCT(1575, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3849)%branchCT(0:0))
    call avCT(3849, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_30592])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1581)%branchCT(0:0))
    call avCT(1581, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(1582)%branchCT(0:1))
    call avCT(1582, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_31226, nGC_31226])

    call avCT(1582, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_31228, nGC_31228])

    allocate(vertices(1589)%branchCT(0:0))
    call avCT(1589, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1590)%branchCT(0:0))
    call avCT(1590, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1591)%branchCT(0:0))
    call avCT(1591, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(2072)%branchCT(0:0))
    call avCT(2072, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1597)%branchCT(0:1))
    call avCT(1597, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_29198, nGC_29198])

    call avCT(1597, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_29197, nGC_29197])

    allocate(vertices(1600)%branchCT(0:0))
    call avCT(1600, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1605)%branchCT(0:0))
    call avCT(1605, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1607)%branchCT(0:0))
    call avCT(1607, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29858])

    allocate(vertices(1608)%branchCT(0:0))
    call avCT(1608, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3349)%branchCT(0:0))
    call avCT(3349, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_29012])

    allocate(vertices(1611)%branchCT(0:0))
    call avCT(1611, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1613)%branchCT(0:0))
    call avCT(1613, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2398)%branchCT(0:0))
    call avCT(2398, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1615)%branchCT(0:0))
    call avCT(1615, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_30065])

    allocate(vertices(1619)%branchCT(0:0))
    call avCT(1619, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_31985])

    allocate(vertices(3429)%branchCT(0:0))
    call avCT(3429, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(3310)%branchCT(0:0))
    call avCT(3310, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3440)%branchCT(0:1))
    call avCT(3440, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_31027, nGC_31028])

    call avCT(3440, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_31029, nGC_31030])

    allocate(vertices(1623)%branchCT(0:0))
    call avCT(1623, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29179])

    allocate(vertices(1627)%branchCT(0:0))
    call avCT(1627, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1628)%branchCT(0:0))
    call avCT(1628, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1630)%branchCT(0:0))
    call avCT(1630, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1631)%branchCT(0:0))
    call avCT(1631, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_30126])

    allocate(vertices(2586)%branchCT(0:0))
    call avCT(2586, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1635)%branchCT(0:0))
    call avCT(1635, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1638)%branchCT(0:0))
    call avCT(1638, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3679)%branchCT(0:0))
    call avCT(3679, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1640)%branchCT(0:0))
    call avCT(1640, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28933])

    allocate(vertices(1476)%branchCT(0:0))
    call avCT(1476, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1642)%branchCT(0:0))
    call avCT(1642, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1643)%branchCT(0:0))
    call avCT(1643, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1648)%branchCT(0:0))
    call avCT(1648, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2113)%branchCT(0:0))
    call avCT(2113, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1655)%branchCT(0:0))
    call avCT(1655, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(1659)%branchCT(0:0))
    call avCT(1659, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2692)%branchCT(0:0))
    call avCT(2692, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1661)%branchCT(0:0))
    call avCT(1661, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3850)%branchCT(0:0))
    call avCT(3850, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_29457])

    allocate(vertices(2715)%branchCT(0:0))
    call avCT(2715, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28933])

    allocate(vertices(1666)%branchCT(0:0))
    call avCT(1666, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1668)%branchCT(0:0))
    call avCT(1668, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_30106, nGC_30107])

    allocate(vertices(1669)%branchCT(0:0))
    call avCT(1669, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24432])

    allocate(vertices(1670)%branchCT(0:0))
    call avCT(1670, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1671)%branchCT(0:0))
    call avCT(1671, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1672)%branchCT(0:1))
    call avCT(1672, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_29447, nGC_29448])

    call avCT(1672, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_29440, nGC_29443])

    allocate(vertices(1673)%branchCT(0:0))
    call avCT(1673, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1674)%branchCT(0:0))
    call avCT(1674, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(1675)%branchCT(0:0))
    call avCT(1675, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2770)%branchCT(0:0))
    call avCT(2770, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1677)%branchCT(0:1))
    call avCT(1677, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_28921, nGC_28920])

    call avCT(1677, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_28923, nGC_28922])

    allocate(vertices(1679)%branchCT(0:0))
    call avCT(1679, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1680)%branchCT(0:0))
    call avCT(1680, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1681)%branchCT(0:1))
    call avCT(1681, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30053, nGC_30052])

    call avCT(1681, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30055, nGC_30054])

    allocate(vertices(1682)%branchCT(0:0))
    call avCT(1682, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_29729])

    allocate(vertices(1684)%branchCT(0:0))
    call avCT(1684, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28763])

    allocate(vertices(3379)%branchCT(0:0))
    call avCT(3379, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1688)%branchCT(0:0))
    call avCT(1688, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1689)%branchCT(0:0))
    call avCT(1689, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1690)%branchCT(0:0))
    call avCT(1690, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1691)%branchCT(0:0))
    call avCT(1691, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(2464)%branchCT(0:0))
    call avCT(2464, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3145)%branchCT(0:0))
    call avCT(3145, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(1694)%branchCT(0:0))
    call avCT(1694, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(3529)%branchCT(0:0))
    call avCT(3529, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2911)%branchCT(0:0))
    call avCT(2911, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(1698)%branchCT(0:0))
    call avCT(1698, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2337)%branchCT(0:0))
    call avCT(2337, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1701)%branchCT(0:1))
    call avCT(1701, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_30269, nGC_30270])

    call avCT(1701, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_30259, nGC_30262])

    allocate(vertices(2945)%branchCT(0:0))
    call avCT(2945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(3851)%branchCT(0:0))
    call avCT(3851, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_32143])

    allocate(vertices(2955)%branchCT(0:0))
    call avCT(2955, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3058)%branchCT(0:0))
    call avCT(3058, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29858])

    allocate(vertices(2978)%branchCT(0:0))
    call avCT(2978, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3046)%branchCT(0:1))
    call avCT(3046, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_30714, nGC_30715])

    call avCT(3046, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_30708, nGC_30705])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24432])

    allocate(vertices(1713)%branchCT(0:0))
    call avCT(1713, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(1716)%branchCT(0:0))
    call avCT(1716, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2429)%branchCT(0:0))
    call avCT(2429, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29030])

    allocate(vertices(1556)%branchCT(0:0))
    call avCT(1556, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1720)%branchCT(0:0))
    call avCT(1720, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1722)%branchCT(0:0))
    call avCT(1722, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1723)%branchCT(0:1))
    call avCT(1723, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_29919, nGC_29920])

    call avCT(1723, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_29916, nGC_29912])

    allocate(vertices(1993)%branchCT(0:0))
    call avCT(1993, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_28766])

    allocate(vertices(1725)%branchCT(0:0))
    call avCT(1725, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1726)%branchCT(0:0))
    call avCT(1726, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1728)%branchCT(0:0))
    call avCT(1728, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1729)%branchCT(0:0))
    call avCT(1729, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1730)%branchCT(0:0))
    call avCT(1730, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1731)%branchCT(0:0))
    call avCT(1731, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1732)%branchCT(0:0))
    call avCT(1732, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(1280)%branchCT(0:0))
    call avCT(1280, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_29410, nGC_29410])

    allocate(vertices(1734)%branchCT(0:0))
    call avCT(1734, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_30069])

    allocate(vertices(1323)%branchCT(0:0))
    call avCT(1323, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(1737)%branchCT(0:0))
    call avCT(1737, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1739)%branchCT(0:0))
    call avCT(1739, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1740)%branchCT(0:3))
    call avCT(1740, 0, 30, 4, 0, FaVF1, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(1740, 1, 30, 4, 0, FaVF1, 0, [3, 0], [nGC_29867, nGC_29868])

    call avCT(1740, 2, 31, 5, 0, FaVF1, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(1740, 3, 31, 5, 0, FaVF1, 0, [3, 0], [nGC_29867, nGC_29868])

    allocate(vertices(3227)%branchCT(0:0))
    call avCT(3227, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3238)%branchCT(0:0))
    call avCT(3238, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28933])

    allocate(vertices(1746)%branchCT(0:0))
    call avCT(1746, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(1747)%branchCT(0:0))
    call avCT(1747, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_29225])

    allocate(vertices(1748)%branchCT(0:0))
    call avCT(1748, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32234])

    allocate(vertices(2066)%branchCT(0:0))
    call avCT(2066, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1751)%branchCT(0:1))
    call avCT(1751, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30467, nGC_30467])

    call avCT(1751, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30469, nGC_30469])

    allocate(vertices(1753)%branchCT(0:0))
    call avCT(1753, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(3303)%branchCT(0:0))
    call avCT(3303, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1757)%branchCT(0:0))
    call avCT(1757, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1408)%branchCT(0:0))
    call avCT(1408, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1759)%branchCT(0:0))
    call avCT(1759, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_29846, nGC_29847])

    allocate(vertices(1761)%branchCT(0:0))
    call avCT(1761, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_29530])

    allocate(vertices(3385)%branchCT(0:0))
    call avCT(3385, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29145])

    allocate(vertices(882)%branchCT(0:0))
    call avCT(882, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3400)%branchCT(0:0))
    call avCT(3400, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1766)%branchCT(0:1))
    call avCT(1766, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_31560, nGC_31561])

    call avCT(1766, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_31562, nGC_31563])

    allocate(vertices(1767)%branchCT(0:1))
    call avCT(1767, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_30250, nGC_30251])

    call avCT(1767, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_30252, nGC_30253])

    allocate(vertices(3274)%branchCT(0:0))
    call avCT(3274, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3474)%branchCT(0:0))
    call avCT(3474, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_29155])

    allocate(vertices(1769)%branchCT(0:0))
    call avCT(1769, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2417)%branchCT(0:0))
    call avCT(2417, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1771)%branchCT(0:1))
    call avCT(1771, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_29151])

    call avCT(1771, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_29150])

    allocate(vertices(1772)%branchCT(0:0))
    call avCT(1772, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3511)%branchCT(0:0))
    call avCT(3511, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3492)%branchCT(0:0))
    call avCT(3492, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(779)%branchCT(0:0))
    call avCT(779, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(1779)%branchCT(0:0))
    call avCT(1779, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1780)%branchCT(0:0))
    call avCT(1780, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(1782)%branchCT(0:0))
    call avCT(1782, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24443])

    allocate(vertices(3530)%branchCT(0:1))
    call avCT(3530, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_32316, nGC_32316])

    call avCT(3530, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_32318, nGC_32318])

    allocate(vertices(26)%branchCT(0:0))
    call avCT(26, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1786)%branchCT(0:0))
    call avCT(1786, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29671])

    allocate(vertices(576)%branchCT(0:0))
    call avCT(576, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_31829])

    allocate(vertices(1794)%branchCT(0:1))
    call avCT(1794, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_28957])

    call avCT(1794, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_28956])

    allocate(vertices(1796)%branchCT(0:0))
    call avCT(1796, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28890, nGC_28889,       &
    nGC_28889])

    allocate(vertices(1797)%branchCT(0:0))
    call avCT(1797, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3852)%branchCT(0:0))
    call avCT(3852, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(3781)%branchCT(0:0))
    call avCT(3781, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1799)%branchCT(0:0))
    call avCT(1799, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(2651)%branchCT(0:0))
    call avCT(2651, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(986)%branchCT(0:0))
    call avCT(986, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29671])

    allocate(vertices(1523)%branchCT(0:0))
    call avCT(1523, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3853)%branchCT(0:1))
    call avCT(3853, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_32367, nGC_32361,       &
    nGC_32369, nGC_32369])

    call avCT(3853, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_32368, nGC_32362,       &
    nGC_32370, nGC_32370])

    allocate(vertices(1805)%branchCT(0:0))
    call avCT(1805, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_31985])

    allocate(vertices(2772)%branchCT(0:0))
    call avCT(2772, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24432])

    allocate(vertices(2842)%branchCT(0:0))
    call avCT(2842, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3710)%branchCT(0:0))
    call avCT(3710, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(3721)%branchCT(0:0))
    call avCT(3721, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1810)%branchCT(0:0))
    call avCT(1810, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3732)%branchCT(0:0))
    call avCT(3732, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28941])

    allocate(vertices(1503)%branchCT(0:0))
    call avCT(1503, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1818)%branchCT(0:0))
    call avCT(1818, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(3547)%branchCT(0:0))
    call avCT(3547, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1823)%branchCT(0:1))
    call avCT(1823, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_30301, nGC_30302])

    call avCT(1823, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_30298, nGC_30295])

    allocate(vertices(1825)%branchCT(0:0))
    call avCT(1825, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1826)%branchCT(0:0))
    call avCT(1826, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(1836)%branchCT(0:0))
    call avCT(1836, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1828)%branchCT(0:0))
    call avCT(1828, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1829)%branchCT(0:0))
    call avCT(1829, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1830)%branchCT(0:0))
    call avCT(1830, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1831)%branchCT(0:0))
    call avCT(1831, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(1832)%branchCT(0:0))
    call avCT(1832, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1833)%branchCT(0:0))
    call avCT(1833, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1837)%branchCT(0:0))
    call avCT(1837, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1840)%branchCT(0:0))
    call avCT(1840, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1841)%branchCT(0:1))
    call avCT(1841, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30251, nGC_30250])

    call avCT(1841, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30253, nGC_30252])

    allocate(vertices(1842)%branchCT(0:0))
    call avCT(1842, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1844)%branchCT(0:0))
    call avCT(1844, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1845)%branchCT(0:0))
    call avCT(1845, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1847)%branchCT(0:0))
    call avCT(1847, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_30389])

    allocate(vertices(1850)%branchCT(0:0))
    call avCT(1850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1853)%branchCT(0:0))
    call avCT(1853, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(1856)%branchCT(0:0))
    call avCT(1856, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1512)%branchCT(0:0))
    call avCT(1512, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1859)%branchCT(0:0))
    call avCT(1859, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(1860)%branchCT(0:1))
    call avCT(1860, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_29056, nGC_29056])

    call avCT(1860, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_29055, nGC_29055])

    allocate(vertices(1861)%branchCT(0:0))
    call avCT(1861, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1862)%branchCT(0:0))
    call avCT(1862, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_29367, nGC_29367])

    allocate(vertices(1863)%branchCT(0:0))
    call avCT(1863, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1867)%branchCT(0:0))
    call avCT(1867, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_28809])

    allocate(vertices(1870)%branchCT(0:0))
    call avCT(1870, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_29955])

    allocate(vertices(1872)%branchCT(0:0))
    call avCT(1872, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(898)%branchCT(0:0))
    call avCT(898, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1878)%branchCT(0:0))
    call avCT(1878, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_30389])

    allocate(vertices(344)%branchCT(0:0))
    call avCT(344, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1883)%branchCT(0:0))
    call avCT(1883, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3656)%branchCT(0:0))
    call avCT(3656, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_29586, nGC_29587])

    allocate(vertices(1885)%branchCT(0:1))
    call avCT(1885, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_28957])

    call avCT(1885, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_28956])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1888)%branchCT(0:1))
    call avCT(1888, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_29108, nGC_29109])

    call avCT(1888, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_29103, nGC_29098])

    allocate(vertices(1215)%branchCT(0:0))
    call avCT(1215, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_29706])

    allocate(vertices(1891)%branchCT(0:0))
    call avCT(1891, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1892)%branchCT(0:0))
    call avCT(1892, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_30178, nGC_30179])

    allocate(vertices(1896)%branchCT(0:0))
    call avCT(1896, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(1897)%branchCT(0:0))
    call avCT(1897, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(1898)%branchCT(0:0))
    call avCT(1898, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28863])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1900)%branchCT(0:0))
    call avCT(1900, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29729])

    allocate(vertices(2059)%branchCT(0:0))
    call avCT(2059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(1903)%branchCT(0:0))
    call avCT(1903, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_29179])

    allocate(vertices(1904)%branchCT(0:0))
    call avCT(1904, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28866])

    allocate(vertices(1521)%branchCT(0:0))
    call avCT(1521, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3405)%branchCT(0:0))
    call avCT(3405, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1909)%branchCT(0:0))
    call avCT(1909, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_29280])

    allocate(vertices(2160)%branchCT(0:0))
    call avCT(2160, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1912)%branchCT(0:0))
    call avCT(1912, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1522)%branchCT(0:0))
    call avCT(1522, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1917)%branchCT(0:0))
    call avCT(1917, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29179])

    allocate(vertices(1919)%branchCT(0:0))
    call avCT(1919, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2087)%branchCT(0:1))
    call avCT(2087, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_30924, nGC_30925])

    call avCT(2087, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_30920, nGC_30917])

    allocate(vertices(1295)%branchCT(0:0))
    call avCT(1295, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1924)%branchCT(0:0))
    call avCT(1924, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(3090)%branchCT(0:0))
    call avCT(3090, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(1578)%branchCT(0:0))
    call avCT(1578, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1929)%branchCT(0:0))
    call avCT(1929, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1931)%branchCT(0:0))
    call avCT(1931, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1935)%branchCT(0:0))
    call avCT(1935, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1936)%branchCT(0:1))
    call avCT(1936, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_28920, nGC_28921])

    call avCT(1936, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_28922, nGC_28923])

    allocate(vertices(1938)%branchCT(0:0))
    call avCT(1938, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1814)%branchCT(0:1))
    call avCT(1814, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_28975, nGC_28976])

    call avCT(1814, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_28969, nGC_28972])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1946)%branchCT(0:0))
    call avCT(1946, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1949)%branchCT(0:0))
    call avCT(1949, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1951)%branchCT(0:0))
    call avCT(1951, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1952)%branchCT(0:0))
    call avCT(1952, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1816)%branchCT(0:0))
    call avCT(1816, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_28870, nGC_28871])

    allocate(vertices(3652)%branchCT(0:0))
    call avCT(3652, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_29469])

    allocate(vertices(1961)%branchCT(0:0))
    call avCT(1961, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29179])

    allocate(vertices(3650)%branchCT(0:0))
    call avCT(3650, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1964)%branchCT(0:0))
    call avCT(1964, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_29714])

    allocate(vertices(1965)%branchCT(0:0))
    call avCT(1965, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1966)%branchCT(0:0))
    call avCT(1966, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(1967)%branchCT(0:0))
    call avCT(1967, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1969)%branchCT(0:0))
    call avCT(1969, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2347)%branchCT(0:0))
    call avCT(2347, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_29020])

    allocate(vertices(1971)%branchCT(0:0))
    call avCT(1971, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(1973)%branchCT(0:0))
    call avCT(1973, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28890, nGC_28889,       &
    nGC_28889])

    allocate(vertices(1975)%branchCT(0:0))
    call avCT(1975, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29287])

    allocate(vertices(1976)%branchCT(0:1))
    call avCT(1976, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_28782, nGC_28783])

    call avCT(1976, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_28780, nGC_28781])

    allocate(vertices(1979)%branchCT(0:0))
    call avCT(1979, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(1980)%branchCT(0:0))
    call avCT(1980, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(1984)%branchCT(0:0))
    call avCT(1984, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(1985)%branchCT(0:1))
    call avCT(1985, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30007, nGC_30008])

    call avCT(1985, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30009, nGC_30010])

    allocate(vertices(1987)%branchCT(0:0))
    call avCT(1987, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(881)%branchCT(0:0))
    call avCT(881, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2378)%branchCT(0:0))
    call avCT(2378, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(976)%branchCT(0:0))
    call avCT(976, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1991)%branchCT(0:0))
    call avCT(1991, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(1992)%branchCT(0:0))
    call avCT(1992, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_24451])

    allocate(vertices(2003)%branchCT(0:0))
    call avCT(2003, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1997)%branchCT(0:0))
    call avCT(1997, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1998)%branchCT(0:0))
    call avCT(1998, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_28854])

    allocate(vertices(2002)%branchCT(0:0))
    call avCT(2002, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2004)%branchCT(0:0))
    call avCT(2004, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2005)%branchCT(0:0))
    call avCT(2005, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_31829])

    allocate(vertices(2007)%branchCT(0:1))
    call avCT(2007, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_28957])

    call avCT(2007, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_28956])

    allocate(vertices(1028)%branchCT(0:0))
    call avCT(1028, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2498)%branchCT(0:1))
    call avCT(2498, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_28921, nGC_28920])

    call avCT(2498, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_28923, nGC_28922])

    allocate(vertices(2014)%branchCT(0:0))
    call avCT(2014, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2016)%branchCT(0:0))
    call avCT(2016, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2017)%branchCT(0:3))
    call avCT(2017, 0, 24, 4, 0, VFFa1, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(2017, 1, 24, 4, 0, VFFa1, 0, [3, 0], [nGC_30368, nGC_30369])

    call avCT(2017, 2, 25, 5, 0, VFFa1, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(2017, 3, 25, 5, 0, VFFa1, 0, [3, 0], [nGC_30368, nGC_30369])

    allocate(vertices(3029)%branchCT(0:0))
    call avCT(3029, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(1540)%branchCT(0:0))
    call avCT(1540, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2021)%branchCT(0:1))
    call avCT(2021, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_29505, nGC_29506])

    call avCT(2021, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_29507, nGC_29508])

    allocate(vertices(2022)%branchCT(0:0))
    call avCT(2022, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32750])

    allocate(vertices(2023)%branchCT(0:0))
    call avCT(2023, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2821)%branchCT(0:0))
    call avCT(2821, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2026)%branchCT(0:0))
    call avCT(2026, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(2027)%branchCT(0:1))
    call avCT(2027, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_28920, nGC_28921])

    call avCT(2027, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_28922, nGC_28923])

    allocate(vertices(2028)%branchCT(0:0))
    call avCT(2028, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2032)%branchCT(0:0))
    call avCT(2032, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2809)%branchCT(0:0))
    call avCT(2809, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_29012])

    allocate(vertices(3854)%branchCT(0:0))
    call avCT(3854, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_29457])

    allocate(vertices(2035)%branchCT(0:0))
    call avCT(2035, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2057)%branchCT(0:0))
    call avCT(2057, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(2039)%branchCT(0:0))
    call avCT(2039, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2040)%branchCT(0:0))
    call avCT(2040, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_29367, nGC_29367])

    allocate(vertices(2044)%branchCT(0:0))
    call avCT(2044, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2046)%branchCT(0:0))
    call avCT(2046, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_31803, nGC_31802,       &
    nGC_31802])

    allocate(vertices(2048)%branchCT(0:0))
    call avCT(2048, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_29490])

    allocate(vertices(3855)%branchCT(0:0))
    call avCT(3855, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_30035])

    allocate(vertices(2050)%branchCT(0:0))
    call avCT(2050, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_29020])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2054)%branchCT(0:0))
    call avCT(2054, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2055)%branchCT(0:0))
    call avCT(2055, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_29012])

    allocate(vertices(2436)%branchCT(0:0))
    call avCT(2436, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29287])

    allocate(vertices(2063)%branchCT(0:0))
    call avCT(2063, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1328)%branchCT(0:0))
    call avCT(1328, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_31829])

    allocate(vertices(2065)%branchCT(0:0))
    call avCT(2065, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2068)%branchCT(0:0))
    call avCT(2068, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1360)%branchCT(0:0))
    call avCT(1360, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2190)%branchCT(0:0))
    call avCT(2190, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2071)%branchCT(0:0))
    call avCT(2071, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_30065])

    allocate(vertices(2078)%branchCT(0:0))
    call avCT(2078, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29121])

    allocate(vertices(1421)%branchCT(0:0))
    call avCT(1421, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2081)%branchCT(0:1))
    call avCT(2081, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_28908, nGC_28909])

    call avCT(2081, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_28906, nGC_28907])

    allocate(vertices(2083)%branchCT(0:0))
    call avCT(2083, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2959)%branchCT(0:0))
    call avCT(2959, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2085)%branchCT(0:0))
    call avCT(2085, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2086)%branchCT(0:0))
    call avCT(2086, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2806)%branchCT(0:0))
    call avCT(2806, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2089)%branchCT(0:0))
    call avCT(2089, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(1520)%branchCT(0:0))
    call avCT(1520, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(1851)%branchCT(0:0))
    call avCT(1851, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2093)%branchCT(0:1))
    call avCT(2093, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_31027, nGC_31028])

    call avCT(2093, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_31029, nGC_31030])

    allocate(vertices(2096)%branchCT(0:0))
    call avCT(2096, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29324])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_30125])

    allocate(vertices(1580)%branchCT(0:0))
    call avCT(1580, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2103)%branchCT(0:1))
    call avCT(2103, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30582, nGC_30582])

    call avCT(2103, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30584, nGC_30584])

    allocate(vertices(2105)%branchCT(0:0))
    call avCT(2105, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1603)%branchCT(0:0))
    call avCT(1603, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2111)%branchCT(0:1))
    call avCT(2111, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_31562, nGC_31563])

    call avCT(2111, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_31560, nGC_31561])

    allocate(vertices(1649)%branchCT(0:0))
    call avCT(1649, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2114)%branchCT(0:0))
    call avCT(2114, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2881)%branchCT(0:0))
    call avCT(2881, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2116)%branchCT(0:1))
    call avCT(2116, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_30920, nGC_30917])

    call avCT(2116, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_30924, nGC_30925])

    allocate(vertices(2379)%branchCT(0:1))
    call avCT(2379, 0, 40, 2, 0, VUaU1, 0, [3, 0], [nGC_29033])

    call avCT(2379, 1, 41, 3, 0, VUaU1, 0, [3, 0], [nGC_29033])

    allocate(vertices(2825)%branchCT(0:0))
    call avCT(2825, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2119)%branchCT(0:0))
    call avCT(2119, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24435])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1719)%branchCT(0:0))
    call avCT(1719, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1490)%branchCT(0:0))
    call avCT(1490, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2128)%branchCT(0:0))
    call avCT(2128, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2129)%branchCT(0:1))
    call avCT(2129, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_31027, nGC_31028])

    call avCT(2129, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_31029, nGC_31030])

    allocate(vertices(3783)%branchCT(0:0))
    call avCT(3783, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2355)%branchCT(0:0))
    call avCT(2355, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2134)%branchCT(0:0))
    call avCT(2134, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(2137)%branchCT(0:0))
    call avCT(2137, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2138)%branchCT(0:0))
    call avCT(2138, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29324])

    allocate(vertices(2203)%branchCT(0:0))
    call avCT(2203, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_30106, nGC_30107])

    allocate(vertices(3856)%branchCT(0:0))
    call avCT(3856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2674)%branchCT(0:0))
    call avCT(2674, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2143)%branchCT(0:0))
    call avCT(2143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(1887)%branchCT(0:0))
    call avCT(1887, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(2148)%branchCT(0:0))
    call avCT(2148, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2487)%branchCT(0:0))
    call avCT(2487, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(2630)%branchCT(0:0))
    call avCT(2630, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(2151)%branchCT(0:3))
    call avCT(2151, 0, 11, 4, 0, FFaV0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2151, 1, 11, 4, 0, FFaV0, 0, [3, 0], [nGC_29809, nGC_29810])

    call avCT(2151, 2, 12, 5, 0, FFaV0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2151, 3, 12, 5, 0, FFaV0, 0, [3, 0], [nGC_29809, nGC_29810])

    allocate(vertices(2152)%branchCT(0:0))
    call avCT(2152, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(1178)%branchCT(0:0))
    call avCT(1178, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1865)%branchCT(0:0))
    call avCT(1865, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1879)%branchCT(0:0))
    call avCT(1879, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2156)%branchCT(0:0))
    call avCT(2156, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2158)%branchCT(0:0))
    call avCT(2158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2552)%branchCT(0:0))
    call avCT(2552, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2161)%branchCT(0:1))
    call avCT(2161, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_32316, nGC_32316])

    call avCT(2161, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_32318, nGC_32318])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2165)%branchCT(0:0))
    call avCT(2165, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2166)%branchCT(0:0))
    call avCT(2166, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(1164)%branchCT(0:0))
    call avCT(1164, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(943)%branchCT(0:0))
    call avCT(943, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2169)%branchCT(0:0))
    call avCT(2169, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2208)%branchCT(0:0))
    call avCT(2208, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2179)%branchCT(0:1))
    call avCT(2179, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_28906, nGC_28907])

    call avCT(2179, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_28908, nGC_28909])

    allocate(vertices(3298)%branchCT(0:1))
    call avCT(3298, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30467, nGC_30467])

    call avCT(3298, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30469, nGC_30469])

    allocate(vertices(2181)%branchCT(0:0))
    call avCT(2181, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3006)%branchCT(0:0))
    call avCT(3006, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_29530])

    allocate(vertices(144)%branchCT(0:0))
    call avCT(144, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2186)%branchCT(0:0))
    call avCT(2186, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2187)%branchCT(0:0))
    call avCT(2187, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_31829])

    allocate(vertices(1570)%branchCT(0:0))
    call avCT(1570, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2070)%branchCT(0:0))
    call avCT(2070, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2191)%branchCT(0:3))
    call avCT(2191, 0, 28, 4, 0, FVFa0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(2191, 1, 28, 4, 0, FVFa0, 0, [3, 0], [nGC_29388, nGC_29389])

    call avCT(2191, 2, 29, 5, 0, FVFa0, 0, [1, 2], [nGC_29384, nGC_29386])

    call avCT(2191, 3, 29, 5, 0, FVFa0, 0, [3, 0], [nGC_29388, nGC_29389])

    allocate(vertices(3857)%branchCT(0:0))
    call avCT(3857, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_33058])

    allocate(vertices(2193)%branchCT(0:0))
    call avCT(2193, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(1610)%branchCT(0:0))
    call avCT(1610, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2197)%branchCT(0:0))
    call avCT(2197, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2198)%branchCT(0:0))
    call avCT(2198, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(1572)%branchCT(0:0))
    call avCT(1572, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2202)%branchCT(0:0))
    call avCT(2202, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2456)%branchCT(0:0))
    call avCT(2456, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_28937])

    allocate(vertices(2206)%branchCT(0:0))
    call avCT(2206, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_29715])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2211)%branchCT(0:0))
    call avCT(2211, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_29012])

    allocate(vertices(2213)%branchCT(0:0))
    call avCT(2213, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3539)%branchCT(0:0))
    call avCT(3539, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2215)%branchCT(0:1))
    call avCT(2215, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_30250, nGC_30251])

    call avCT(2215, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_30252, nGC_30253])

    allocate(vertices(949)%branchCT(0:0))
    call avCT(949, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_24434])

    allocate(vertices(3597)%branchCT(0:0))
    call avCT(3597, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2219)%branchCT(0:0))
    call avCT(2219, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_28999])

    allocate(vertices(3858)%branchCT(0:0))
    call avCT(3858, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_29457])

    allocate(vertices(2223)%branchCT(0:0))
    call avCT(2223, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_29062])

    allocate(vertices(1577)%branchCT(0:0))
    call avCT(1577, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3468)%branchCT(0:0))
    call avCT(3468, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_28835, nGC_28836])

    allocate(vertices(3544)%branchCT(0:1))
    call avCT(3544, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_28780, nGC_28781])

    call avCT(3544, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_28782, nGC_28783])

    allocate(vertices(2841)%branchCT(0:0))
    call avCT(2841, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2228)%branchCT(0:0))
    call avCT(2228, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3700)%branchCT(0:0))
    call avCT(3700, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(3859)%branchCT(0:0))
    call avCT(3859, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(2231)%branchCT(0:0))
    call avCT(2231, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(2233)%branchCT(0:0))
    call avCT(2233, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2235)%branchCT(0:0))
    call avCT(2235, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2846)%branchCT(0:0))
    call avCT(2846, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(2238)%branchCT(0:0))
    call avCT(2238, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24432])

    allocate(vertices(2240)%branchCT(0:0))
    call avCT(2240, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2243)%branchCT(0:0))
    call avCT(2243, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24432])

    allocate(vertices(2244)%branchCT(0:1))
    call avCT(2244, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_30924, nGC_30925])

    call avCT(2244, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_30920, nGC_30917])

    allocate(vertices(2409)%branchCT(0:0))
    call avCT(2409, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2434)%branchCT(0:1))
    call avCT(2434, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_31029, nGC_31030])

    call avCT(2434, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_31027, nGC_31028])

    allocate(vertices(2251)%branchCT(0:0))
    call avCT(2251, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3551)%branchCT(0:0))
    call avCT(3551, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(2255)%branchCT(0:0))
    call avCT(2255, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2259)%branchCT(0:0))
    call avCT(2259, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(3860)%branchCT(0:0))
    call avCT(3860, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_29457])

    allocate(vertices(2260)%branchCT(0:0))
    call avCT(2260, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28759])

    allocate(vertices(2264)%branchCT(0:0))
    call avCT(2264, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29685])

    allocate(vertices(2265)%branchCT(0:0))
    call avCT(2265, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2266)%branchCT(0:0))
    call avCT(2266, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2268)%branchCT(0:0))
    call avCT(2268, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2269)%branchCT(0:0))
    call avCT(2269, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(2271)%branchCT(0:0))
    call avCT(2271, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2272)%branchCT(0:0))
    call avCT(2272, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3051)%branchCT(0:0))
    call avCT(3051, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2275)%branchCT(0:0))
    call avCT(2275, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2277)%branchCT(0:0))
    call avCT(2277, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2278)%branchCT(0:1))
    call avCT(2278, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_29613])

    call avCT(2278, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_29612])

    allocate(vertices(2279)%branchCT(0:0))
    call avCT(2279, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2280)%branchCT(0:0))
    call avCT(2280, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(2559)%branchCT(0:0))
    call avCT(2559, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2701)%branchCT(0:0))
    call avCT(2701, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28933])

    allocate(vertices(2287)%branchCT(0:0))
    call avCT(2287, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2711)%branchCT(0:0))
    call avCT(2711, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2290)%branchCT(0:0))
    call avCT(2290, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(3560)%branchCT(0:0))
    call avCT(3560, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2292)%branchCT(0:0))
    call avCT(2292, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2296)%branchCT(0:0))
    call avCT(2296, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_29530])

    allocate(vertices(2297)%branchCT(0:0))
    call avCT(2297, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_30753, nGC_30754])

    allocate(vertices(3861)%branchCT(0:0))
    call avCT(3861, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_33232, nGC_33229])

    allocate(vertices(2303)%branchCT(0:0))
    call avCT(2303, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2304)%branchCT(0:0))
    call avCT(2304, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24446])

    allocate(vertices(2305)%branchCT(0:0))
    call avCT(2305, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28763])

    allocate(vertices(2849)%branchCT(0:0))
    call avCT(2849, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2308)%branchCT(0:0))
    call avCT(2308, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2309)%branchCT(0:0))
    call avCT(2309, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2311)%branchCT(0:1))
    call avCT(2311, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_32316, nGC_32316])

    call avCT(2311, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_32318, nGC_32318])

    allocate(vertices(2314)%branchCT(0:0))
    call avCT(2314, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_30065])

    allocate(vertices(2861)%branchCT(0:0))
    call avCT(2861, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_31829])

    allocate(vertices(2317)%branchCT(0:0))
    call avCT(2317, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2318)%branchCT(0:1))
    call avCT(2318, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_30301, nGC_30302])

    call avCT(2318, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_30298, nGC_30295])

    allocate(vertices(2319)%branchCT(0:0))
    call avCT(2319, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2320)%branchCT(0:0))
    call avCT(2320, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_28995])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2324)%branchCT(0:0))
    call avCT(2324, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2325)%branchCT(0:0))
    call avCT(2325, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_29490])

    allocate(vertices(3862)%branchCT(0:0))
    call avCT(3862, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(1602)%branchCT(0:0))
    call avCT(1602, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2576)%branchCT(0:0))
    call avCT(2576, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1588)%branchCT(0:0))
    call avCT(1588, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(1127)%branchCT(0:0))
    call avCT(1127, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3109)%branchCT(0:0))
    call avCT(3109, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2343)%branchCT(0:3))
    call avCT(2343, 0, 24, 4, 0, VFFa1, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2343, 1, 24, 4, 0, VFFa1, 0, [3, 0], [nGC_29809, nGC_29810])

    call avCT(2343, 2, 25, 5, 0, VFFa1, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2343, 3, 25, 5, 0, VFFa1, 0, [3, 0], [nGC_29809, nGC_29810])

    allocate(vertices(2344)%branchCT(0:0))
    call avCT(2344, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2284)%branchCT(0:0))
    call avCT(2284, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(2350)%branchCT(0:0))
    call avCT(2350, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3863)%branchCT(0:0))
    call avCT(3863, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_33315, nGC_33312,       &
    nGC_33316, nGC_33316])

    allocate(vertices(2352)%branchCT(0:1))
    call avCT(2352, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_30920, nGC_30917])

    call avCT(2352, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_30924, nGC_30925])

    allocate(vertices(908)%branchCT(0:0))
    call avCT(908, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(2356)%branchCT(0:0))
    call avCT(2356, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2358)%branchCT(0:0))
    call avCT(2358, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(935)%branchCT(0:0))
    call avCT(935, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28933])

    allocate(vertices(2360)%branchCT(0:0))
    call avCT(2360, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2362)%branchCT(0:0))
    call avCT(2362, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2363)%branchCT(0:0))
    call avCT(2363, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2364)%branchCT(0:1))
    call avCT(2364, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_29447, nGC_29448])

    call avCT(2364, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_29440, nGC_29443])

    allocate(vertices(2365)%branchCT(0:3))
    call avCT(2365, 0, 26, 4, 0, VFaF0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2365, 1, 26, 4, 0, VFaF0, 0, [3, 0], [nGC_29809, nGC_29810])

    call avCT(2365, 2, 27, 5, 0, VFaF0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2365, 3, 27, 5, 0, VFaF0, 0, [3, 0], [nGC_29809, nGC_29810])

    allocate(vertices(2366)%branchCT(0:0))
    call avCT(2366, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24432])

    allocate(vertices(2367)%branchCT(0:0))
    call avCT(2367, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2369)%branchCT(0:0))
    call avCT(2369, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2372)%branchCT(0:1))
    call avCT(2372, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30250, nGC_30251])

    call avCT(2372, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30252, nGC_30253])

    allocate(vertices(3864)%branchCT(0:0))
    call avCT(3864, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(3265)%branchCT(0:5))
    call avCT(3265, 0, 106, 6, 0, VUaVU0, 0, [4, 0], [nGC_29085])

    call avCT(3265, 1, 107, 6, 0, VUaVU0, 0, [4, 0], [nGC_29085])

    call avCT(3265, 2, 108, 6, 0, VUaVU0, 0, [4, 0], [nGC_29085])

    call avCT(3265, 3, 109, 6, 0, VUaVU0, 0, [4, 0], [nGC_29085])

    call avCT(3265, 4, 110, 7, 0, VUaVU0, 0, [4, 0], [nGC_29086])

    call avCT(3265, 5, 111, 7, 0, VUaVU0, 0, [4, 0], [nGC_29086])

    allocate(vertices(1609)%branchCT(0:0))
    call avCT(1609, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_29586, nGC_29587])

    allocate(vertices(2381)%branchCT(0:0))
    call avCT(2381, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2383)%branchCT(0:0))
    call avCT(2383, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2386)%branchCT(0:0))
    call avCT(2386, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3865)%branchCT(0:0))
    call avCT(3865, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_33400])

    allocate(vertices(2388)%branchCT(0:5))
    call avCT(2388, 0, 100, 6, 0, VUaUV0, 0, [4, 0], [nGC_29085])

    call avCT(2388, 1, 101, 6, 0, VUaUV0, 0, [4, 0], [nGC_29085])

    call avCT(2388, 2, 102, 6, 0, VUaUV0, 0, [4, 0], [nGC_29085])

    call avCT(2388, 3, 103, 6, 0, VUaUV0, 0, [4, 0], [nGC_29085])

    call avCT(2388, 4, 104, 7, 0, VUaUV0, 0, [4, 0], [nGC_29086])

    call avCT(2388, 5, 105, 7, 0, VUaUV0, 0, [4, 0], [nGC_29086])

    allocate(vertices(2389)%branchCT(0:0))
    call avCT(2389, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29671])

    allocate(vertices(2393)%branchCT(0:0))
    call avCT(2393, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2394)%branchCT(0:1))
    call avCT(2394, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_30052, nGC_30053])

    call avCT(2394, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_30054, nGC_30055])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3513)%branchCT(0:0))
    call avCT(3513, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24441])

    allocate(vertices(1614)%branchCT(0:5))
    call avCT(1614, 0, 4, 7, 0, UaUVV0, 0, [4, 0], [nGC_29086])

    call avCT(1614, 1, 5, 7, 0, UaUVV0, 0, [4, 0], [nGC_29086])

    call avCT(1614, 2, 6, 6, 0, UaUVV0, 0, [4, 0], [nGC_29085])

    call avCT(1614, 3, 7, 6, 0, UaUVV0, 0, [4, 0], [nGC_29085])

    call avCT(1614, 4, 8, 6, 0, UaUVV0, 0, [4, 0], [nGC_29085])

    call avCT(1614, 5, 9, 6, 0, UaUVV0, 0, [4, 0], [nGC_29085])

    allocate(vertices(2399)%branchCT(0:0))
    call avCT(2399, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2400)%branchCT(0:3))
    call avCT(2400, 0, 30, 4, 0, FaVF1, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(2400, 1, 30, 4, 0, FaVF1, 0, [3, 0], [nGC_29898, nGC_29899])

    call avCT(2400, 2, 31, 5, 0, FaVF1, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(2400, 3, 31, 5, 0, FaVF1, 0, [3, 0], [nGC_29898, nGC_29899])

    allocate(vertices(2403)%branchCT(0:1))
    call avCT(2403, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_32316, nGC_32316])

    call avCT(2403, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_32318, nGC_32318])

    allocate(vertices(2404)%branchCT(0:0))
    call avCT(2404, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_31802, nGC_31803,       &
    nGC_31802])

    allocate(vertices(2405)%branchCT(0:0))
    call avCT(2405, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(2407)%branchCT(0:0))
    call avCT(2407, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(2248)%branchCT(0:1))
    call avCT(2248, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_29151])

    call avCT(2248, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_29150])

    allocate(vertices(2411)%branchCT(0:0))
    call avCT(2411, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2412)%branchCT(0:0))
    call avCT(2412, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_29287])

    allocate(vertices(2413)%branchCT(0:0))
    call avCT(2413, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_28809])

    allocate(vertices(2414)%branchCT(0:0))
    call avCT(2414, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28889, nGC_28890,       &
    nGC_28889])

    allocate(vertices(3626)%branchCT(0:0))
    call avCT(3626, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(982)%branchCT(0:0))
    call avCT(982, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2418)%branchCT(0:0))
    call avCT(2418, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2420)%branchCT(0:0))
    call avCT(2420, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2421)%branchCT(0:0))
    call avCT(2421, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_29586, nGC_29587])

    allocate(vertices(3866)%branchCT(0:0))
    call avCT(3866, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2425)%branchCT(0:0))
    call avCT(2425, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3706)%branchCT(0:0))
    call avCT(3706, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_30069])

    allocate(vertices(2428)%branchCT(0:0))
    call avCT(2428, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(3867)%branchCT(0:0))
    call avCT(3867, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_33511])

    allocate(vertices(2431)%branchCT(0:0))
    call avCT(2431, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2432)%branchCT(0:1))
    call avCT(2432, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_29613])

    call avCT(2432, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_29612])

    allocate(vertices(3615)%branchCT(0:0))
    call avCT(3615, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1032)%branchCT(0:0))
    call avCT(1032, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(2443)%branchCT(0:0))
    call avCT(2443, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_29012])

    allocate(vertices(2368)%branchCT(0:0))
    call avCT(2368, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29858])

    allocate(vertices(2447)%branchCT(0:0))
    call avCT(2447, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2448)%branchCT(0:0))
    call avCT(2448, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_29659])

    allocate(vertices(2449)%branchCT(0:0))
    call avCT(2449, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2075)%branchCT(0:0))
    call avCT(2075, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2452)%branchCT(0:0))
    call avCT(2452, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2455)%branchCT(0:1))
    call avCT(2455, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_29613])

    call avCT(2455, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_29612])

    allocate(vertices(2457)%branchCT(0:0))
    call avCT(2457, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(2458)%branchCT(0:1))
    call avCT(2458, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_28975, nGC_28976])

    call avCT(2458, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_28969, nGC_28972])

    allocate(vertices(2459)%branchCT(0:0))
    call avCT(2459, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_30178, nGC_30179])

    allocate(vertices(3868)%branchCT(0:0))
    call avCT(3868, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2467)%branchCT(0:0))
    call avCT(2467, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24443])

    allocate(vertices(89)%branchCT(0:1))
    call avCT(89, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_31008, nGC_31009])

    call avCT(89, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_31002, nGC_31005])

    allocate(vertices(2470)%branchCT(0:0))
    call avCT(2470, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2472)%branchCT(0:0))
    call avCT(2472, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2473)%branchCT(0:0))
    call avCT(2473, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2474)%branchCT(0:1))
    call avCT(2474, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_30251, nGC_30250])

    call avCT(2474, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_30253, nGC_30252])

    allocate(vertices(2476)%branchCT(0:0))
    call avCT(2476, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28763])

    allocate(vertices(2477)%branchCT(0:0))
    call avCT(2477, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2478)%branchCT(0:0))
    call avCT(2478, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_29179])

    allocate(vertices(2480)%branchCT(0:0))
    call avCT(2480, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2481)%branchCT(0:0))
    call avCT(2481, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2482)%branchCT(0:0))
    call avCT(2482, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_30106, nGC_30107])

    allocate(vertices(2483)%branchCT(0:0))
    call avCT(2483, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2486)%branchCT(0:0))
    call avCT(2486, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(995)%branchCT(0:0))
    call avCT(995, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(936)%branchCT(0:0))
    call avCT(936, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(2493)%branchCT(0:1))
    call avCT(2493, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_29255, nGC_29256])

    call avCT(2493, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_29249, nGC_29246])

    allocate(vertices(2494)%branchCT(0:0))
    call avCT(2494, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2496)%branchCT(0:3))
    call avCT(2496, 0, 30, 4, 0, FaVF1, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(2496, 1, 30, 4, 0, FaVF1, 0, [3, 0], [nGC_29353, nGC_29354])

    call avCT(2496, 2, 31, 5, 0, FaVF1, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(2496, 3, 31, 5, 0, FaVF1, 0, [3, 0], [nGC_29353, nGC_29354])

    allocate(vertices(3869)%branchCT(0:0))
    call avCT(3869, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_30349])

    allocate(vertices(2501)%branchCT(0:0))
    call avCT(2501, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(1227)%branchCT(0:0))
    call avCT(1227, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_29155])

    allocate(vertices(2506)%branchCT(0:0))
    call avCT(2506, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2509)%branchCT(0:0))
    call avCT(2509, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_29530])

    allocate(vertices(2510)%branchCT(0:0))
    call avCT(2510, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2514)%branchCT(0:0))
    call avCT(2514, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_28820])

    allocate(vertices(2516)%branchCT(0:3))
    call avCT(2516, 0, 28, 4, 0, FVFa0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(2516, 1, 28, 4, 0, FVFa0, 0, [3, 0], [nGC_29353, nGC_29354])

    call avCT(2516, 2, 29, 5, 0, FVFa0, 0, [1, 2], [nGC_29346, nGC_29348])

    call avCT(2516, 3, 29, 5, 0, FVFa0, 0, [3, 0], [nGC_29353, nGC_29354])

    allocate(vertices(3600)%branchCT(0:0))
    call avCT(3600, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2917)%branchCT(0:1))
    call avCT(2917, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_28920, nGC_28921])

    call avCT(2917, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_28922, nGC_28923])

    allocate(vertices(2521)%branchCT(0:0))
    call avCT(2521, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29792])

    allocate(vertices(2524)%branchCT(0:0))
    call avCT(2524, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2525)%branchCT(0:0))
    call avCT(2525, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2527)%branchCT(0:3))
    call avCT(2527, 0, 22, 4, 0, FaFV0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2527, 1, 22, 4, 0, FaFV0, 0, [3, 0], [nGC_29809, nGC_29810])

    call avCT(2527, 2, 23, 5, 0, FaFV0, 0, [1, 2], [nGC_29805, nGC_29807])

    call avCT(2527, 3, 23, 5, 0, FaFV0, 0, [3, 0], [nGC_29809, nGC_29810])

    allocate(vertices(784)%branchCT(0:0))
    call avCT(784, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_29410, nGC_29410])

    allocate(vertices(1633)%branchCT(0:0))
    call avCT(1633, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2531)%branchCT(0:0))
    call avCT(2531, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2532)%branchCT(0:0))
    call avCT(2532, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_29324])

    allocate(vertices(2533)%branchCT(0:1))
    call avCT(2533, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_28957])

    call avCT(2533, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_28956])

    allocate(vertices(2535)%branchCT(0:0))
    call avCT(2535, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2536)%branchCT(0:1))
    call avCT(2536, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_30269, nGC_30270])

    call avCT(2536, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_30259, nGC_30262])

    allocate(vertices(2537)%branchCT(0:0))
    call avCT(2537, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28980])

    allocate(vertices(731)%branchCT(0:0))
    call avCT(731, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29858])

    allocate(vertices(2539)%branchCT(0:0))
    call avCT(2539, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_29287])

    allocate(vertices(2540)%branchCT(0:1))
    call avCT(2540, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_30920, nGC_30917])

    call avCT(2540, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_30924, nGC_30925])

    allocate(vertices(500)%branchCT(0:0))
    call avCT(500, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2545)%branchCT(0:1))
    call avCT(2545, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_29919, nGC_29920])

    call avCT(2545, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_29916, nGC_29912])

    allocate(vertices(2546)%branchCT(0:0))
    call avCT(2546, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28866])

    allocate(vertices(3870)%branchCT(0:0))
    call avCT(3870, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_29457])

    allocate(vertices(3871)%branchCT(0:0))
    call avCT(3871, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2551)%branchCT(0:0))
    call avCT(2551, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(552)%branchCT(0:0))
    call avCT(552, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_29006])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2556)%branchCT(0:1))
    call avCT(2556, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_29198, nGC_29198])

    call avCT(2556, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_29197, nGC_29197])

    allocate(vertices(2578)%branchCT(0:0))
    call avCT(2578, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2560)%branchCT(0:0))
    call avCT(2560, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2561)%branchCT(0:3))
    call avCT(2561, 0, 22, 4, 0, FaFV0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(2561, 1, 22, 4, 0, FaFV0, 0, [3, 0], [nGC_29867, nGC_29868])

    call avCT(2561, 2, 23, 5, 0, FaFV0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(2561, 3, 23, 5, 0, FaFV0, 0, [3, 0], [nGC_29867, nGC_29868])

    allocate(vertices(3872)%branchCT(0:0))
    call avCT(3872, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_30349])

    allocate(vertices(2565)%branchCT(0:0))
    call avCT(2565, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_28802])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2568)%branchCT(0:0))
    call avCT(2568, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29747,       &
    nGC_29748])

    allocate(vertices(2574)%branchCT(0:0))
    call avCT(2574, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2575)%branchCT(0:0))
    call avCT(2575, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_29238, nGC_29238])

    allocate(vertices(3873)%branchCT(0:0))
    call avCT(3873, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_33511])

    allocate(vertices(3332)%branchCT(0:0))
    call avCT(3332, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29747, nGC_29748,       &
    nGC_29747])

    allocate(vertices(2577)%branchCT(0:0))
    call avCT(2577, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_24451])

    allocate(vertices(3745)%branchCT(0:0))
    call avCT(3745, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28763])

    allocate(vertices(2581)%branchCT(0:0))
    call avCT(2581, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(3096)%branchCT(0:0))
    call avCT(3096, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_24451])

    allocate(vertices(2585)%branchCT(0:1))
    call avCT(2585, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_29919, nGC_29920])

    call avCT(2585, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_29916, nGC_29912])

    allocate(vertices(2185)%branchCT(0:0))
    call avCT(2185, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2588)%branchCT(0:0))
    call avCT(2588, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_29658])

    allocate(vertices(2589)%branchCT(0:0))
    call avCT(2589, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28813])

    allocate(vertices(3488)%branchCT(0:0))
    call avCT(3488, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24436])

    allocate(vertices(2889)%branchCT(0:0))
    call avCT(2889, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2597)%branchCT(0:0))
    call avCT(2597, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_28870, nGC_28871])

    allocate(vertices(2599)%branchCT(0:0))
    call avCT(2599, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2600)%branchCT(0:0))
    call avCT(2600, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2053)%branchCT(0:1))
    call avCT(2053, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_29108, nGC_29109])

    call avCT(2053, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_29103, nGC_29098])

    allocate(vertices(2603)%branchCT(0:0))
    call avCT(2603, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2604)%branchCT(0:0))
    call avCT(2604, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2914)%branchCT(0:0))
    call avCT(2914, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_28937])

    allocate(vertices(3874)%branchCT(0:0))
    call avCT(3874, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_29660])

    allocate(vertices(2607)%branchCT(0:0))
    call avCT(2607, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2608)%branchCT(0:3))
    call avCT(2608, 0, 26, 4, 0, VFaF0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(2608, 1, 26, 4, 0, VFaF0, 0, [3, 0], [nGC_29867, nGC_29868])

    call avCT(2608, 2, 27, 5, 0, VFaF0, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(2608, 3, 27, 5, 0, VFaF0, 0, [3, 0], [nGC_29867, nGC_29868])

    allocate(vertices(2609)%branchCT(0:0))
    call avCT(2609, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2612)%branchCT(0:0))
    call avCT(2612, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2613)%branchCT(0:1))
    call avCT(2613, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_30714, nGC_30715])

    call avCT(2613, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_30708, nGC_30705])

    allocate(vertices(2614)%branchCT(0:0))
    call avCT(2614, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2617)%branchCT(0:0))
    call avCT(2617, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2618)%branchCT(0:3))
    call avCT(2618, 0, 24, 4, 0, VFFa1, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(2618, 1, 24, 4, 0, VFFa1, 0, [3, 0], [nGC_29898, nGC_29899])

    call avCT(2618, 2, 25, 5, 0, VFFa1, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(2618, 3, 25, 5, 0, VFFa1, 0, [3, 0], [nGC_29898, nGC_29899])

    allocate(vertices(2619)%branchCT(0:0))
    call avCT(2619, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(2622)%branchCT(0:0))
    call avCT(2622, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28773])

    allocate(vertices(2623)%branchCT(0:0))
    call avCT(2623, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_28994])

    allocate(vertices(941)%branchCT(0:0))
    call avCT(941, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3875)%branchCT(0:0))
    call avCT(3875, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_29617])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2627)%branchCT(0:5))
    call avCT(2627, 0, 94, 6, 0, VVUaU0, 0, [4, 0], [nGC_29085])

    call avCT(2627, 1, 95, 6, 0, VVUaU0, 0, [4, 0], [nGC_29085])

    call avCT(2627, 2, 96, 6, 0, VVUaU0, 0, [4, 0], [nGC_29085])

    call avCT(2627, 3, 97, 6, 0, VVUaU0, 0, [4, 0], [nGC_29085])

    call avCT(2627, 4, 98, 7, 0, VVUaU0, 0, [4, 0], [nGC_29086])

    call avCT(2627, 5, 99, 7, 0, VVUaU0, 0, [4, 0], [nGC_29086])

    allocate(vertices(967)%branchCT(0:0))
    call avCT(967, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(2634)%branchCT(0:1))
    call avCT(2634, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_30582, nGC_30582])

    call avCT(2634, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_30584, nGC_30584])

    allocate(vertices(2636)%branchCT(0:0))
    call avCT(2636, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_30020])

    allocate(vertices(3876)%branchCT(0:0))
    call avCT(3876, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_33948, nGC_33946,       &
    nGC_33949, nGC_33949])

    allocate(vertices(2637)%branchCT(0:0))
    call avCT(2637, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(1023)%branchCT(0:0))
    call avCT(1023, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3308)%branchCT(0:0))
    call avCT(3308, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2644)%branchCT(0:0))
    call avCT(2644, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_30753, nGC_30754])

    allocate(vertices(2646)%branchCT(0:0))
    call avCT(2646, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_29955])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_31803, nGC_31802,       &
    nGC_31802])

    allocate(vertices(2649)%branchCT(0:0))
    call avCT(2649, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2650)%branchCT(0:0))
    call avCT(2650, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_28769])

    allocate(vertices(3441)%branchCT(0:0))
    call avCT(3441, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2653)%branchCT(0:1))
    call avCT(2653, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_28957])

    call avCT(2653, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_28956])

    allocate(vertices(2654)%branchCT(0:0))
    call avCT(2654, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_24432])

    allocate(vertices(2655)%branchCT(0:0))
    call avCT(2655, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29685])

    allocate(vertices(2657)%branchCT(0:0))
    call avCT(2657, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2658)%branchCT(0:0))
    call avCT(2658, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2912)%branchCT(0:0))
    call avCT(2912, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2661)%branchCT(0:0))
    call avCT(2661, 0, 1, 1, 0, UaUV1, 0, [0, 3], [nGC_30477])

    allocate(vertices(2992)%branchCT(0:0))
    call avCT(2992, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(2667)%branchCT(0:0))
    call avCT(2667, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_29145])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,        &
    nGC_29747])

    allocate(vertices(2670)%branchCT(0:0))
    call avCT(2670, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(2671)%branchCT(0:0))
    call avCT(2671, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2226)%branchCT(0:0))
    call avCT(2226, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2673)%branchCT(0:0))
    call avCT(2673, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2675)%branchCT(0:0))
    call avCT(2675, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(3407)%branchCT(0:0))
    call avCT(3407, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2677)%branchCT(0:0))
    call avCT(2677, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(1025)%branchCT(0:3))
    call avCT(1025, 0, 26, 4, 0, VFaF0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(1025, 1, 26, 4, 0, VFaF0, 0, [3, 0], [nGC_29898, nGC_29899])

    call avCT(1025, 2, 27, 5, 0, VFaF0, 0, [1, 2], [nGC_29894, nGC_29896])

    call avCT(1025, 3, 27, 5, 0, VFaF0, 0, [3, 0], [nGC_29898, nGC_29899])

    allocate(vertices(2682)%branchCT(0:0))
    call avCT(2682, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3631)%branchCT(0:0))
    call avCT(3631, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24444])

    allocate(vertices(2685)%branchCT(0:0))
    call avCT(2685, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28990])

    allocate(vertices(2686)%branchCT(0:0))
    call avCT(2686, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29324])

    allocate(vertices(1531)%branchCT(0:0))
    call avCT(1531, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2688)%branchCT(0:0))
    call avCT(2688, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_29012])

    allocate(vertices(2690)%branchCT(0:0))
    call avCT(2690, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2693)%branchCT(0:0))
    call avCT(2693, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2694)%branchCT(0:1))
    call avCT(2694, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_30052, nGC_30053])

    call avCT(2694, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_30054, nGC_30055])

    allocate(vertices(2696)%branchCT(0:0))
    call avCT(2696, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2697)%branchCT(0:0))
    call avCT(2697, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2698)%branchCT(0:1))
    call avCT(2698, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_29151])

    call avCT(2698, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_29150])

    allocate(vertices(2285)%branchCT(0:0))
    call avCT(2285, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_29155])

    allocate(vertices(1386)%branchCT(0:0))
    call avCT(1386, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28933])

    allocate(vertices(1405)%branchCT(0:0))
    call avCT(1405, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28793])

    allocate(vertices(1031)%branchCT(0:0))
    call avCT(1031, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2707)%branchCT(0:0))
    call avCT(2707, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29887, nGC_29886,       &
    nGC_29886])

    allocate(vertices(2708)%branchCT(0:1))
    call avCT(2708, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_28920, nGC_28921])

    call avCT(2708, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_28922, nGC_28923])

    allocate(vertices(2710)%branchCT(0:0))
    call avCT(2710, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2288)%branchCT(0:0))
    call avCT(2288, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(1443)%branchCT(0:0))
    call avCT(1443, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24442])

    allocate(vertices(3635)%branchCT(0:0))
    call avCT(3635, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29006])

    allocate(vertices(2716)%branchCT(0:0))
    call avCT(2716, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_29179])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2717)%branchCT(0:0))
    call avCT(2717, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2718)%branchCT(0:1))
    call avCT(2718, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_29637, nGC_29638])

    call avCT(2718, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_29631, nGC_29634])

    allocate(vertices(3212)%branchCT(0:0))
    call avCT(3212, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28787])

    allocate(vertices(2742)%branchCT(0:0))
    call avCT(2742, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2721)%branchCT(0:1))
    call avCT(2721, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_30714, nGC_30715])

    call avCT(2721, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_30708, nGC_30705])

    allocate(vertices(3242)%branchCT(0:0))
    call avCT(3242, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2722)%branchCT(0:0))
    call avCT(2722, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_24444])

    allocate(vertices(1550)%branchCT(0:0))
    call avCT(1550, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(2725)%branchCT(0:1))
    call avCT(2725, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_29151])

    call avCT(2725, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_29150])

    allocate(vertices(2726)%branchCT(0:0))
    call avCT(2726, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1784)%branchCT(0:0))
    call avCT(1784, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28866])

    allocate(vertices(2390)%branchCT(0:0))
    call avCT(2390, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2732)%branchCT(0:0))
    call avCT(2732, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2734)%branchCT(0:0))
    call avCT(2734, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(3523)%branchCT(0:1))
    call avCT(3523, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_29198, nGC_29198])

    call avCT(3523, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_29197, nGC_29197])

    allocate(vertices(2751)%branchCT(0:0))
    call avCT(2751, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24435])

    allocate(vertices(823)%branchCT(0:0))
    call avCT(823, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_29020])

    allocate(vertices(2741)%branchCT(0:0))
    call avCT(2741, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_28863])

    allocate(vertices(1658)%branchCT(0:0))
    call avCT(1658, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_28773])

    allocate(vertices(3646)%branchCT(0:0))
    call avCT(3646, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2747)%branchCT(0:0))
    call avCT(2747, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28980])

    allocate(vertices(2566)%branchCT(0:0))
    call avCT(2566, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_29554])

    allocate(vertices(2750)%branchCT(0:0))
    call avCT(2750, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_29238, nGC_29238])

    allocate(vertices(2752)%branchCT(0:0))
    call avCT(2752, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28881])

    allocate(vertices(2753)%branchCT(0:0))
    call avCT(2753, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_24435])

    allocate(vertices(2754)%branchCT(0:5))
    call avCT(2754, 0, 88, 6, 0, VVUUa0, 0, [4, 0], [nGC_29085])

    call avCT(2754, 1, 89, 6, 0, VVUUa0, 0, [4, 0], [nGC_29085])

    call avCT(2754, 2, 90, 6, 0, VVUUa0, 0, [4, 0], [nGC_29085])

    call avCT(2754, 3, 91, 6, 0, VVUUa0, 0, [4, 0], [nGC_29085])

    call avCT(2754, 4, 92, 7, 0, VVUUa0, 0, [4, 0], [nGC_29086])

    call avCT(2754, 5, 93, 7, 0, VVUUa0, 0, [4, 0], [nGC_29086])

    allocate(vertices(2755)%branchCT(0:3))
    call avCT(2755, 0, 30, 4, 0, FaVF1, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(2755, 1, 30, 4, 0, FaVF1, 0, [3, 0], [nGC_30368, nGC_30369])

    call avCT(2755, 2, 31, 5, 0, FaVF1, 0, [1, 2], [nGC_30366, nGC_30364])

    call avCT(2755, 3, 31, 5, 0, FaVF1, 0, [3, 0], [nGC_30368, nGC_30369])

    allocate(vertices(2757)%branchCT(0:0))
    call avCT(2757, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(795)%branchCT(0:0))
    call avCT(795, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2759)%branchCT(0:0))
    call avCT(2759, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_30753, nGC_30754])

    allocate(vertices(2760)%branchCT(0:0))
    call avCT(2760, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2761)%branchCT(0:0))
    call avCT(2761, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(2762)%branchCT(0:0))
    call avCT(2762, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2764)%branchCT(0:0))
    call avCT(2764, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_30389])

    allocate(vertices(3651)%branchCT(0:0))
    call avCT(3651, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(1787)%branchCT(0:0))
    call avCT(1787, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_29530])

    allocate(vertices(2768)%branchCT(0:0))
    call avCT(2768, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_28945])

    allocate(vertices(463)%branchCT(0:0))
    call avCT(463, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28941])

    allocate(vertices(2767)%branchCT(0:0))
    call avCT(2767, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2773)%branchCT(0:1))
    call avCT(2773, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_29266, nGC_29267])

    call avCT(2773, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_29260, nGC_29263])

    allocate(vertices(2775)%branchCT(0:0))
    call avCT(2775, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2776)%branchCT(0:0))
    call avCT(2776, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_29179])

    allocate(vertices(2777)%branchCT(0:0))
    call avCT(2777, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_28945])

    allocate(vertices(2778)%branchCT(0:1))
    call avCT(2778, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_31027, nGC_31028])

    call avCT(2778, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_31029, nGC_31030])

    allocate(vertices(3877)%branchCT(0:0))
    call avCT(3877, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_33058])

    allocate(vertices(2782)%branchCT(0:0))
    call avCT(2782, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24442])

    allocate(vertices(2783)%branchCT(0:0))
    call avCT(2783, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(2784)%branchCT(0:0))
    call avCT(2784, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28933])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2787)%branchCT(0:0))
    call avCT(2787, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_24443])

    allocate(vertices(2788)%branchCT(0:1))
    call avCT(2788, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_28957])

    call avCT(2788, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_28956])

    allocate(vertices(1907)%branchCT(0:0))
    call avCT(1907, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_28813])

    allocate(vertices(2571)%branchCT(0:0))
    call avCT(2571, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_29671])

    allocate(vertices(2791)%branchCT(0:0))
    call avCT(2791, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_28899])

    allocate(vertices(2792)%branchCT(0:3))
    call avCT(2792, 0, 24, 4, 0, VFFa1, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(2792, 1, 24, 4, 0, VFFa1, 0, [3, 0], [nGC_29867, nGC_29868])

    call avCT(2792, 2, 25, 5, 0, VFFa1, 0, [1, 2], [nGC_29865, nGC_29861])

    call avCT(2792, 3, 25, 5, 0, VFFa1, 0, [3, 0], [nGC_29867, nGC_29868])

    allocate(vertices(1959)%branchCT(0:0))
    call avCT(1959, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_28990])

    allocate(vertices(1944)%branchCT(0:0))
    call avCT(1944, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_28763])

    allocate(vertices(1955)%branchCT(0:0))
    call avCT(1955, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_29059])

    allocate(vertices(2800)%branchCT(0:0))
    call avCT(2800, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_24433])

    allocate(vertices(3218)%branchCT(0:0))
    call avCT(3218, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_24441])

    allocate(vertices(3878)%branchCT(0:0))
    call avCT(3878, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_29617])

    allocate(vertices(2804)%branchCT(0:0))
    call avCT(2804, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2805)%branchCT(0:0))
    call avCT(2805, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_28802])

    allocate(vertices(2808)%branchCT(0:0))
    call avCT(2808, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29025])

    allocate(vertices(2033)%branchCT(0:1))
    call avCT(2033, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_28908, nGC_28909])

    call avCT(2033, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_28906, nGC_28907])

    allocate(vertices(2811)%branchCT(0:0))
    call avCT(2811, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28825])

    allocate(vertices(2812)%branchCT(0:0))
    call avCT(2812, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_29748, nGC_29747,       &
    nGC_29747])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_28766])

    allocate(vertices(2815)%branchCT(0:0))
    call avCT(2815, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_28756])

    allocate(vertices(2816)%branchCT(0:0))
    call avCT(2816, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_24434])

    allocate(vertices(2819)%branchCT(0:0))
    call avCT(2819, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28806])

    allocate(vertices(2820)%branchCT(0:0))
    call avCT(2820, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_28945])

    allocate(vertices(3879)%branchCT(0:0))
    call avCT(3879, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_33400])

    allocate(vertices(2822)%branchCT(0:0))
    call avCT(2822, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_29145])

    allocate(vertices(2257)%branchCT(0:0))
    call avCT(2257, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_28890, nGC_28889,       &
    nGC_28889])

    allocate(vertices(2827)%branchCT(0:0))
    call avCT(2827, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_29685])

  end subroutine fill_vertices_mdl7
end module vertices_info7
